------------------------------------------------------------------------
r4923 | nightwish2004 | 2007-02-19 00:05:39 +0300 (Пн, 19 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.c
   M /trunk/miranda/plugins/clist_nicer/clcitems.c
   M /trunk/miranda/plugins/clist_nicer/viewmodes.c

+ fixed bug with extra icons when changing view mode
------------------------------------------------------------------------
r4922 | the_leech | 2007-02-17 20:41:32 +0300 (Сб, 17 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/utils.c

minor memory leak
------------------------------------------------------------------------
r4921 | ghazan | 2007-02-17 01:26:41 +0300 (Сб, 17 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin8/miranda32.sln
   A /trunk/miranda/plugins/Scriver/scriver.dep
   A /trunk/miranda/plugins/Scriver/scriver.mak
   M /trunk/miranda/plugins/clist_nicer/clist_nicer_8.vcproj
   M /trunk/miranda/plugins/modernb/clist_modern_8.vcproj
   M /trunk/miranda/protocols/MSN/msn_8.vcproj

fixes for some VS2005 projects
------------------------------------------------------------------------
r4920 | ghazan | 2007-02-17 00:19:28 +0300 (Сб, 17 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_search.cpp

another VC6 compatibility fix
------------------------------------------------------------------------
r4919 | ghazan | 2007-02-17 00:08:42 +0300 (Сб, 17 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_search.cpp
   M /trunk/miranda/protocols/JabberG/jabber_search.h

VC6 compatibility fix
------------------------------------------------------------------------
r4918 | ghazan | 2007-02-16 23:39:23 +0300 (Пт, 16 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/findadd/findadd.c
   M /trunk/miranda/src/modules/findadd/searchresults.c

fix for search list sorting
------------------------------------------------------------------------
r4917 | the_leech | 2007-02-16 23:14:54 +0300 (Пт, 16 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/utils.c
   M /trunk/miranda/plugins/Scriver/utils.h

better services/hooks management
------------------------------------------------------------------------
r4916 | ghazan | 2007-02-16 20:14:15 +0300 (Пт, 16 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

fix for keep-alive thread
------------------------------------------------------------------------
r4915 | ashpynov | 2007-02-16 18:39:12 +0300 (Пт, 16 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_search.cpp
   M /trunk/miranda/protocols/JabberG/jabber_search.h
   M /trunk/miranda/src/modules/findadd/findadd.c

- more clarify (and hope error-less) code for searching
- minor fix for user interface (custom search is default on jabber searching open
------------------------------------------------------------------------
r4914 | ghazan | 2007-02-16 17:41:10 +0300 (Пт, 16 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/miranda32.dsp
   M /trunk/miranda/src/miranda32.mak

small fix for Miranda project files
------------------------------------------------------------------------
r4913 | the_leech | 2007-02-16 17:39:21 +0300 (Пт, 16 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/utils.c
   M /trunk/miranda/plugins/Scriver/utils.h

proper releasing of services and hooks (modified patch by borkra)
------------------------------------------------------------------------
r4912 | ashpynov | 2007-02-16 16:52:30 +0300 (Пт, 16 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/groupmenu.c

no need to translate menu names
------------------------------------------------------------------------
r4911 | ashpynov | 2007-02-16 16:30:55 +0300 (Пт, 16 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c

no need to translate frame menu names
------------------------------------------------------------------------
r4910 | ghazan | 2007-02-16 15:58:16 +0300 (Пт, 16 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/findadd/findadd.c
   M /trunk/miranda/src/modules/findadd/searchresults.c

minor search optimization
------------------------------------------------------------------------
r4909 | jokusoftware | 2007-02-16 01:56:01 +0300 (Пт, 16 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/fam_01service.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_03buddy.c
   M /trunk/miranda/protocols/IcqOscarJ/i18n.c

added some extra NULL checks
------------------------------------------------------------------------
r4908 | ghazan | 2007-02-16 01:54:46 +0300 (Пт, 16 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.dep
   M /trunk/miranda/protocols/JabberG/jabber.dsp
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.mak
   M /trunk/miranda/protocols/JabberG/jabber_8.vcproj
   A /trunk/miranda/protocols/JabberG/jabber_search.cpp
   A /trunk/miranda/protocols/JabberG/jabber_search.h

fixes for project & makefiles
------------------------------------------------------------------------
r4907 | ghazan | 2007-02-16 01:05:19 +0300 (Пт, 16 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_protocols.h
   M /trunk/miranda/include/m_protosvc.h
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber.vcproj
   M /trunk/miranda/protocols/JabberG/jabber_iq.h
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/resource.h
   M /trunk/miranda/src/core/miranda.h
   M /trunk/miranda/src/modules/clist/genmenu.c
   M /trunk/miranda/src/modules/findadd/findadd.c
   M /trunk/miranda/src/modules/findadd/findadd.h
   M /trunk/miranda/src/modules/findadd/searchresults.c
   M /trunk/miranda/src/modules/langpack/langpack.c
   M /trunk/miranda/src/resource.h
   M /trunk/miranda/src/resource.rc

patch for dynamic search in Jabber (by FYR)
------------------------------------------------------------------------
r4906 | ashpynov | 2007-02-15 17:41:03 +0300 (Чт, 15 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.h
   M /trunk/miranda/plugins/modernb/Docking.c
   M /trunk/miranda/plugins/modernb/SkinEditor.c
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/SkinOpt.c
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clcutils.c
   M /trunk/miranda/plugins/modernb/clistevents.c
   M /trunk/miranda/plugins/modernb/clistmod.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/clui.h
   M /trunk/miranda/plugins/modernb/cluiservices.c
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/modern_statusbar.c
   M /trunk/miranda/plugins/modernb/viewmodes.c

amazing hack to avoid deadlocks in cluiframes.c (don't do it anymore)
------------------------------------------------------------------------
r4905 | ashpynov | 2007-02-15 17:26:41 +0300 (Чт, 15 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp

- Do not translate during a2t conversation
------------------------------------------------------------------------
r4904 | ghazan | 2007-02-15 01:16:36 +0300 (Чт, 15 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

- Jabber retrieves client's own vcard on first connect to a server;
- the login name is being retrieved from the domain user name, if set empty
------------------------------------------------------------------------
r4903 | the_leech | 2007-02-14 13:26:29 +0300 (Ср, 14 фев 2007) | 1 line
Changed paths:
   D /trunk/miranda/plugins/Scriver/chat/Icons/blank.ico
   D /trunk/miranda/plugins/Scriver/chat/Icons/tag1.ico
   D /trunk/miranda/plugins/Scriver/chat/Icons/tag2.ico
   M /trunk/miranda/plugins/Scriver/chat/chat.rc
   M /trunk/miranda/plugins/Scriver/resource.h

removed unused icons
------------------------------------------------------------------------
r4902 | the_leech | 2007-02-14 13:11:39 +0300 (Ср, 14 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgs.h
   M /trunk/miranda/plugins/Scriver/msgtimedout.c

Changes to error notifications
------------------------------------------------------------------------
r4901 | ghazan | 2007-02-14 01:48:33 +0300 (Ср, 14 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda/src/modules/clist/genmenuopt.c
   M /trunk/miranda/src/resource.rc

- fix for the Set/Default buttons behavior in genmenu options
- minor cosmetic changes for the dialog layout
------------------------------------------------------------------------
r4900 | jokusoftware | 2007-02-14 01:43:45 +0300 (Ср, 14 фев 2007) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/srmm/msgdialog.c
   M /trunk/miranda/plugins/srmm/msgs.h
   M /trunk/miranda/plugins/srmm/msgtimedout.c

fixed memory leak in error dialog
tweak, auto-close error (timeout) dialog when message is delivered after showing it
tweak, only give GenMenu commands from menu item - ensures dlg buttons will always work
------------------------------------------------------------------------
r4898 | ghazan | 2007-02-13 20:16:04 +0300 (Вт, 13 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber_agent.cpp
   M /trunk/miranda/protocols/JabberG/jabber_byte.cpp
   M /trunk/miranda/protocols/JabberG/jabber_chat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_file.cpp
   M /trunk/miranda/protocols/JabberG/jabber_ft.cpp
   M /trunk/miranda/protocols/JabberG/jabber_groupchat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid_muc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/jabber_misc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp
   M /trunk/miranda/protocols/JabberG/jabber_password.cpp
   M /trunk/miranda/protocols/JabberG/jabber_secur.cpp
   M /trunk/miranda/protocols/JabberG/jabber_ssl.cpp
   M /trunk/miranda/protocols/JabberG/jabber_ssl.h
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp
   M /trunk/miranda/protocols/JabberG/jabber_vcard.cpp
   M /trunk/miranda/protocols/JabberG/jabber_xmlns.cpp

removed the old good perversion with the SSL handles written by keh
------------------------------------------------------------------------
r4897 | ghazan | 2007-02-13 20:14:40 +0300 (Вт, 13 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlibsecurity.c

patch for NTLM auth: the domain name should be grabbed from the incoming challenge, otherwise the login fails
------------------------------------------------------------------------
r4896 | ghazan | 2007-02-13 16:07:14 +0300 (Вт, 13 фев 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_byte.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_opt.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_ssl.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp
   M /trunk/miranda/protocols/JabberG/jabber_ssl.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

fix for bug#0002776: Jabber 0.7.0.1 cannot auth via SSL with error "SSL negotiation failed"
------------------------------------------------------------------------
r4895 | the_leech | 2007-02-13 15:01:29 +0300 (Вт, 13 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/statusicon.c

fix for status bar redrawing issue on status icon change
------------------------------------------------------------------------
r4894 | ghazan | 2007-02-13 13:36:02 +0300 (Вт, 13 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c

fix for the global statuses translation
------------------------------------------------------------------------
r4893 | the_leech | 2007-02-13 13:15:21 +0300 (Вт, 13 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgwindow.c

Fix for Unicode status messages
------------------------------------------------------------------------
r4892 | ghazan | 2007-02-13 00:48:02 +0300 (Вт, 13 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber_byte.cpp
   M /trunk/miranda/protocols/JabberG/jabber_byte.h
   M /trunk/miranda/protocols/JabberG/jabber_file.cpp
   M /trunk/miranda/protocols/JabberG/jabber_ft.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_xml.cpp
   M /trunk/miranda/protocols/JabberG/jabber_xml.h

fixes for too strongly optimized places in Jabber :)
------------------------------------------------------------------------
r4891 | jokusoftware | 2007-02-12 23:08:25 +0300 (Пн, 12 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/UI/askauthentication.c
   M /trunk/miranda/protocols/IcqOscarJ/chan_02data.c
   M /trunk/miranda/protocols/IcqOscarJ/chan_04close.c
   M /trunk/miranda/protocols/IcqOscarJ/docs/IcqOscarJ-translation.txt
   M /trunk/miranda/protocols/IcqOscarJ/docs/icq-readme.txt
   M /trunk/miranda/protocols/IcqOscarJ/fam_04message.c
   M /trunk/miranda/protocols/IcqOscarJ/i18n.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_directmsg.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_packet.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_rates.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_rates.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_server.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_server.h
   M /trunk/miranda/protocols/IcqOscarJ/icqosc_svcs.c
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   M /trunk/miranda/protocols/IcqOscarJ/stdpackets.c

merged changes/fixes from 0.3.9 RC1 (hopefully I did not forget a thing)
------------------------------------------------------------------------
r4890 | the_leech | 2007-02-12 15:45:51 +0300 (Пн, 12 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c

resizable toolbar
------------------------------------------------------------------------
r4889 | the_leech | 2007-02-12 13:01:29 +0300 (Пн, 12 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c

resizable toolbar
------------------------------------------------------------------------
r4888 | the_leech | 2007-02-12 12:34:21 +0300 (Пн, 12 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c

resizable toolbar
------------------------------------------------------------------------
r4887 | the_leech | 2007-02-12 12:10:22 +0300 (Пн, 12 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c

configurable toolbar height
------------------------------------------------------------------------
r4886 | ghazan | 2007-02-12 00:39:31 +0300 (Пн, 12 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/aim_7.vcproj
   M /trunk/miranda/protocols/AimOscar/aimoscar.dep
   M /trunk/miranda/protocols/AimOscar/aimoscar.dsp
   M /trunk/miranda/protocols/AimOscar/aimoscar.mak

fixes for Aim projects
------------------------------------------------------------------------
r4885 | ghazan | 2007-02-12 00:12:50 +0300 (Пн, 12 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_chat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

changes for chat invitation & invitation accept dialogs in Jabber, including multiple invites & support for long reasons (thx Victor for the source code)
------------------------------------------------------------------------
r4884 | the_leech | 2007-02-11 21:54:08 +0300 (Вс, 11 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.rc
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/resource.rc

option pages using core tab support
------------------------------------------------------------------------
r4883 | jokusoftware | 2007-02-11 20:22:12 +0300 (Вс, 11 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c

changed one client name (thx Angeli-Ka for information)
------------------------------------------------------------------------
r4882 | ghazan | 2007-02-11 19:31:15 +0300 (Вс, 11 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/bin/make.bat
   M /trunk/miranda/src/version.rc

version bump for 0.7.0.14
------------------------------------------------------------------------
r4881 | ghazan | 2007-02-11 18:45:12 +0300 (Вс, 11 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_groupchat.cpp


------------------------------------------------------------------------
r4880 | ghazan | 2007-02-11 18:41:34 +0300 (Вс, 11 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_groupchat.cpp

a Jabber conference should have the offline status when Miranda gets the "unavailable" status for it
------------------------------------------------------------------------
r4879 | ghazan | 2007-02-11 18:28:25 +0300 (Вс, 11 фев 2007) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.dep
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber_chat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_groupchat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_misc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp
   M /trunk/miranda/protocols/JabberG/version.h

- various enhancements of adding roster contacts;
- patch for seeing JIDs in chatrooms (by Thief);
- version bump.
------------------------------------------------------------------------
r4878 | ghazan | 2007-02-11 18:26:15 +0300 (Вс, 11 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/miranda32.vcproj

project file fix for VSS info
------------------------------------------------------------------------
r4877 | nightwish2004 | 2007-02-11 16:18:57 +0300 (Вс, 11 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/msgs.h

+ added status bar indicators for caps/overwrite/num
+ fixed slightly wrong shift-enter behaviour in group chats
------------------------------------------------------------------------
r4876 | jokusoftware | 2007-02-11 04:56:18 +0300 (Вс, 11 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8_8.vcproj

fixed VS8 project file
------------------------------------------------------------------------
r4875 | jokusoftware | 2007-02-11 04:50:23 +0300 (Вс, 11 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/fam_03buddy.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.dep
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.mak

added detection of 1&1 PC Messenger (thx Angeli-Ka for hint)
fixed makefile (thx Ghazan for hint)
------------------------------------------------------------------------
r4874 | snaphat | 2007-02-11 03:57:33 +0300 (Вс, 11 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/avatars.cpp

-fixed a normalize_name() bug in avatar filenames
------------------------------------------------------------------------
r4873 | snaphat | 2007-02-11 02:38:21 +0300 (Вс, 11 фев 2007) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/AimOscar/aim_7.vcproj
   M /trunk/miranda/protocols/AimOscar/avatars.cpp
   M /trunk/miranda/protocols/AimOscar/connection.cpp
   M /trunk/miranda/protocols/AimOscar/defines.h
   M /trunk/miranda/protocols/AimOscar/server.cpp

-Just a tiny bit more logging for avatars
-Avatars and mail should work on alternate ports(other than 5190)
-
------------------------------------------------------------------------
r4871 | snaphat | 2007-02-10 22:06:58 +0300 (Сб, 10 фев 2007) | 6 lines
Changed paths:
   M /trunk/miranda/protocols/AimOscar/aim.cpp
   M /trunk/miranda/protocols/AimOscar/aim.rc
   M /trunk/miranda/protocols/AimOscar/aim_8.vcproj
   A /trunk/miranda/protocols/AimOscar/avatars.cpp
   A /trunk/miranda/protocols/AimOscar/avatars.h
   A /trunk/miranda/protocols/AimOscar/away.cpp
   A /trunk/miranda/protocols/AimOscar/away.h
   M /trunk/miranda/protocols/AimOscar/client.cpp
   M /trunk/miranda/protocols/AimOscar/client.h
   M /trunk/miranda/protocols/AimOscar/connection.cpp
   M /trunk/miranda/protocols/AimOscar/connection.h
   M /trunk/miranda/protocols/AimOscar/conv.cpp
   M /trunk/miranda/protocols/AimOscar/conv.h
   M /trunk/miranda/protocols/AimOscar/defines.h
   M /trunk/miranda/protocols/AimOscar/resource.h
   M /trunk/miranda/protocols/AimOscar/server.cpp
   M /trunk/miranda/protocols/AimOscar/server.h
   M /trunk/miranda/protocols/AimOscar/services.cpp
   M /trunk/miranda/protocols/AimOscar/strl.cpp
   M /trunk/miranda/protocols/AimOscar/strl.h
   M /trunk/miranda/protocols/AimOscar/utility.cpp
   M /trunk/miranda/protocols/AimOscar/utility.h
   M /trunk/miranda/protocols/AimOscar/windows.cpp

-Avatar Additions
-Awaymsg Auto Requesting
-Modification to cookies
-Moved Auto Response flag parsing.
-Removal of complained about link stripping.
-Fixed the quote issue.
------------------------------------------------------------------------
r4870 | the_leech | 2007-02-09 23:11:19 +0300 (Пт, 09 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.rc
   M /trunk/miranda/plugins/Scriver/chat/options.c
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/resource.rc

minor option pages changes
------------------------------------------------------------------------
r4869 | ghazan | 2007-02-09 20:50:32 +0300 (Пт, 09 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_byte.cpp
   M /trunk/miranda/protocols/JabberG/jabber_byte.h
   M /trunk/miranda/protocols/JabberG/jabber_file.cpp
   M /trunk/miranda/protocols/JabberG/jabber_ft.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iq.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp
   M /trunk/miranda/protocols/JabberG/jabber_vcard.cpp
   M /trunk/miranda/protocols/JabberG/jabber_xml.cpp
   M /trunk/miranda/protocols/JabberG/jabber_xml.h
   M /trunk/miranda/protocols/JabberG/jabber_xmlns.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

fix for one strange solution in Jabber: sometimes a packets numbers were treated as strings
------------------------------------------------------------------------
r4865 | ghazan | 2007-02-09 18:17:59 +0300 (Пт, 09 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_misc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_secur.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp

fix to allow both transparent and external NTLM auth
------------------------------------------------------------------------
r4864 | ono | 2007-02-09 18:17:13 +0300 (Пт, 09 фев 2007) | 4 lines
Changed paths:
   M /trunk/miranda/protocols/Gadu-Gadu/core.c
   M /trunk/miranda/protocols/Gadu-Gadu/docs/gg-readme.txt
   M /trunk/miranda/protocols/Gadu-Gadu/gg.c
   M /trunk/miranda/protocols/Gadu-Gadu/gg.h
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/common.c
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/dcc.c
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/events.c
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/http.c
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/libgadu-config.h
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/libgadu.c
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/libgadu.h
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/pubdir.c
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/pubdir50.c
   M /trunk/miranda/protocols/Gadu-Gadu/ssl.c

* Closer integration with libgadu
* libgadu updates
* libgadu customizations are now with precompiler options

------------------------------------------------------------------------
r4862 | rainwater | 2007-02-09 05:11:50 +0300 (Пт, 09 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/updatenotify/updatenotify.c

Update notifier will not notify multiple times for the same version
------------------------------------------------------------------------
r4860 | ghazan | 2007-02-09 01:15:59 +0300 (Пт, 09 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_netlib.h
   M /trunk/miranda/protocols/JabberG/jabber_secur.cpp
   M /trunk/miranda/src/modules/netlib/netlib.h
   M /trunk/miranda/src/modules/netlib/netlibhttp.c
   M /trunk/miranda/src/modules/netlib/netlibsecurity.c

patch for passing login/password to the NTLM module, to allow Jabber users to pass NTLM auth for remote servers
------------------------------------------------------------------------
r4858 | the_leech | 2007-02-08 22:54:03 +0300 (Чт, 08 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c

added ReleaseIconSafe(),
avatar alignment changed
------------------------------------------------------------------------
r4857 | nightwish2004 | 2007-02-08 18:37:22 +0300 (Чт, 08 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/generic_msghandlers.c
   M /trunk/miranda/plugins/tabsrmm/m_flash.h
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c
   M /trunk/miranda/plugins/tabsrmm/msglog.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c

+ patch by BM for flash avatar support
------------------------------------------------------------------------
r4856 | ghazan | 2007-02-08 17:30:32 +0300 (Чт, 08 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/db3x/dbevents.c
   M /trunk/miranda/plugins/db3x_mmap/dbevents.c

changes in db3x merged with dbx_mmap 
------------------------------------------------------------------------
r4855 | nightwish2004 | 2007-02-08 16:45:44 +0300 (Чт, 08 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.c
   M /trunk/miranda/plugins/clist_nicer/clc.h
   M /trunk/miranda/plugins/clist_nicer/clcitems.c
   M /trunk/miranda/plugins/clist_nicer/clcopts.c
   M /trunk/miranda/plugins/clist_nicer/cluiopts.c
   M /trunk/miranda/plugins/clist_nicer/extBackg.c
   M /trunk/miranda/plugins/clist_nicer/rowheight_funcs.c

+ don't forget extra icon size when using option dialog
------------------------------------------------------------------------
r4854 | nightwish2004 | 2007-02-08 16:26:42 +0300 (Чт, 08 фев 2007) | 4 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/msgs.h
   M /trunk/miranda/plugins/tabsrmm/msgwindow.rc
   M /trunk/miranda/plugins/tabsrmm/srmm.c
   M /trunk/miranda/plugins/tabsrmm/tabctrl.c

+ fixed slightly wrong Shift-Enter behaviour in group chats
+ tab tooltips go away when closig a tab.
+ version bump

------------------------------------------------------------------------
r4850 | ghazan | 2007-02-07 19:02:06 +0300 (Ср, 07 фев 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/MSN/Docs/translate-msn.txt
   M /branches/stable/miranda/protocols/MSN/msn.rc
   M /trunk/miranda/protocols/MSN/Docs/translate-msn.txt
   M /trunk/miranda/protocols/MSN/msn.rc

minor translation file change for MSN protocol
------------------------------------------------------------------------
r4847 | rainwater | 2007-02-07 16:44:56 +0300 (Ср, 07 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/db3x/dbevents.c

Last dbevent commit broke MS_DB_EVENT_GET when not requesting the pblob data.
------------------------------------------------------------------------
r4845 | gena01 | 2007-02-07 01:34:17 +0300 (Ср, 07 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/avatar.c

Removing ContactPhoto/File avatar hack.
------------------------------------------------------------------------
r4844 | ghazan | 2007-02-07 01:20:24 +0300 (Ср, 07 фев 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_iqid.cpp
   M /branches/stable/miranda/protocols/MSN/msn_useropts.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/MSN/msn_useropts.cpp

ugly hack with the ContactPhoto/File setting removed
------------------------------------------------------------------------
r4843 | ghazan | 2007-02-07 00:52:30 +0300 (Ср, 07 фев 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/plugins/srmm/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/srmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c

fix for bug #2460: Dragging and dropping a file with non-locale characters into message window crashes Miranda IM immediately
------------------------------------------------------------------------
r4842 | jokusoftware | 2007-02-06 22:54:17 +0300 (Вт, 06 фев 2007) | 4 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/chan_05ping.c
   M /trunk/miranda/protocols/IcqOscarJ/docs/icq-readme.txt
   D /trunk/miranda/protocols/IcqOscarJ/forkthread.c
   D /trunk/miranda/protocols/IcqOscarJ/forkthread.h
   M /trunk/miranda/protocols/IcqOscarJ/iconlib.c
   M /trunk/miranda/protocols/IcqOscarJ/iconlib.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_constants.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_direct.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_infoupdate.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_rates.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_server.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_xstatus.c
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar.h
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.dep
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.dsp
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.mak
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   M /trunk/miranda/protocols/IcqOscarJ/log.c
   D /trunk/miranda/protocols/IcqOscarJ/m_icq.h
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/resources.rc
   M /trunk/miranda/protocols/IcqOscarJ/utilities.c
   M /trunk/miranda/protocols/IcqOscarJ/utilities.h

removed local m_icq.h
switched to core forkthread services
removed compatibility code for icolib not present
version bump for new development cycle
------------------------------------------------------------------------
r4841 | the_leech | 2007-02-06 22:22:30 +0300 (Вт, 06 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/window.c

Fix for 0002929 (Shift+dblclk on Unicode nickname)
------------------------------------------------------------------------
r4840 | the_leech | 2007-02-06 22:09:25 +0300 (Вт, 06 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/options.c

Fix for 0002930 (Unicode highlighted words)
------------------------------------------------------------------------
r4839 | the_leech | 2007-02-06 22:01:08 +0300 (Вт, 06 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/main.c
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/globals.h
   M /trunk/miranda/plugins/Scriver/msgwindow.c

Fix for 0002932 (disappearing Typing notification icon)
------------------------------------------------------------------------
r4837 | ghazan | 2007-02-06 17:46:10 +0300 (Вт, 06 фев 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/src/modules/netlib/netliblog.c
   M /trunk/miranda/src/modules/netlib/netliblog.c

prevents Miranda from crashing when the very long chunks of data are being logged.
------------------------------------------------------------------------
r4836 | ghazan | 2007-02-06 17:43:34 +0300 (Вт, 06 фев 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_util.cpp
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp

fix for the exception handling in Jabber
------------------------------------------------------------------------
r4835 | the_leech | 2007-02-06 12:29:31 +0300 (Вт, 06 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/Makefile
   M /trunk/miranda/plugins/Scriver/MakefileA
   M /trunk/miranda/plugins/Scriver/MakefileIcons

makefiles updated

------------------------------------------------------------------------
r4834 | ashpynov | 2007-02-06 10:44:23 +0300 (Вт, 06 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlibhttp.c

issue 2778 fix - some proxy is not able to be used due to response does not contain response code description
------------------------------------------------------------------------
r4833 | jokusoftware | 2007-02-06 00:22:23 +0300 (Вт, 06 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/include/m_icolib.h
   M /trunk/miranda/src/modules/icolib/skin2icons.c

IcoLib: Added support for Unicode Default filename
IcoLib: Added services to determine if HICON is managed by IcoLib & for incrementing ref_count - for proper ref_count handling when passing HICON as parameter
------------------------------------------------------------------------
r4832 | ghazan | 2007-02-06 00:08:40 +0300 (Вт, 06 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/mwclist/clui.c
   M /trunk/miranda/src/core/miranda.c
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/clistmod.c
   M /trunk/miranda/src/modules/clist/clui.c

rollback for all clist sync changes
------------------------------------------------------------------------
r4826 | ghazan | 2007-02-05 18:58:11 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/mwclist/clui.c

fix for late clist creation
------------------------------------------------------------------------
r4825 | the_leech | 2007-02-05 18:24:33 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msglog.c

URL parsing fixes
------------------------------------------------------------------------
r4824 | the_leech | 2007-02-05 17:23:57 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/window.c

Fix for 0002916 (event filter not working)
------------------------------------------------------------------------
r4823 | the_leech | 2007-02-05 16:58:39 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msglog.c

Fix for 0002913 (logs cut off in ANSI version) as well as some code clean-up
------------------------------------------------------------------------
r4819 | ghazan | 2007-02-05 16:31:39 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/core/miranda.c
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/clistmod.c
   M /trunk/miranda/src/modules/clist/clui.c

contact list launch moved after the OnModulesLoaded event processing completion
------------------------------------------------------------------------
r4817 | ghazan | 2007-02-05 16:07:01 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/protocolorder.c

added PFLAGNUM_5 analysis to the protocol order module (fixes issues with tray menu & weather/yamn plugins) - thx TioDuke for an idea
------------------------------------------------------------------------
r4816 | the_leech | 2007-02-05 13:13:50 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/main.c
   M /trunk/miranda/plugins/Scriver/chat/manager.c
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/commonheaders.h
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/globals.h
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msglog.c
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/msgs.h
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/statusicon.c

GDI resource usage optimizations (patch by borkra, slightly modified)
------------------------------------------------------------------------
r4815 | ghazan | 2007-02-05 12:54:30 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/button/button.c

fix for drawing arrows on buttons
------------------------------------------------------------------------
r4814 | ghazan | 2007-02-05 02:39:29 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/icolib/skin2icons.c

compatibility patch
------------------------------------------------------------------------
r4813 | ghazan | 2007-02-05 02:07:12 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/bin/make.bat
   M /trunk/miranda/bin/makew.bat
   M /trunk/miranda/bin/miranda32.dsw
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/scriver.dsp
   M /trunk/miranda/plugins/Scriver/scriver.dsw
   M /trunk/miranda/src/version.rc

version bump for 0.7.0.13, minor fixes for project files
------------------------------------------------------------------------
r4812 | ghazan | 2007-02-05 00:35:14 +0300 (Пн, 05 фев 2007) | 8 lines
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn.rc
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_menu.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp
   M /trunk/miranda/protocols/MSN/msn_std.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_threads.cpp
   M /trunk/miranda/protocols/MSN/msn_useropts.cpp

patch for MSN by borkra:
- Fixed typing notifications
- Added idle status handling/setting
- Added icons update handling
- SSL update to handle HTTP of any length (MSN 8 preparation)
- Fixed services icon not added into dll by compiler
- Fixed disconnect with very long contact list
- Fixed crash on exit (due to popups)
------------------------------------------------------------------------
r4811 | ghazan | 2007-02-05 00:19:18 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/manager.c

CHAT.dll doesn't terminate MSN chats.
------------------------------------------------------------------------
r4810 | ghazan | 2007-02-05 00:16:07 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/skin/skinicons.c

fix for YAMN icons
------------------------------------------------------------------------
r4809 | ghazan | 2007-02-04 22:44:14 +0300 (Вс, 04 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/genmenu.c
   M /trunk/miranda/src/modules/skin/skinicons.c

minor code changes
------------------------------------------------------------------------
r4808 | ghazan | 2007-02-04 20:44:41 +0300 (Вс, 04 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/icolib/skin2icons.c
   M /trunk/miranda/src/modules/skin/skinicons.c

ReleaseIcon was slightly modified to return the different result when an icon was successfully released
------------------------------------------------------------------------
r4807 | ghazan | 2007-02-04 18:57:27 +0300 (Вс, 04 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/genmenu.c

fix for a compiler warning
------------------------------------------------------------------------
r4806 | ghazan | 2007-02-04 18:52:40 +0300 (Вс, 04 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/database/profilemanager.c

IcoLib support should be removed for Profile Manager
------------------------------------------------------------------------
r4805 | ghazan | 2007-02-04 18:32:20 +0300 (Вс, 04 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_skin.h
   M /trunk/miranda/src/core/miranda.h
   M /trunk/miranda/src/modules/addcontact/addcontact.c
   M /trunk/miranda/src/modules/button/button.c
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/genmenuopt.c
   M /trunk/miranda/src/modules/clist/protocolorder.c
   M /trunk/miranda/src/modules/database/profilemanager.c
   M /trunk/miranda/src/modules/findadd/findadd.c
   M /trunk/miranda/src/modules/help/about.c
   M /trunk/miranda/src/modules/help/help.c
   M /trunk/miranda/src/modules/history/history.c
   M /trunk/miranda/src/modules/ignore/ignore.c
   M /trunk/miranda/src/modules/options/options.c
   M /trunk/miranda/src/modules/skin/skinicons.c
   M /trunk/miranda/src/modules/srauth/authdialogs.c
   M /trunk/miranda/src/modules/srawaymsg/awaymsg.c
   M /trunk/miranda/src/modules/srawaymsg/sendmsg.c
   M /trunk/miranda/src/modules/sremail/email.c
   M /trunk/miranda/src/modules/srfile/file.h
   M /trunk/miranda/src/modules/srfile/filerecvdlg.c
   M /trunk/miranda/src/modules/srfile/filesenddlg.c
   M /trunk/miranda/src/modules/srurl/url.h
   M /trunk/miranda/src/modules/srurl/urldialogs.c
   M /trunk/miranda/src/modules/updatenotify/updatenotify.c
   M /trunk/miranda/src/modules/userinfo/contactinfo.c
   M /trunk/miranda/src/modules/userinfo/userinfo.c
   M /trunk/miranda/src/modules/visibility/visibility.c

the whole core is using IcoLib now (thx borkra for the basic patch version)
------------------------------------------------------------------------
r4803 | the_leech | 2007-02-03 16:22:58 +0300 (Сб, 03 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msglog.c
   M /trunk/miranda/plugins/Scriver/srmm.c

updated copyright notes
------------------------------------------------------------------------
r4802 | the_leech | 2007-02-03 13:16:24 +0300 (Сб, 03 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/msglog.c
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgs.h

separate font settings for URLs
manual RTL switch
------------------------------------------------------------------------
r4801 | the_leech | 2007-02-03 13:11:29 +0300 (Сб, 03 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c

splitter position bug fixed (thanks to Enno Rehling)
some code clean-up
------------------------------------------------------------------------
r4800 | nightwish2004 | 2007-02-02 23:11:06 +0300 (Пт, 02 фев 2007) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/chat.rc
   M /trunk/miranda/plugins/tabsrmm/chat/manager.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/msgoptions.c
   M /trunk/miranda/plugins/tabsrmm/tabctrl.c

+ added multiselect for group chat userlist
+ added option to disable tipper tooltips over tabs
+ fixed groupchat window close issue (patch by borkra)
------------------------------------------------------------------------
r4799 | the_leech | 2007-02-02 10:56:22 +0300 (Пт, 02 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/manager.c

GC_SESSION_TERMINATE was not fired (patch by borkra)
------------------------------------------------------------------------
r4797 | ghazan | 2007-02-02 01:47:03 +0300 (Пт, 02 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/core/commonheaders.h
   M /trunk/miranda/src/core/miranda.h
   M /trunk/miranda/src/modules/clist/clistmod.c
   M /trunk/miranda/src/modules/clist/clui.c
   M /trunk/miranda/src/modules/clist/genmenuopt.c
   M /trunk/miranda/src/modules/clist/protocolorder.c
   M /trunk/miranda/src/modules/database/profilemanager.c
   M /trunk/miranda/src/modules/findadd/findadd.c
   M /trunk/miranda/src/modules/ignore/ignore.c
   M /trunk/miranda/src/modules/skin/skinicons.c
   M /trunk/miranda/src/modules/visibility/visibility.c

minor code reorganizing & improvement
------------------------------------------------------------------------
r4796 | ghazan | 2007-02-01 19:55:52 +0300 (Чт, 01 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/srmm.c
   M /trunk/miranda/plugins/chat/main.c
   M /trunk/miranda/plugins/srmm/srmm.c
   M /trunk/miranda/plugins/tabsrmm/srmm.c
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/src/modules/plugins/newplugins.c

Unicode plugins got the UNICODE_AWARE flag in PLUGININFO structure
------------------------------------------------------------------------
r4795 | ghazan | 2007-02-01 17:25:10 +0300 (Чт, 01 фев 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber.vcproj

the Jabber client's version window size was increased
------------------------------------------------------------------------
r4794 | ghazan | 2007-02-01 17:15:13 +0300 (Чт, 01 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/genmenu.c

useless code removed 
------------------------------------------------------------------------
r4793 | ghazan | 2007-02-01 16:58:15 +0300 (Чт, 01 фев 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/src/modules/database/profilemanager.c
   M /trunk/miranda/src/modules/database/profilemanager.c

cosmetic changes for Profile Manager dialog
------------------------------------------------------------------------
r4792 | ghazan | 2007-01-31 18:33:01 +0300 (Ср, 31 янв 2007) | 2 lines
Changed paths:
   M /trunk/miranda/include/m_clist.h
   M /trunk/miranda/include/m_genmenu.h
   M /trunk/miranda/plugins/clist_nicer/CLUIFrames/groupmenu.c
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/clistmod.c

genmenu settings names aren't translated now

------------------------------------------------------------------------
r4791 | ghazan | 2007-01-31 18:29:35 +0300 (Ср, 31 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/icolib/skin2icons.c

the icolib options interface improvement not to show all section's icons for the section menu item.
------------------------------------------------------------------------
r4790 | ghazan | 2007-01-31 16:51:21 +0300 (Ср, 31 янв 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

more secure variant of calculating version of Jabber client.
------------------------------------------------------------------------
r4789 | ghazan | 2007-01-31 14:52:28 +0300 (Ср, 31 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/globals.c

fix for "Chinese" symbols in Scriver options
------------------------------------------------------------------------
r4788 | jokusoftware | 2007-01-31 03:32:32 +0300 (Ср, 31 янв 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/UI/userinfotab.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.h
   M /trunk/miranda/protocols/IcqOscarJ/icqosc_svcs.c
   D /trunk/miranda/protocols/IcqOscarJ/icqoscar8.vcproj.vspscc
   D /trunk/miranda/protocols/IcqOscarJ/icqoscar8_8.vcproj.vspscc

useless files removed
added full avatar hash handling (now finally all avatars are handled properly)
------------------------------------------------------------------------
r4787 | ghazan | 2007-01-30 02:34:12 +0300 (Вт, 30 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/scriver.vcproj
   M /trunk/miranda/plugins/chat/chat.vcproj
   M /trunk/miranda/plugins/clist/clist.vcproj
   M /trunk/miranda/plugins/clist_nicer/clist_nicer.vcproj
   M /trunk/miranda/plugins/db3x/db3x.vcproj
   M /trunk/miranda/plugins/db3x_mmap/db3x_mmap.vcproj
   M /trunk/miranda/plugins/import/import.vcproj
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/mwclist/clist_mw.vcproj
   M /trunk/miranda/plugins/png2dib/png2dib.vcproj
   M /trunk/miranda/plugins/srmm/srmm.vcproj
   M /trunk/miranda/plugins/tabsrmm/tabsrmm.vcproj
   M /trunk/miranda/protocols/IRC/IRC.vcproj
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.vcproj
   M /trunk/miranda/protocols/JabberG/jabber.vcproj
   M /trunk/miranda/protocols/MSN/msn.vcproj
   M /trunk/miranda/protocols/Yahoo/Yahoo.vcproj
   M /trunk/miranda-tools/dbtool/dbtool.vcproj

"Omit frame pointer" option was disabled in all VS2003 projects to enhance debugging
------------------------------------------------------------------------
r4786 | ghazan | 2007-01-30 02:31:34 +0300 (Вт, 30 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_genmenu.h

useless code removed
------------------------------------------------------------------------
r4785 | ghazan | 2007-01-30 02:22:00 +0300 (Вт, 30 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/aimoscar.dep
   M /trunk/miranda/protocols/AimOscar/aimoscar.mak

fix for AIM makefiles
------------------------------------------------------------------------
r4784 | ghazan | 2007-01-30 02:18:21 +0300 (Вт, 30 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/genmenu.c
   M /trunk/miranda/src/modules/clist/genmenu.h
   M /trunk/miranda/src/modules/clist/genmenuopt.c

minor code cleaning
------------------------------------------------------------------------
r4783 | ghazan | 2007-01-30 00:57:08 +0300 (Вт, 30 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/functions.h
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/srmm.c
   M /trunk/miranda/plugins/tabsrmm/tabsrmm.mak

tabSRMM: fix for NT4 compatibility
------------------------------------------------------------------------
r4782 | the_leech | 2007-01-29 22:31:25 +0300 (Пн, 29 янв 2007) | 1 line
Changed paths:
   D /trunk/miranda/plugins/Scriver/IcoLib.h

old icolib header file removed
------------------------------------------------------------------------
r4781 | the_leech | 2007-01-29 22:08:05 +0300 (Пн, 29 янв 2007) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/main.c
   M /trunk/miranda/plugins/Scriver/chat/options.c
   M /trunk/miranda/plugins/Scriver/commonheaders.h
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msglog.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/statusicon.c

file descriptions shown in logs
some GDI usage optimizations

------------------------------------------------------------------------
r4778 | rainwater | 2007-01-29 18:26:34 +0300 (Пн, 29 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/png2dib/libpng/example.c
   M /trunk/miranda/plugins/png2dib/libpng/png.c
   M /trunk/miranda/plugins/png2dib/libpng/png.h
   M /trunk/miranda/plugins/png2dib/libpng/pngconf.h
   M /trunk/miranda/plugins/png2dib/libpng/pngerror.c
   M /trunk/miranda/plugins/png2dib/libpng/pnggccrd.c
   M /trunk/miranda/plugins/png2dib/libpng/pngget.c
   M /trunk/miranda/plugins/png2dib/libpng/pngmem.c
   M /trunk/miranda/plugins/png2dib/libpng/pngpread.c
   M /trunk/miranda/plugins/png2dib/libpng/pngread.c
   M /trunk/miranda/plugins/png2dib/libpng/pngrio.c
   M /trunk/miranda/plugins/png2dib/libpng/pngrtran.c
   M /trunk/miranda/plugins/png2dib/libpng/pngrutil.c
   M /trunk/miranda/plugins/png2dib/libpng/pngset.c
   M /trunk/miranda/plugins/png2dib/libpng/pngtest.c
   M /trunk/miranda/plugins/png2dib/libpng/pngtrans.c
   M /trunk/miranda/plugins/png2dib/libpng/pngvcrd.c
   M /trunk/miranda/plugins/png2dib/libpng/pngwio.c
   M /trunk/miranda/plugins/png2dib/libpng/pngwrite.c
   M /trunk/miranda/plugins/png2dib/libpng/pngwtran.c
   M /trunk/miranda/plugins/png2dib/libpng/pngwutil.c

Updated libpng in png2dib to v1.2.15
------------------------------------------------------------------------
r4777 | ghazan | 2007-01-29 18:21:16 +0300 (Пн, 29 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.mak
   M /trunk/miranda/protocols/MSN/resource.h

fix for msn icons
------------------------------------------------------------------------
r4776 | ghazan | 2007-01-29 17:43:54 +0300 (Пн, 29 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/resource.h

fix for msn icons
------------------------------------------------------------------------
r4775 | rainwater | 2007-01-29 06:38:37 +0300 (Пн, 29 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/utils/path.c

Add support for leading '\' in path to absolute service (Unicode now supported in this patch)
------------------------------------------------------------------------
r4772 | jokusoftware | 2007-01-29 03:49:52 +0300 (Пн, 29 янв 2007) | 4 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_direct.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_filerequests.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_packet.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.h

OFT: fixed stupid bug preventing FT to work properly with clients supporting 64bit length
OFT: added ansi file names support (not really important)
OFT: fixed possible crash when canceling transfer (thx Ghazan for reporting)
added safety mechanism to old FT too (to prevent memory leaks, crashes)
------------------------------------------------------------------------
r4771 | ghazan | 2007-01-29 01:48:33 +0300 (Пн, 29 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_system.h

fix for a misprint in a header file (thx sje)
------------------------------------------------------------------------
r4770 | ghazan | 2007-01-29 01:08:41 +0300 (Пн, 29 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.c
   M /trunk/miranda/plugins/clist_nicer/clc.h
   M /trunk/miranda/plugins/clist_nicer/clisttray.c
   M /trunk/miranda/plugins/clist_nicer/init.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/plugins/modernb/modern_statusbar.c
   M /trunk/miranda/plugins/mwclist/clc.c
   M /trunk/miranda/plugins/mwclist/clist.h
   M /trunk/miranda/plugins/mwclist/init.c

GetProtocolVisibility() moved to core
------------------------------------------------------------------------
r4769 | ghazan | 2007-01-29 01:07:33 +0300 (Пн, 29 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistcore.c
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/genmenu.c
   M /trunk/miranda/src/modules/clist/genmenuopt.c
   M /trunk/miranda/src/modules/icolib/skin2icons.c
   M /trunk/miranda/src/resource.rc

various fixes for genmenu options
------------------------------------------------------------------------
r4767 | ghazan | 2007-01-28 23:36:52 +0300 (Вс, 28 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/png2dib/zlib/adler32.c
   M /trunk/miranda/plugins/png2dib/zlib/compress.c
   M /trunk/miranda/plugins/png2dib/zlib/crc32.c
   M /trunk/miranda/plugins/png2dib/zlib/deflate.c
   M /trunk/miranda/plugins/png2dib/zlib/deflate.h
   M /trunk/miranda/plugins/png2dib/zlib/example.c
   M /trunk/miranda/plugins/png2dib/zlib/gzio.c
   M /trunk/miranda/plugins/png2dib/zlib/infback.c
   M /trunk/miranda/plugins/png2dib/zlib/inffast.c
   M /trunk/miranda/plugins/png2dib/zlib/inflate.c
   M /trunk/miranda/plugins/png2dib/zlib/inflate.h
   M /trunk/miranda/plugins/png2dib/zlib/inftrees.c
   M /trunk/miranda/plugins/png2dib/zlib/inftrees.h
   M /trunk/miranda/plugins/png2dib/zlib/minigzip.c
   M /trunk/miranda/plugins/png2dib/zlib/trees.c
   M /trunk/miranda/plugins/png2dib/zlib/zconf.h
   M /trunk/miranda/plugins/png2dib/zlib/zconf.in.h
   M /trunk/miranda/plugins/png2dib/zlib/zlib.h
   M /trunk/miranda/plugins/png2dib/zlib/zutil.c
   M /trunk/miranda/plugins/png2dib/zlib/zutil.h

update for zlib v.1.2.3
------------------------------------------------------------------------
r4765 | ghazan | 2007-01-28 22:31:25 +0300 (Вс, 28 янв 2007) | 5 lines
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_lists.cpp
   M /trunk/miranda/protocols/MSN/msn_menu.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_ws.cpp

patch for MSN (by borkra):
- Fixes SB creation problems
- Tries to resolve lost message problems
- Reduces GDI usage
- Fixes bug #1864 
------------------------------------------------------------------------
r4764 | ghazan | 2007-01-28 21:00:37 +0300 (Вс, 28 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/core/commonheaders.h
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/clistmod.c
   M /trunk/miranda/src/modules/clist/clui.c
   M /trunk/miranda/src/modules/clist/genmenu.c
   M /trunk/miranda/src/modules/icolib/IcoLib.c
   M /trunk/miranda/src/modules/icolib/skin2icons.c
   M /trunk/miranda/src/modules/skin/skinicons.c
   M /trunk/miranda/src/modules/srawaymsg/awaymsg.c
   M /trunk/miranda/src/modules/srawaymsg/sendmsg.c
   M /trunk/miranda/src/modules/srfile/file.c
   M /trunk/miranda/src/modules/srfile/filerecvdlg.c
   M /trunk/miranda/src/modules/srfile/filesenddlg.c
   M /trunk/miranda/src/modules/srurl/url.c
   M /trunk/miranda/src/modules/srurl/urldialogs.c
   M /trunk/miranda/src/modules/useronline/useronline.c

some minor fixes for icolib in core (thx borkra)
------------------------------------------------------------------------
r4763 | jokusoftware | 2007-01-28 17:32:53 +0300 (Вс, 28 янв 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clcitems.c
   M /trunk/miranda/plugins/clist_nicer/clui.c
   M /trunk/miranda/plugins/clist_nicer/cluiservices.c

fixed: do not mess Custom Status menu icons (core handles that by itself)
improved Custom Status support (get rid of hard-coded status names)
------------------------------------------------------------------------
r4762 | jokusoftware | 2007-01-28 17:11:01 +0300 (Вс, 28 янв 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_xstatus.c

tweaked custom status setting routine to DB & API status id is always in sync with real status
fixed small menu inconsistency with Custom Status - None 
------------------------------------------------------------------------
r4761 | ghazan | 2007-01-28 16:11:53 +0300 (Вс, 28 янв 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

patch for placing SecureIM into the Jabber MirVer
------------------------------------------------------------------------
r4760 | jokusoftware | 2007-01-28 03:29:55 +0300 (Вс, 28 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/genmenuopt.c

fixed possible crash with NULL name
------------------------------------------------------------------------
r4759 | jokusoftware | 2007-01-28 02:06:54 +0300 (Вс, 28 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/UI/loginpassword.c

minor unicode glitch fixed
------------------------------------------------------------------------
r4758 | jokusoftware | 2007-01-28 01:56:46 +0300 (Вс, 28 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/fam_03buddy.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_04message.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_direct.c
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   M /trunk/miranda/protocols/IcqOscarJ/utilities.c

improved behavior for automatic creation of DC in active mode (do not try over and over again)
------------------------------------------------------------------------
r4757 | jokusoftware | 2007-01-28 00:56:05 +0300 (Вс, 28 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/fam_13servclist.c
   M /trunk/miranda/protocols/IcqOscarJ/icqosc_svcs.c
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar.h

small server-side ignore list support improvement
------------------------------------------------------------------------
r4754 | rainwater | 2007-01-27 22:15:52 +0300 (Сб, 27 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/findadd/findadd.c

Find/Add error message wasn't translated
------------------------------------------------------------------------
r4753 | jokusoftware | 2007-01-27 21:31:52 +0300 (Сб, 27 янв 2007) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/fam_01service.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   M /trunk/miranda/protocols/IcqOscarJ/utilities.c

detection of new ICQJ s7 & sss mod
show warning when not loading due to old MIM core
fixed: MS_DB_CONTACT_DELETESETTING cannot be used for resident settings
------------------------------------------------------------------------
r4752 | rainwater | 2007-01-27 19:26:47 +0300 (Сб, 27 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/movetogroup.c

Minor text change to denote "Root Group" is not an actual group named "Root Group".
------------------------------------------------------------------------
r4751 | gena01 | 2007-01-27 01:24:42 +0300 (Сб, 27 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/main.c
   M /trunk/miranda/protocols/Yahoo/yahoo.c

Small cleanup.
------------------------------------------------------------------------
r4750 | ghazan | 2007-01-26 20:06:36 +0300 (Пт, 26 янв 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/plugins/srmm/msglog.c
   M /trunk/miranda/plugins/srmm/msglog.c

fix for bug #0002241: When message box is open links or only shown in squares
------------------------------------------------------------------------
r4749 | the_leech | 2007-01-26 19:32:10 +0300 (Пт, 26 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msglog.c
   M /trunk/miranda/plugins/Scriver/srmm.c

bugfix (wrong flag)
------------------------------------------------------------------------
r4748 | ghazan | 2007-01-26 17:17:48 +0300 (Пт, 26 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/version.rc

version bump for 0.7.0.12 (to allow the committed plugins to run)
------------------------------------------------------------------------
r4747 | ghazan | 2007-01-26 16:04:43 +0300 (Пт, 26 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.dep
   M /trunk/miranda/protocols/JabberG/jabber.mak
   M /trunk/miranda/protocols/JabberG/jabber.vcproj
   M /trunk/miranda/protocols/JabberG/jabber_8.vcproj

fix for Jabber project files
------------------------------------------------------------------------
r4746 | nightwish2004 | 2007-01-26 08:19:15 +0300 (Пт, 26 янв 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.h
   M /trunk/miranda/plugins/clist_nicer/clcopts.c
   M /trunk/miranda/plugins/clist_nicer/clistopts.c
   M /trunk/miranda/plugins/clist_nicer/cluiopts.c
   M /trunk/miranda/plugins/clist_nicer/resource.h
   M /trunk/miranda/plugins/clist_nicer/resource.rc

+ bugfix: missing cursor on dropping contacts over groups
+ continued new option pages (still wip)
------------------------------------------------------------------------
r4745 | rainwater | 2007-01-26 04:51:39 +0300 (Пт, 26 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlibupnp.c

Fix netlib crash from last commit
------------------------------------------------------------------------
r4743 | jokusoftware | 2007-01-26 04:00:46 +0300 (Пт, 26 янв 2007) | 6 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/capabilities.c
   M /trunk/miranda/protocols/IcqOscarJ/cookies.c
   M /trunk/miranda/protocols/IcqOscarJ/cookies.h
   M /trunk/miranda/protocols/IcqOscarJ/directpackets.c
   M /trunk/miranda/protocols/IcqOscarJ/directpackets.h
   M /trunk/miranda/protocols/IcqOscarJ/docs/icq-readme.txt
   M /trunk/miranda/protocols/IcqOscarJ/fam_01service.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_02location.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_03buddy.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_04message.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_13servclist.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_15icqserver.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_constants.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_db.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_db.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_direct.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_directmsg.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_filerequests.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_firstrun.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_infoupdate.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_servlist.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_uploadui.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_xstatus.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_xtraz.c
   M /trunk/miranda/protocols/IcqOscarJ/icqosc_svcs.c
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/resources.rc
   M /trunk/miranda/protocols/IcqOscarJ/stdpackets.c
   M /trunk/miranda/protocols/IcqOscarJ/stdpackets.h

some code cleaning
message error handling improved quite a bit (now handles all reasonable situations)
added detection of Trillian Astra
parse member since TLV (stored as MemberTS)
fixed occasional losing of contact in server-list when moving to another group
fixed minor unicode glitch in FirstRun dialog
------------------------------------------------------------------------
r4742 | rainwater | 2007-01-26 03:52:13 +0300 (Пт, 26 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlib.h
   M /trunk/miranda/src/modules/netlib/netlibopenconn.c
   M /trunk/miranda/src/modules/netlib/netlibupnp.c

Fix last commit by running upnp cleanup during first connection attempt
------------------------------------------------------------------------
r4740 | rainwater | 2007-01-26 02:33:17 +0300 (Пт, 26 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlibupnp.c

Check to make sure there are incoming connections defined before doing upnp cleanup.  UPnP is now disabled automatically if no incoming connections are defined.
------------------------------------------------------------------------
r4737 | ghazan | 2007-01-26 00:38:36 +0300 (Пт, 26 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.dep

fix for a MSN dependency file
------------------------------------------------------------------------
r4735 | ghazan | 2007-01-25 20:33:47 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/core/modules.c

fix for a compiler warning
------------------------------------------------------------------------
r4734 | ghazan | 2007-01-25 20:28:00 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/core/modules.c

fixed old nasty bug in the core hashing function
------------------------------------------------------------------------
r4733 | ghazan | 2007-01-25 20:00:30 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/icolib/skin2icons.c

minor code cleaning
------------------------------------------------------------------------
r4732 | gena01 | 2007-01-25 19:14:43 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/main.c

More cleanup. Also now minimal required version of miranda.exe is 0.7.0.12 since we don't have our own implementation of md5/sha anymore.
------------------------------------------------------------------------
r4731 | gena01 | 2007-01-25 19:07:01 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/avatar.c

Small cleanup.
------------------------------------------------------------------------
r4730 | ashpynov | 2007-01-25 16:44:23 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/mod_skin_selector.c
   M /trunk/miranda/plugins/modernb/modern_button.c

Skin button hints are now translatable (please use ASCII hint in your skins) and attempt to fix crash there
------------------------------------------------------------------------
r4729 | ghazan | 2007-01-25 16:10:28 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmod.c

returned back to old clist icons calculation method
------------------------------------------------------------------------
r4728 | ghazan | 2007-01-25 15:52:35 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/icolib/skin2icons.c

patch for saving/restoring the icolib tree (by std)
------------------------------------------------------------------------
r4727 | ghazan | 2007-01-25 15:52:16 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/skin/skinicons.c

final fix for metacontacts icons
------------------------------------------------------------------------
r4726 | ghazan | 2007-01-25 15:50:49 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmod.c

returned back to old clist icons calculation method
------------------------------------------------------------------------
r4725 | ghazan | 2007-01-25 15:43:48 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/icolib.c

minor code cleaning to calculate the array size correctly
------------------------------------------------------------------------
r4724 | ashpynov | 2007-01-25 15:00:36 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c

another fix of only protocol status menu/statusbar
------------------------------------------------------------------------
r4723 | nightwish2004 | 2007-01-25 10:44:57 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.h
   M /trunk/miranda/plugins/clist_nicer/clcopts.c
   M /trunk/miranda/plugins/clist_nicer/cluiopts.c
   M /trunk/miranda/plugins/clist_nicer/resource.h
   M /trunk/miranda/plugins/clist_nicer/resource.rc

+ new option and display profile system started. Work in progress and currently BROKEN. use with care
------------------------------------------------------------------------
r4722 | rainwater | 2007-01-25 07:45:45 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlibupnp.c

UPnP patch by borkra
------------------------------------------------------------------------
r4719 | rainwater | 2007-01-25 06:20:11 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_plugins.h
   M /trunk/miranda/src/core/modules.c

Added DEFMOD_UPDATENOTIFY to allow plugin to replace the update notify module
------------------------------------------------------------------------
r4717 | nightwish2004 | 2007-01-25 02:55:31 +0300 (Чт, 25 янв 2007) | 4 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/msgoptions.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/msgwindow.rc
   M /trunk/miranda/plugins/tabsrmm/srmm.c
   M /trunk/miranda/plugins/tabsrmm/tabctrl.c

+ version bump
+ moved main options dialog to root node of "Message Sessions"
+ added small mouse tolerance for showing tooltips on tab hovering

------------------------------------------------------------------------
r4716 | gena01 | 2007-01-25 01:18:31 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/yahoo.c

No more popups when logged off... Yay.. stupid popups die... 
------------------------------------------------------------------------
r4715 | gena01 | 2007-01-25 01:15:10 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/libyahoo2/libyahoo2.c
   M /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo2_types.h

Trying to fix the stupid logout popup thingy. So the Logoff id is 1 not 2. 
------------------------------------------------------------------------
r4714 | ghazan | 2007-01-25 00:30:49 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c

the only protocol still have to be shown in the statusbar
------------------------------------------------------------------------
r4713 | ghazan | 2007-01-24 21:47:30 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/miranda32.mak

fixes for some project & make files
------------------------------------------------------------------------
r4712 | ghazan | 2007-01-24 21:40:12 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.dsp
   M /trunk/miranda/src/miranda32.dep
   M /trunk/miranda/src/miranda32.mak
   M /trunk/miranda/src/modules/skin/skinicons.c

fixes for some project & make files
------------------------------------------------------------------------
r4711 | ashpynov | 2007-01-24 17:43:48 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/modern_button.c

added IsBadStringPtrA check in order to try avoid crash (step 2)
------------------------------------------------------------------------
r4710 | ashpynov | 2007-01-24 17:37:16 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/modern_button.c

added IsBadStringPtrA check in order to try avoid crash 
------------------------------------------------------------------------
r4709 | ashpynov | 2007-01-24 17:14:02 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/utils/path.c

relative to absolute path fix for relative path starded from single '\' like '\skins\data\...'
------------------------------------------------------------------------
r4708 | ashpynov | 2007-01-24 17:12:17 +0300 (Ср, 24 янв 2007) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/SkinOpt.c
   M /trunk/miranda/plugins/modernb/version.h

fix for preview image in skin options
version bump
fixed memory leak in skin option (-360 bytes)
------------------------------------------------------------------------
r4707 | ghazan | 2007-01-24 15:45:51 +0300 (Ср, 24 янв 2007) | 3 lines
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmod.c
   M /trunk/miranda/src/modules/clist/protocolorder.c
   M /trunk/miranda/src/modules/skin/skinicons.c

- fix for Metacontacts icons (when they are hidden from the status bar);
- fix for non-standard protocols icons.
- fix for icons shift in contact list for MSN & Jabber protos (i.e. "Ready for chat" icon is being displayed instead of "DND")
------------------------------------------------------------------------
r4706 | ghazan | 2007-01-24 14:56:13 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.vcproj

fix for MSN projects
------------------------------------------------------------------------
r4705 | ghazan | 2007-01-24 14:20:52 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda/src/miranda32_8.vcproj

fix for Miranda projects
------------------------------------------------------------------------
r4704 | nightwish2004 | 2007-01-24 11:18:36 +0300 (Ср, 24 янв 2007) | 4 lines
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.c
   M /trunk/miranda/plugins/clist_nicer/clc.h
   M /trunk/miranda/plugins/clist_nicer/clcitems.c
   M /trunk/miranda/plugins/clist_nicer/clcmsgs.c
   M /trunk/miranda/plugins/clist_nicer/clcopts.c
   M /trunk/miranda/plugins/clist_nicer/clcpaint.c
   M /trunk/miranda/plugins/clist_nicer/clcutils.c
   M /trunk/miranda/plugins/clist_nicer/clistmenus.c
   M /trunk/miranda/plugins/clist_nicer/clistmod.c
   M /trunk/miranda/plugins/clist_nicer/clistopts.c
   M /trunk/miranda/plugins/clist_nicer/clui.c
   M /trunk/miranda/plugins/clist_nicer/cluiopts.c
   M /trunk/miranda/plugins/clist_nicer/docs/CHANGELOG
   M /trunk/miranda/plugins/clist_nicer/init.c
   M /trunk/miranda/plugins/clist_nicer/resource.h
   M /trunk/miranda/plugins/clist_nicer/resource.rc
   M /trunk/miranda/plugins/clist_nicer/statusfloater.c

+ version bump
+ reworked option pages (tabbed), work in progress
+ more per contact display settings
+ code cleanup, removed unused resource templates
------------------------------------------------------------------------
r4703 | rainwater | 2007-01-24 06:42:22 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.mak

Update MSN mak file
------------------------------------------------------------------------
r4702 | rainwater | 2007-01-24 06:40:13 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn.dsp
   M /trunk/miranda/protocols/MSN/msn_bitmap.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   D /trunk/miranda/protocols/MSN/sha1.c
   D /trunk/miranda/protocols/MSN/sha1.h

sha1 fixes for MSN
------------------------------------------------------------------------
r4701 | rainwater | 2007-01-24 06:39:57 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber.dsp
   M /trunk/miranda/protocols/JabberG/jabber_bitmap.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_userinfo.cpp
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp
   D /trunk/miranda/protocols/JabberG/sha1.cpp
   D /trunk/miranda/protocols/JabberG/sha1.h

sha1 fixes for Jabber
------------------------------------------------------------------------
r4700 | rainwater | 2007-01-24 06:39:04 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_utils.h
   M /trunk/miranda/src/modules/utils/sha1.c
   M /trunk/miranda/src/modules/utils/utils.c

typedef sha1 types
------------------------------------------------------------------------
r4699 | rainwater | 2007-01-24 04:08:05 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_utils.h
   M /trunk/miranda/src/miranda32.dsp
   A /trunk/miranda/src/modules/utils/sha1.c
   M /trunk/miranda/src/modules/utils/utils.c

Added SHA-1 to the core (m_utils.h).  See MS_SYSTEM_GET_SHA1I
------------------------------------------------------------------------
r4698 | rainwater | 2007-01-24 03:44:48 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_utils.h

Minor change to md5 state struct
------------------------------------------------------------------------
r4697 | nightwish2004 | 2007-01-24 02:13:20 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/functions.h
   M /trunk/miranda/plugins/tabsrmm/msgs.h
   M /trunk/miranda/plugins/tabsrmm/tabctrl.c

+ hovering tabs will now show detailed tooltips, using mtooltip or tipper plugin (if installed)
------------------------------------------------------------------------
r4696 | gena01 | 2007-01-24 01:05:23 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/avatar.c

Cleaner fix.
------------------------------------------------------------------------
r4695 | gena01 | 2007-01-24 01:03:32 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/avatar.c

Zero out the structure... Thanks George.
------------------------------------------------------------------------
r4694 | rainwater | 2007-01-24 00:37:18 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_utils.h
   M /trunk/miranda/protocols/AimOscar/client.cpp
   M /trunk/miranda/protocols/IcqOscarJ/fam_01service.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_17signon.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.dsp
   M /trunk/miranda/protocols/JabberG/jabber_secur.cpp
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/Yahoo/libyahoo2/crypt.c
   M /trunk/miranda/protocols/Yahoo/libyahoo2/libyahoo2.c
   M /trunk/miranda/src/modules/utils/md5.c
   M /trunk/miranda/src/modules/utils/utils.c

Rename md5 struct names to prevent conflicts with md5 libraries
------------------------------------------------------------------------
r4693 | ghazan | 2007-01-23 23:33:21 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/aim.cpp
   M /trunk/miranda/protocols/AimOscar/aim_7.vcproj
   M /trunk/miranda/protocols/AimOscar/aim_8.vcproj
   M /trunk/miranda/protocols/AimOscar/aimoscar.dep
   M /trunk/miranda/protocols/AimOscar/aimoscar.dsp
   M /trunk/miranda/protocols/AimOscar/aimoscar.mak
   M /trunk/miranda/protocols/AimOscar/client.cpp
   M /trunk/miranda/protocols/AimOscar/defines.h
   D /trunk/miranda/protocols/AimOscar/md5.cpp
   D /trunk/miranda/protocols/AimOscar/md5.h

md5 fixes for AIM protocol
------------------------------------------------------------------------
r4692 | ghazan | 2007-01-23 23:11:09 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber.dep
   M /trunk/miranda/protocols/JabberG/jabber.dsp
   M /trunk/miranda/protocols/JabberG/jabber.mak
   M /trunk/miranda/protocols/JabberG/jabber.vcproj
   M /trunk/miranda/protocols/JabberG/jabber_8.vcproj
   M /trunk/miranda/protocols/JabberG/jabber_secur.cpp
   D /trunk/miranda/protocols/JabberG/md5.h
   D /trunk/miranda/protocols/JabberG/md5c.cpp

md5 fixes for Jabber protocol
------------------------------------------------------------------------
r4691 | ghazan | 2007-01-23 23:02:13 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn.dep
   M /trunk/miranda/protocols/MSN/msn.dsp
   M /trunk/miranda/protocols/MSN/msn.mak
   M /trunk/miranda/protocols/MSN/msn.vcproj
   M /trunk/miranda/protocols/MSN/msn_8.vcproj
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   D /trunk/miranda/protocols/MSN/msn_md5.h
   D /trunk/miranda/protocols/MSN/msn_md5c.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp

md5 fixes for MSN protocol
------------------------------------------------------------------------
r4690 | ghazan | 2007-01-23 22:43:21 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8_8.vcproj

md5 fixes for ICQ protocol
------------------------------------------------------------------------
r4689 | ghazan | 2007-01-23 22:41:56 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/fam_01service.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_17signon.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar.h
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.dep
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.mak
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.vcproj
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   D /trunk/miranda/protocols/IcqOscarJ/md5.c
   D /trunk/miranda/protocols/IcqOscarJ/md5.h

md5 fixes for ICQ protocol
------------------------------------------------------------------------
r4688 | gena01 | 2007-01-23 22:29:18 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/Makefile.win
   M /trunk/miranda/protocols/Yahoo/yahoo.msp

Apparently we don't have md5 source files anymore. Updating the project and makefiles...
------------------------------------------------------------------------
r4687 | gena01 | 2007-01-23 22:27:45 +0300 (Вт, 23 янв 2007) | 5 lines
Changed paths:
   M /trunk/miranda/protocols/Yahoo/resource.h

So according to George ALL protocol devs need to make sure they don't use resource id 105 for icons, because there's some bad karma in the core. And it's my fault.....

So repeat after me: I will not use 105 in my resources for icons...

Updating my resource ids, just in case...and for future blacklisted IDs.. 
------------------------------------------------------------------------
r4686 | gena01 | 2007-01-23 22:25:31 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_utils.h

Fixing include file, this got broken by Robert and doesn't compile for me now.
------------------------------------------------------------------------
r4685 | ghazan | 2007-01-23 22:07:32 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/Yahoo.dep
   M /trunk/miranda/protocols/Yahoo/Yahoo.dsp
   M /trunk/miranda/protocols/Yahoo/Yahoo.mak
   M /trunk/miranda/protocols/Yahoo/Yahoo.vcproj
   M /trunk/miranda/protocols/Yahoo/Yahoo_8.vcproj
   M /trunk/miranda/protocols/Yahoo/libyahoo2/crypt.c
   M /trunk/miranda/protocols/Yahoo/libyahoo2/libyahoo2.c
   D /trunk/miranda/protocols/Yahoo/libyahoo2/md5.c
   D /trunk/miranda/protocols/Yahoo/libyahoo2/md5.h
   M /trunk/miranda/protocols/Yahoo/main.c

md5 fixes for YAHOO protocol
------------------------------------------------------------------------
r4684 | rainwater | 2007-01-23 20:56:52 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_utils.h
   M /trunk/miranda/src/miranda32.dsp
   A /trunk/miranda/src/modules/utils/md5.c
   M /trunk/miranda/src/modules/utils/utils.c

Added MD5 interface to core (m_utils.h).  See MS_SYSTEM_GET_MD5I.
------------------------------------------------------------------------
r4683 | ghazan | 2007-01-23 19:58:32 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no

fix for the build number (to comply with the latest site changes)
------------------------------------------------------------------------
r4682 | ghazan | 2007-01-23 19:55:16 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/resource.h

minor fix for the resource file
------------------------------------------------------------------------
r4681 | ghazan | 2007-01-23 16:25:42 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/skin/skinicons.c

fix for missing MSN icons in main menu
------------------------------------------------------------------------
r4680 | ghazan | 2007-01-23 13:10:22 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/genmenuopt.c

minor code cleaning
------------------------------------------------------------------------
r4679 | nightwish2004 | 2007-01-23 12:14:01 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.c
   M /trunk/miranda/plugins/clist_nicer/clcitems.c
   M /trunk/miranda/plugins/clist_nicer/clcpaint.c
   M /trunk/miranda/plugins/clist_nicer/clui.c
   M /trunk/miranda/plugins/clist_nicer/cluiopts.c
   M /trunk/miranda/plugins/clist_nicer/extBackg.c

+ code cleanup (various compiler warnings)
------------------------------------------------------------------------
r4678 | nightwish2004 | 2007-01-23 10:01:46 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.c

+ small fix - load avatars on status change when needed
------------------------------------------------------------------------
r4677 | rainwater | 2007-01-23 06:43:35 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/updatenotify/updatenotify.c

Minor code cleanup
------------------------------------------------------------------------
r4675 | rainwater | 2007-01-23 05:38:41 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/updatenotify/updatenotify.c

Update notification now closes dialog on Miranda exit and will notify of new releases even after startup.
------------------------------------------------------------------------
r4673 | ghazan | 2007-01-23 01:27:03 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/bin/make.bat
   M /trunk/miranda/bin/makew.bat
   M /trunk/miranda/src/miranda32.mak
   M /trunk/miranda/src/version.rc

version bump for build 0.7.0.11
------------------------------------------------------------------------
r4671 | rainwater | 2007-01-23 01:24:32 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/updatenotify/updatenotify.c

Fix cut of version in updater
------------------------------------------------------------------------
r4668 | rainwater | 2007-01-22 20:39:01 +0300 (Пн, 22 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/updatenotify/updatenotify.c

Change update check time
------------------------------------------------------------------------
r4667 | ghazan | 2007-01-22 20:32:57 +0300 (Пн, 22 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clcutils.c

"pinned mode"-safe fix for clist-through mouse clicks (by nullbie, 3rd edition)
------------------------------------------------------------------------
r4666 | ghazan | 2007-01-22 16:45:21 +0300 (Пн, 22 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/skin/skinicons.c

slightly modified support for PFLAGNUM_5
------------------------------------------------------------------------
r4665 | ghazan | 2007-01-22 15:34:02 +0300 (Пн, 22 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/genmenu.c

minor code cleaning
------------------------------------------------------------------------
r4664 | ashpynov | 2007-01-22 15:21:03 +0300 (Пн, 22 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinOpt.c

renamed skin section in options to 'Contact list skin'
------------------------------------------------------------------------
r4663 | ashpynov | 2007-01-22 14:52:32 +0300 (Пн, 22 янв 2007) | 2 lines
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/genmenu.c
   M /trunk/miranda/src/modules/skin/skinicons.c

fixed incorrect icons in status menus
fixed icons for pseudo-protocols like weather or metacontacts
------------------------------------------------------------------------
r4662 | ghazan | 2007-01-22 14:43:39 +0300 (Пн, 22 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistcore.c
   M /trunk/miranda/src/modules/clist/clistmenus.c

fix for the crash in genmenu options
------------------------------------------------------------------------
r4661 | ghazan | 2007-01-22 01:05:05 +0300 (Пн, 22 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/miranda32.dep
   M /trunk/miranda/src/miranda32.dsp
   M /trunk/miranda/src/miranda32.mak
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda/src/miranda32_8.vcproj
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/cluiservices.c
   M /trunk/miranda/src/resource.rc
   A /trunk/miranda/src/vc6.rc
   M /trunk/miranda/src/version.rc

fixes for project & version files
------------------------------------------------------------------------
r4659 | rainwater | 2007-01-22 00:28:11 +0300 (Пн, 22 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/keyboard.c

Read Msg hotkey should not show clist if eventCount == 0
------------------------------------------------------------------------
r4657 | rainwater | 2007-01-22 00:15:09 +0300 (Пн, 22 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist/resource.rc

Minor hotkey options text change
------------------------------------------------------------------------
r4655 | ghazan | 2007-01-21 23:25:03 +0300 (Вс, 21 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_errors.cpp
   M /trunk/miranda/protocols/MSN/msn_menu.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_useropts.cpp

removed unneeded translations
------------------------------------------------------------------------
r4654 | ghazan | 2007-01-21 23:18:07 +0300 (Вс, 21 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clistmod.c
   M /trunk/miranda/plugins/clist_nicer/clui.c
   M /trunk/miranda/plugins/clist_nicer/cluiopts.c
   M /trunk/miranda/plugins/mwclist/clui.c
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/src/modules/clist/clui.c
   M /trunk/miranda/src/modules/clist/genmenu.c

fix for bug 0002842: Can't view the Agents in Jabber Protocol
------------------------------------------------------------------------
r4653 | the_leech | 2007-01-21 22:45:44 +0300 (Вс, 21 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/Makefile
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msglog.c
   M /trunk/miranda/plugins/Scriver/msgoptions.c

RTL autodetection for incoming messages
------------------------------------------------------------------------
r4651 | rainwater | 2007-01-21 22:27:33 +0300 (Вс, 21 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/core/modules.c
   M /trunk/miranda/src/miranda32.dsp
   A /trunk/miranda/src/modules/updatenotify
   A /trunk/miranda/src/modules/updatenotify/updatenotify.c
   M /trunk/miranda/src/resource.h
   M /trunk/miranda/src/resource.rc

Added update notification module
------------------------------------------------------------------------
r4650 | ghazan | 2007-01-21 21:36:18 +0300 (Вс, 21 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c


------------------------------------------------------------------------
r4649 | ghazan | 2007-01-21 21:31:13 +0300 (Вс, 21 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c

forgotten one 'break' operator
------------------------------------------------------------------------
r4648 | ghazan | 2007-01-21 21:25:19 +0300 (Вс, 21 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_skin.h
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/skin/skinicons.c

PFLAGNUM_5 support restored for menus
------------------------------------------------------------------------
r4647 | ghazan | 2007-01-21 20:27:27 +0300 (Вс, 21 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_genmenu.h
   M /trunk/miranda/include/m_skin.h
   M /trunk/miranda/plugins/modernb/Docking.c
   M /trunk/miranda/plugins/modernb/clist.h
   M /trunk/miranda/plugins/modernb/clistmod.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/modernb.mak
   M /trunk/miranda/src/modules/clist/Docking.c
   M /trunk/miranda/src/modules/clist/clc.h
   M /trunk/miranda/src/modules/clist/clistmod.c
   M /trunk/miranda/src/modules/clist/clui.c
   M /trunk/miranda/src/modules/clist/genmenu.c
   M /trunk/miranda/src/modules/clist/movetogroup.c
   M /trunk/miranda/src/modules/findadd/findadd.c
   M /trunk/miranda/src/modules/help/help.c
   M /trunk/miranda/src/modules/history/history.c
   M /trunk/miranda/src/modules/options/options.c
   M /trunk/miranda/src/modules/srawaymsg/awaymsg.c
   M /trunk/miranda/src/modules/sremail/email.c
   M /trunk/miranda/src/modules/srfile/file.c
   M /trunk/miranda/src/modules/srurl/url.c
   M /trunk/miranda/src/modules/userinfo/userinfo.c

fixed translation in menus, also fixed it in the core
------------------------------------------------------------------------
r4646 | ghazan | 2007-01-21 19:20:18 +0300 (Вс, 21 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/skin/skinicons.c
   A /trunk/miranda/src/res/load.ico
   M /trunk/miranda/src/resource.h
   M /trunk/miranda/src/resource.rc

fix for empty status bar icons in clist_classic for protocols being been connecting
------------------------------------------------------------------------
r4645 | ghazan | 2007-01-21 19:18:38 +0300 (Вс, 21 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/genmenu.c

fix for random crashes on startup
------------------------------------------------------------------------
r4644 | ghazan | 2007-01-21 14:04:58 +0300 (Вс, 21 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c

fix for issues with the custom status menu when the only protocol is available
------------------------------------------------------------------------
r4643 | nightwish2004 | 2007-01-20 07:04:05 +0300 (Сб, 20 янв 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.c
   M /trunk/miranda/plugins/clist_nicer/clc.h
   M /trunk/miranda/plugins/clist_nicer/clcitems.c
   M /trunk/miranda/plugins/clist_nicer/clcpaint.c
   M /trunk/miranda/plugins/clist_nicer/clistmenus.c

+ the textcolor for selected and hottracked skin items is no longer ignored.

------------------------------------------------------------------------
r4642 | nightwish2004 | 2007-01-19 22:29:23 +0300 (Пт, 19 янв 2007) | 5 lines
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/CLUIFrames/movetogroup.c
   M /trunk/miranda/plugins/clist_nicer/clc.c
   M /trunk/miranda/plugins/clist_nicer/clc.h
   M /trunk/miranda/plugins/clist_nicer/clcitems.c
   M /trunk/miranda/plugins/clist_nicer/clcmsgs.c
   M /trunk/miranda/plugins/clist_nicer/clcopts.c
   M /trunk/miranda/plugins/clist_nicer/clcpaint.c
   M /trunk/miranda/plugins/clist_nicer/clist.dsp
   M /trunk/miranda/plugins/clist_nicer/clistmenus.c
   M /trunk/miranda/plugins/clist_nicer/clistopts.c
   M /trunk/miranda/plugins/clist_nicer/clui.c
   M /trunk/miranda/plugins/clist_nicer/cluiopts.c
   M /trunk/miranda/plugins/clist_nicer/coolsb/coolscroll.c
   M /trunk/miranda/plugins/clist_nicer/docs/CHANGELOG
   M /trunk/miranda/plugins/clist_nicer/extBackg.c
   M /trunk/miranda/plugins/clist_nicer/init.c
   M /trunk/miranda/plugins/clist_nicer/resource.h
   M /trunk/miranda/plugins/clist_nicer/resource.rc
   M /trunk/miranda/plugins/clist_nicer/rowheight_funcs.c
   M /trunk/miranda/plugins/clist_nicer/skineditor/skinedit.vcproj
   M /trunk/miranda/plugins/clist_nicer/statusfloater.c
   M /trunk/miranda/plugins/clist_nicer/viewmodes.c

+ version bump
+ changes to "visibility and ignore" - now allows more per contact settings.
+ option restore last active view mode 
+ removed old icon code. IcoLib API now required
+ removed old font configuration page - font service now required (as it is integrated in the core)
------------------------------------------------------------------------
r4641 | ghazan | 2007-01-19 18:09:13 +0300 (Пт, 19 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/skin/skinicons.c

more effective fix for built-in icons
------------------------------------------------------------------------
r4640 | ashpynov | 2007-01-19 17:33:23 +0300 (Пт, 19 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/skin/skinicons.c

minor type conversion warning cleanup
------------------------------------------------------------------------
r4639 | ashpynov | 2007-01-19 17:26:35 +0300 (Пт, 19 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/icolib/skin2icons.c
   M /trunk/miranda/src/modules/skin/skinicons.c

embedded icolib module and protocol icon skinning were fixed in order to keep native behavior to pseudo-protocols like weather or metacontacts
------------------------------------------------------------------------
r4633 | rainwater | 2007-01-19 16:44:04 +0300 (Пт, 19 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/server.cpp

Auto responses were not tagged correctly
------------------------------------------------------------------------
r4632 | ashpynov | 2007-01-19 12:25:09 +0300 (Пт, 19 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/extraimage.c

minor extraimage fix
------------------------------------------------------------------------
r4631 | ashpynov | 2007-01-19 10:35:51 +0300 (Пт, 19 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/resource.rc

minor English language fix
------------------------------------------------------------------------
r4630 | ashpynov | 2007-01-19 10:31:20 +0300 (Пт, 19 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/protocolorder.c

Protocol Order pages fix: Minor memory leak and ability do drag item to first position
------------------------------------------------------------------------
r4629 | ashpynov | 2007-01-19 09:47:35 +0300 (Пт, 19 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c

one more fix for protocol menu (clist_nicer show full status menu if Jabber protocol have been locked/unlocked)
------------------------------------------------------------------------
r4628 | nightwish2004 | 2007-01-19 08:23:54 +0300 (Пт, 19 янв 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/options.c
   M /trunk/miranda/plugins/tabsrmm/docs/changelog.txt
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/msgwindow.rc
   M /trunk/miranda/plugins/tabsrmm/srmm.c
   M /trunk/miranda/plugins/tabsrmm/templates.c

+ fixed template editor bug (own nickname not showing)
+ removed old icon loading code - IcoLib API now required
------------------------------------------------------------------------
r4622 | jokusoftware | 2007-01-19 02:36:35 +0300 (Пт, 19 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/conv.cpp
   M /trunk/miranda/protocols/AimOscar/conv.h
   M /trunk/miranda/protocols/AimOscar/services.cpp

fix: added extra formating to outgoing unicode messages (should fix problems with AIM 5.9 receiving "blank IM")
------------------------------------------------------------------------
r4621 | ghazan | 2007-01-19 02:05:38 +0300 (Пт, 19 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clui.c

fix for the status menu order in clist_classic
------------------------------------------------------------------------
r4614 | jokusoftware | 2007-01-19 00:45:53 +0300 (Пт, 19 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/server.cpp

fixed SNAC(4,7) parsing (messages were lost)
------------------------------------------------------------------------
r4613 | ghazan | 2007-01-18 20:18:48 +0300 (Чт, 18 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmod.c
   M /trunk/miranda/src/modules/clist/cluiservices.c

fixes for status menu items order in clist_classic
------------------------------------------------------------------------
r4612 | ashpynov | 2007-01-18 12:56:28 +0300 (Чт, 18 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/icolib/skin2icons.c
   M /trunk/miranda/src/modules/skin/skinicons.c

minor changes for groups icon issue
------------------------------------------------------------------------
r4611 | ashpynov | 2007-01-18 09:26:05 +0300 (Чт, 18 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c

crash on non-layered mode
------------------------------------------------------------------------
r4610 | ashpynov | 2007-01-18 09:25:35 +0300 (Чт, 18 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clui.c

minor code cleanup
------------------------------------------------------------------------
r4608 | ghazan | 2007-01-18 00:54:54 +0300 (Чт, 18 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clui.c

the main Miranda icon was reduced until the complete disappearance in last patch :) let it live
------------------------------------------------------------------------
r4606 | ghazan | 2007-01-17 23:20:32 +0300 (Ср, 17 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/bin/makew.bat
   M /trunk/miranda/bin8/miranda32.sln
   M /trunk/miranda/src/version.rc

version bump for version 0.7.0.10
------------------------------------------------------------------------
r4605 | nightwish2004 | 2007-01-17 23:15:17 +0300 (Ср, 17 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clui.c
   M /trunk/miranda/plugins/clist_nicer/init.c

+ fix for ugly flickering issues when changing icons via customize->icons
------------------------------------------------------------------------
r4600 | nightwish2004 | 2007-01-17 19:19:34 +0300 (Ср, 17 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/msgs.c

+ fix for calling certain protocol services too early in the init stage
------------------------------------------------------------------------
r4598 | rainwater | 2007-01-17 18:07:16 +0300 (Ср, 17 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlibbind.c

Log upnp success/failure
------------------------------------------------------------------------
r4596 | rainwater | 2007-01-17 18:04:09 +0300 (Ср, 17 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlibupnp.c

UPnP patch by borkra
------------------------------------------------------------------------
r4593 | ghazan | 2007-01-17 15:42:13 +0300 (Ср, 17 янв 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/Docs/translate-msn.txt
   M /trunk/miranda/protocols/MSN/msn.cpp

fix for MSN translation
------------------------------------------------------------------------
r4592 | ashpynov | 2007-01-17 13:22:48 +0300 (Ср, 17 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/clistevents.c
   D /trunk/miranda/plugins/modernb/res/addcontact.ico
   D /trunk/miranda/plugins/modernb/res/blank.ico
   D /trunk/miranda/plugins/modernb/res/delete.ico
   D /trunk/miranda/plugins/modernb/res/rename.ico
   M /trunk/miranda/plugins/modernb/resource.rc
   M /trunk/miranda/plugins/modernb/viewmodes.c

removed 4 icons (now load it from core)
------------------------------------------------------------------------
r4591 | ashpynov | 2007-01-17 11:03:41 +0300 (Ср, 17 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/commonheaders.c
   M /trunk/miranda/src/core/commonheaders.h
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/clistmod.c
   M /trunk/miranda/src/modules/clist/clui.c
   M /trunk/miranda/src/modules/skin/skinicons.c
   M /trunk/miranda/src/modules/srawaymsg/awaymsg.c

- more reducing of GDI resources usage (about -50 objects)
------------------------------------------------------------------------
r4590 | ashpynov | 2007-01-17 10:36:31 +0300 (Ср, 17 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/core/commonheaders.h
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/clistmod.c
   M /trunk/miranda/src/modules/clist/clui.c
   M /trunk/miranda/src/modules/clist/genmenu.c
   M /trunk/miranda/src/modules/clist/genmenuopt.c
   M /trunk/miranda/src/modules/clist/protocolorder.c
   M /trunk/miranda/src/modules/database/profilemanager.c
   M /trunk/miranda/src/modules/findadd/findadd.c
   M /trunk/miranda/src/modules/help/help.c
   M /trunk/miranda/src/modules/history/history.c
   M /trunk/miranda/src/modules/ignore/ignore.c
   M /trunk/miranda/src/modules/options/options.c
   M /trunk/miranda/src/modules/skin/skinicons.c
   M /trunk/miranda/src/modules/sremail/email.c
   M /trunk/miranda/src/modules/userinfo/userinfo.c
   M /trunk/miranda/src/modules/visibility/visibility.c

- reduced GDI resources usage (about -100 objects)
------------------------------------------------------------------------
r4589 | ghazan | 2007-01-17 01:27:24 +0300 (Ср, 17 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/main.c

fix for late service registration in YAHOO
------------------------------------------------------------------------
r4588 | gena01 | 2007-01-17 01:12:08 +0300 (Ср, 17 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/main.c

Trying to fix some problems reported by George. This also cleans up some code.
------------------------------------------------------------------------
r4587 | ghazan | 2007-01-17 00:14:50 +0300 (Ср, 17 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp

small fix for direct connections in MSN (by borkra)
------------------------------------------------------------------------
r4586 | ghazan | 2007-01-16 23:42:47 +0300 (Вт, 16 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clcutils.c

more accurate click fix
------------------------------------------------------------------------
r4581 | ghazan | 2007-01-16 19:16:14 +0300 (Вт, 16 янв 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/src/modules/clist/keyboard.c
   M /trunk/miranda/src/modules/clist/keyboard.c

fix for bug 0001835: Hotkey setting mixup
------------------------------------------------------------------------
r4580 | ghazan | 2007-01-16 17:07:35 +0300 (Вт, 16 янв 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/src/modules/clist/clcutils.c
   M /trunk/miranda/src/modules/clist/clcutils.c

fix for clicking on clist 'through' any other Miranda's window (by nullbie)
------------------------------------------------------------------------
r4579 | ghazan | 2007-01-16 16:40:42 +0300 (Вт, 16 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin8/miranda32.sln

'help' plugin was excluded from the VS2005 solution
------------------------------------------------------------------------
r4578 | ghazan | 2007-01-16 16:36:59 +0300 (Вт, 16 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/skin/skinicons.c

fix for the skin icons first time import procedure
------------------------------------------------------------------------
r4577 | ghazan | 2007-01-16 16:36:09 +0300 (Вт, 16 янв 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/src/modules/database/profilemanager.c
   M /trunk/miranda/src/modules/database/profilemanager.c

code reformatting, two minor Unicode bugfixes
------------------------------------------------------------------------
r4576 | ghazan | 2007-01-16 15:22:15 +0300 (Вт, 16 янв 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/src/modules/plugins/newplugins.c
   M /trunk/miranda/src/modules/plugins/newplugins.c

minor Unicode glitch in the plugins list (thx Igor)
------------------------------------------------------------------------
r4575 | ashpynov | 2007-01-16 14:13:57 +0300 (Вт, 16 янв 2007) | 2 lines
Changed paths:
   M /trunk/miranda/src/modules/clist/genmenu.c
   M /trunk/miranda/src/modules/clist/protocolorder.c

- memory leak in protocol order option page fixed
- iconlib customization of whole menu is bring back
------------------------------------------------------------------------
r4574 | ashpynov | 2007-01-16 14:11:40 +0300 (Вт, 16 янв 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/extraimage.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clistevents.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/groupmenu.c
   M /trunk/miranda/plugins/modernb/init.c
   D /trunk/miranda/plugins/modernb/res/Miranda.ico
   A /trunk/miranda/plugins/modernb/res/addcontact.ico
   D /trunk/miranda/plugins/modernb/res/blank1.ico
   D /trunk/miranda/plugins/modernb/res/dragcopy.cur
   D /trunk/miranda/plugins/modernb/res/dropuser.cur
   D /trunk/miranda/plugins/modernb/res/folder.ico
   D /trunk/miranda/plugins/modernb/res/globus.ico
   D /trunk/miranda/plugins/modernb/res/hyperlin.cur
   D /trunk/miranda/plugins/modernb/res/icon4.ico
   D /trunk/miranda/plugins/modernb/res/neo_meta_add.cur
   D /trunk/miranda/plugins/modernb/res/online.ico
   M /trunk/miranda/plugins/modernb/res/rename.ico
   D /trunk/miranda/plugins/modernb/res/sendmail.ico
   D /trunk/miranda/plugins/modernb/res/sms.ico
   M /trunk/miranda/plugins/modernb/resource.h
   M /trunk/miranda/plugins/modernb/resource.rc
   M /trunk/miranda/plugins/modernb/version.h
   M /trunk/miranda/plugins/modernb/viewmodes.c

- code cleanupcode cleanup - removed icons/cursors duplicated in core
- vs8 project updated
------------------------------------------------------------------------
r4573 | ghazan | 2007-01-16 13:12:36 +0300 (Вт, 16 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/init.c

fix needed to compile modern
------------------------------------------------------------------------
r4572 | ghazan | 2007-01-16 13:10:04 +0300 (Вт, 16 янв 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/src/modules/help/about.c
   M /trunk/miranda/src/modules/help/about.c

факир был пьян...
------------------------------------------------------------------------
r4571 | ghazan | 2007-01-16 13:01:17 +0300 (Вт, 16 янв 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/src/modules/help/about.c
   M /trunk/miranda/src/modules/help/about.c

minor code cleaning
------------------------------------------------------------------------
r4570 | ghazan | 2007-01-16 12:35:20 +0300 (Вт, 16 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/skin/skinicons.c

fix for squares in Options -> Customize -> Icons
------------------------------------------------------------------------
r4569 | ashpynov | 2007-01-16 09:48:47 +0300 (Вт, 16 янв 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/plugins/modernb/resource.h
   M /trunk/miranda/plugins/modernb/resource.rc

- minor code cleanup
- memory leak in protocol order options page
------------------------------------------------------------------------
r4568 | rainwater | 2007-01-16 09:14:59 +0300 (Вт, 16 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/database/profilemanager.c
   M /trunk/miranda/src/modules/help/about.c
   M /trunk/miranda/src/modules/userinfo/userinfo.c

Some dialog backgrounds were not using system colors (bug #557)
------------------------------------------------------------------------
r4565 | rainwater | 2007-01-16 07:29:05 +0300 (Вт, 16 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/genmenuopt.c
   M /trunk/miranda/src/modules/contacts/contacts.c
   M /trunk/miranda/src/modules/skin/skin.c

Move Sounds, Menus, Protocols, Contacts under Customize options.
------------------------------------------------------------------------
r4564 | rainwater | 2007-01-16 07:16:04 +0300 (Вт, 16 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_ignore.h
   M /trunk/miranda/src/miranda32.dsp
   M /trunk/miranda/src/modules/ignore/ignore.c
   M /trunk/miranda/src/modules/protocols/protocols.c
   A /trunk/miranda/src/res/typing.ico
   M /trunk/miranda/src/resource.h
   M /trunk/miranda/src/resource.rc

Added option to ignore typing notifications from the Ignore options.  See IGNOREEVENT_TYPINGNOTIFY in m_ignore.h
------------------------------------------------------------------------
r4563 | rainwater | 2007-01-16 05:37:11 +0300 (Вт, 16 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_utils.h

Added mir_vsntprintf inline function to m_utils.h (see bug #2436).
------------------------------------------------------------------------
r4558 | rainwater | 2007-01-16 02:17:04 +0300 (Вт, 16 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/skin/sounds.c
   M /trunk/miranda/src/resource.rc

Use edit control for sound path in options to show complete path (was cutoff before).
------------------------------------------------------------------------
r4557 | ghazan | 2007-01-16 01:27:48 +0300 (Вт, 16 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/icolib/skin2icons.c
   M /trunk/miranda/src/modules/skin/skin.c
   M /trunk/miranda/src/modules/skin/skinicons.c

patch which moves protocol clist icons to icolib (by std & me)
------------------------------------------------------------------------
r4552 | ghazan | 2007-01-16 00:43:46 +0300 (Вт, 16 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/version.h

version bump
------------------------------------------------------------------------
r4551 | the_leech | 2007-01-16 00:00:59 +0300 (Вт, 16 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/statusicon.c
   M /trunk/miranda/plugins/Scriver/statusicon.h

fixed declarations
------------------------------------------------------------------------
r4550 | ashpynov | 2007-01-15 17:36:12 +0300 (Пн, 15 янв 2007) | 1 line
Changed paths:
   D /trunk/miranda/plugins/modernb/movetogroup.c

removed unnecessary file
------------------------------------------------------------------------
r4549 | ashpynov | 2007-01-15 17:19:25 +0300 (Пн, 15 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_clistint.h
   M /trunk/miranda/plugins/clist_nicer/cluiservices.c
   M /trunk/miranda/src/modules/clist/clistmenus.c

 minor clistmenus.c fixes for ICQ menu
------------------------------------------------------------------------
r4548 | ashpynov | 2007-01-15 10:13:47 +0300 (Пн, 15 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/XMLParser/readme.txt
   M /trunk/miranda/plugins/modernb/skinpp.txt

updated documentation for under developing skinpp engine
------------------------------------------------------------------------
r4547 | ashpynov | 2007-01-15 10:12:21 +0300 (Пн, 15 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c

Attempt to fix renamed protocols (like IRC or GG) locking functionality
------------------------------------------------------------------------
r4546 | ghazan | 2007-01-15 00:59:02 +0300 (Пн, 15 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_srv.cpp
   M /trunk/miranda/protocols/MSN/msn_std.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_useropts.cpp

another minor code cleaning
------------------------------------------------------------------------
r4545 | ghazan | 2007-01-15 00:32:03 +0300 (Пн, 15 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/version.rc

version bump for build 0.7.0.9
------------------------------------------------------------------------
r4544 | ghazan | 2007-01-15 00:31:26 +0300 (Пн, 15 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clc.c
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/skin/sounds.c

minor code cleaning
------------------------------------------------------------------------
r4543 | ghazan | 2007-01-15 00:29:39 +0300 (Пн, 15 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp

two minor patches for MSN: a small memory leak & a patch for saving AvatarSavedHash variable for MSN contacts 
------------------------------------------------------------------------
r4542 | nightwish2004 | 2007-01-14 20:20:07 +0300 (Вс, 14 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/resource.rc
   M /trunk/miranda/plugins/tabsrmm/userprefs.c

+ added 3-way message log switch to the user prefs dialog box.
------------------------------------------------------------------------
r4541 | nightwish2004 | 2007-01-13 21:54:04 +0300 (Сб, 13 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/msgs.c

+ fix for message api
------------------------------------------------------------------------
r4540 | rainwater | 2007-01-13 05:05:52 +0300 (Сб, 13 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlibupnp.c

UPnP patch to support chunked encoding (patch by Borkra)
------------------------------------------------------------------------
r4538 | ghazan | 2007-01-13 00:21:10 +0300 (Сб, 13 янв 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/src/modules/button/button.c
   M /trunk/miranda/src/modules/button/button.c

patch for the button's tooltips for the ANSI version
------------------------------------------------------------------------
r4537 | rainwater | 2007-01-12 23:17:20 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/miranda32.dsp
   M /trunk/miranda/src/modules/skin/sounds.c
   M /trunk/miranda/src/resource.h
   M /trunk/miranda/src/resource.rc

Add UI for enabling/disabling sounds globally
------------------------------------------------------------------------
r4536 | ghazan | 2007-01-12 23:15:28 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/make.bat
   M /trunk/miranda/bin/makew.bat
   M /trunk/miranda/bin/miranda32.dsw
   M /trunk/miranda/plugins/clist_nicer/clist.dep
   M /trunk/miranda/plugins/clist_nicer/clist.dsp
   M /trunk/miranda/plugins/clist_nicer/clist.mak
   M /trunk/miranda/plugins/modernb/clistmenus.c
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/modernb.dep
   M /trunk/miranda/plugins/modernb/modernb.dsp
   M /trunk/miranda/plugins/modernb/modernb.mak
   M /trunk/miranda/plugins/mwclist/mwclist.dep
   M /trunk/miranda/plugins/mwclist/mwclist.dsp
   M /trunk/miranda/plugins/mwclist/mwclist.mak
   M /trunk/miranda/src/miranda32.dep
   M /trunk/miranda/src/miranda32.dsp
   M /trunk/miranda/src/miranda32.mak

fixes for VC6 project files
------------------------------------------------------------------------
r4534 | ghazan | 2007-01-12 19:20:03 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist/init.c

patch for clist_classic (by TioDuke)
------------------------------------------------------------------------
r4532 | rainwater | 2007-01-12 19:00:47 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/skin/sounds.c

Sound options didn't enable apply button on first group changes
------------------------------------------------------------------------
r4531 | ghazan | 2007-01-12 18:26:31 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/genmenu.h
   M /trunk/miranda/src/modules/clist/genmenuopt.c

two minor Unicode fixes for genmenu options
------------------------------------------------------------------------
r4530 | ghazan | 2007-01-12 16:57:10 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/miranda32_8.vcproj

fix for Miranda VS2005 project 
------------------------------------------------------------------------
r4529 | ghazan | 2007-01-12 16:43:28 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist/init.c
   M /trunk/miranda/plugins/clist_nicer/clistmod.c
   M /trunk/miranda/plugins/clist_nicer/cluiservices.c
   M /trunk/miranda/plugins/modernb/clistmod.c
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/mwclist/clistmod.c
   M /trunk/miranda/src/modules/clist/clistmenus.c

fix for sending 'status changed' notifications (fixes problems with KeepStatus plugin)
------------------------------------------------------------------------
r4528 | ghazan | 2007-01-12 15:54:41 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   D /trunk/miranda/plugins/clist_nicer/CLUIFrames/protocolorder.c
   M /trunk/miranda/plugins/clist_nicer/clist_nicer.vcproj
   D /trunk/miranda/plugins/modernb/CLUIFrames/protocolorder.c
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/clist_modern_8.vcproj
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/clui.h
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/resource.rc
   D /trunk/miranda/plugins/mwclist/CLUIFrames/protocolorder.c
   M /trunk/miranda/plugins/mwclist/clist_mw.vcproj
   M /trunk/miranda/plugins/mwclist/clist_mw_8.vcproj
   M /trunk/miranda/plugins/mwclist/clui.c
   M /trunk/miranda/plugins/mwclist/cluiopts.c
   M /trunk/miranda/plugins/mwclist/cluiservices.c
   M /trunk/miranda/plugins/mwclist/resource.rc
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/clui.c
   M /trunk/miranda/src/modules/clist/genmenuopt.c
   A /trunk/miranda/src/modules/clist/protocolorder.c
   M /trunk/miranda/src/resource.h
   M /trunk/miranda/src/resource.rc

protocolorder.c moved to core to provide some basic functionality
------------------------------------------------------------------------
r4527 | ghazan | 2007-01-12 13:49:49 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   D /trunk/miranda/plugins/Scriver/mssccprj.scc

useless file deleted
------------------------------------------------------------------------
r4525 | rainwater | 2007-01-12 04:53:18 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/i18n/langpack_english.txt
   M /trunk/miranda/plugins/import/docs/import-translation.txt
   M /trunk/miranda/plugins/srmm/Docs/srmm-translation.txt
   M /trunk/miranda-tools/lpgen/lpgen.pl

Update langpacks
------------------------------------------------------------------------
r4516 | rainwater | 2007-01-12 04:19:19 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_button.h
   M /trunk/miranda/src/modules/addcontact/addcontact.c
   M /trunk/miranda/src/modules/button/button.c

More copyright updates
------------------------------------------------------------------------
r4514 | ghazan | 2007-01-12 02:04:48 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/make.bat
   M /trunk/miranda/bin/makew.bat
   M /trunk/miranda/src/version.rc

fixes for build making batch files & the version resource
------------------------------------------------------------------------
r4513 | ghazan | 2007-01-12 01:57:10 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/version.rc

minor code cleaning
------------------------------------------------------------------------
r4512 | ghazan | 2007-01-12 01:55:06 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/commonprototypes.h

minor code cleaning
------------------------------------------------------------------------
r4510 | the_leech | 2007-01-12 01:15:31 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/Makefile
   M /trunk/miranda/plugins/Scriver/MakefileA
   M /trunk/miranda/plugins/Scriver/MakefileIcons


------------------------------------------------------------------------
r4509 | the_leech | 2007-01-12 01:07:43 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   A /trunk/miranda/plugins/Scriver/Docs
   A /trunk/miranda/plugins/Scriver/Docs/scriver-license.txt
   A /trunk/miranda/plugins/Scriver/Docs/scriver-readme.txt
   A /trunk/miranda/plugins/Scriver/Docs/scriver-translation.txt
   A /trunk/miranda/plugins/Scriver/Docs/srmm-license.txt
   A /trunk/miranda/plugins/Scriver/Docs/srmm-readme.txt
   A /trunk/miranda/plugins/Scriver/Docs/srmm-translation.txt
   A /trunk/miranda/plugins/Scriver/IcoLib.h
   A /trunk/miranda/plugins/Scriver/Makefile
   A /trunk/miranda/plugins/Scriver/MakefileA
   A /trunk/miranda/plugins/Scriver/MakefileIcons
   A /trunk/miranda/plugins/Scriver/chat
   A /trunk/miranda/plugins/Scriver/chat/Icons
   A /trunk/miranda/plugins/Scriver/chat/Icons/1.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/2.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/3.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/4.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/5.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/6.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/action.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/addmode.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/bkgcolor.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/blank.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/bold.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/color.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/filter.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/filter2.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/highlight.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/history.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/info.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/italics.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/join.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/kick.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/message.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/messageout.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/nick.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/nicklist.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/nicklist2.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/notice.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/overlay.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/part.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/quit.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/removestatus.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/smiley.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/tag1.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/tag2.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/topic.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/topicbut.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/underline.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/window.ico
   A /trunk/miranda/plugins/Scriver/chat/chat.h
   A /trunk/miranda/plugins/Scriver/chat/chat.rc
   A /trunk/miranda/plugins/Scriver/chat/clist.c
   A /trunk/miranda/plugins/Scriver/chat/colorchooser.c
   A /trunk/miranda/plugins/Scriver/chat/log.c
   A /trunk/miranda/plugins/Scriver/chat/m_uninstaller.h
   A /trunk/miranda/plugins/Scriver/chat/main.c
   A /trunk/miranda/plugins/Scriver/chat/manager.c
   A /trunk/miranda/plugins/Scriver/chat/message.c
   A /trunk/miranda/plugins/Scriver/chat/options.c
   A /trunk/miranda/plugins/Scriver/chat/services.c
   A /trunk/miranda/plugins/Scriver/chat/tools.c
   A /trunk/miranda/plugins/Scriver/chat/window.c
   A /trunk/miranda/plugins/Scriver/cmdlist.c
   A /trunk/miranda/plugins/Scriver/cmdlist.h
   A /trunk/miranda/plugins/Scriver/commonheaders.h
   A /trunk/miranda/plugins/Scriver/globals.c
   A /trunk/miranda/plugins/Scriver/globals.h
   A /trunk/miranda/plugins/Scriver/icons.rc
   A /trunk/miranda/plugins/Scriver/m_avatars.h
   A /trunk/miranda/plugins/Scriver/m_ieview.h
   A /trunk/miranda/plugins/Scriver/m_metacontacts.h
   A /trunk/miranda/plugins/Scriver/m_smileyadd.h
   A /trunk/miranda/plugins/Scriver/m_spellchecker.h
   A /trunk/miranda/plugins/Scriver/m_updater.h
   A /trunk/miranda/plugins/Scriver/msgdialog.c
   A /trunk/miranda/plugins/Scriver/msglog.c
   A /trunk/miranda/plugins/Scriver/msgoptions.c
   A /trunk/miranda/plugins/Scriver/msgs.c
   A /trunk/miranda/plugins/Scriver/msgs.h
   A /trunk/miranda/plugins/Scriver/msgtimedout.c
   A /trunk/miranda/plugins/Scriver/msgwindow.c
   A /trunk/miranda/plugins/Scriver/msgwindow.h
   A /trunk/miranda/plugins/Scriver/mssccprj.scc
   A /trunk/miranda/plugins/Scriver/multimon.h
   A /trunk/miranda/plugins/Scriver/res
   A /trunk/miranda/plugins/Scriver/res/addcontact.ico
   A /trunk/miranda/plugins/Scriver/res/clock.ico
   A /trunk/miranda/plugins/Scriver/res/closex.ico
   A /trunk/miranda/plugins/Scriver/res/delete.ico
   A /trunk/miranda/plugins/Scriver/res/details.ico
   A /trunk/miranda/plugins/Scriver/res/downarrow.ico
   A /trunk/miranda/plugins/Scriver/res/dragcopy.cur
   A /trunk/miranda/plugins/Scriver/res/history.ico
   A /trunk/miranda/plugins/Scriver/res/hyperlin.cur
   A /trunk/miranda/plugins/Scriver/res/incoming.ico
   A /trunk/miranda/plugins/Scriver/res/notice.ico
   A /trunk/miranda/plugins/Scriver/res/outgoing.ico
   A /trunk/miranda/plugins/Scriver/res/quote.ico
   A /trunk/miranda/plugins/Scriver/res/send.ico
   A /trunk/miranda/plugins/Scriver/res/smiley.ico
   A /trunk/miranda/plugins/Scriver/res/typing.ico
   A /trunk/miranda/plugins/Scriver/res/unicodeoff.ico
   A /trunk/miranda/plugins/Scriver/res/unicodeon.ico
   A /trunk/miranda/plugins/Scriver/resource.h
   A /trunk/miranda/plugins/Scriver/resource.rc
   A /trunk/miranda/plugins/Scriver/richutil.c
   A /trunk/miranda/plugins/Scriver/richutil.h
   A /trunk/miranda/plugins/Scriver/scriver.dsp
   A /trunk/miranda/plugins/Scriver/scriver.dsw
   A /trunk/miranda/plugins/Scriver/scriver.vcproj
   A /trunk/miranda/plugins/Scriver/scriver_8.vcproj
   A /trunk/miranda/plugins/Scriver/srmm.c
   A /trunk/miranda/plugins/Scriver/statusicon.c
   A /trunk/miranda/plugins/Scriver/statusicon.h
   A /trunk/miranda/plugins/Scriver/utils.c
   A /trunk/miranda/plugins/Scriver/utils.h


------------------------------------------------------------------------
r4508 | the_leech | 2007-01-12 01:00:15 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   D /trunk/miranda/plugins/Sscriver

Removed file/folder
------------------------------------------------------------------------
r4507 | the_leech | 2007-01-12 00:53:53 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   A /trunk/miranda/plugins/Scriver


------------------------------------------------------------------------
r4505 | rainwater | 2007-01-12 00:47:39 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/miranda32.dsw

Add icq icons pack project to workspace
------------------------------------------------------------------------
r4503 | rainwater | 2007-01-12 00:43:35 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/miranda32.dsw
   A /trunk/miranda/docs/contributors.txt (from /trunk/miranda/docs/credits.txt:4487)
   D /trunk/miranda/docs/credits.txt
   A /trunk/miranda/docs/readme.txt (from /trunk/miranda/docs/releasenotes.txt:4487)
   D /trunk/miranda/docs/releasenotes.txt
   M /trunk/miranda/src/resource.rc
   M /trunk/miranda-tools/installer/miranda.nsi

Renamed credits.txt and releasenotes.txt
------------------------------------------------------------------------
r4500 | rainwater | 2007-01-12 00:31:57 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   A /branches/miranda-expired/plugins/AimTOC2 (from /trunk/miranda/protocols/AimTOC2:4499)
   D /trunk/miranda/protocols/AimTOC2

Moved remotely
------------------------------------------------------------------------
r4499 | rainwater | 2007-01-12 00:30:39 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   A /branches/miranda-expired/plugins/AimTOC (from /trunk/miranda/protocols/AimTOC:4498)
   D /trunk/miranda/protocols/AimTOC

Moved remotely
------------------------------------------------------------------------
r4497 | rainwater | 2007-01-12 00:24:13 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   A /branches/miranda-expired/plugins/shlext (from /trunk/miranda/plugins/shlext:4496)
   D /trunk/miranda/plugins/shlext

Moved remotely
------------------------------------------------------------------------
r4496 | rainwater | 2007-01-12 00:21:48 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   A /branches/miranda-expired/plugins/nat (from /trunk/miranda/plugins/nat:4495)
   D /trunk/miranda/plugins/nat

Moved remotely
------------------------------------------------------------------------
r4495 | rainwater | 2007-01-12 00:18:05 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   A /branches/miranda-expired/plugins/icqwd (from /trunk/miranda/plugins/icqwd:4494)
   D /trunk/miranda/plugins/icqwd

Moved remotely
------------------------------------------------------------------------
r4494 | rainwater | 2007-01-12 00:15:30 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   A /branches/miranda-expired/plugins/help (from /trunk/miranda/plugins/help:4493)
   D /trunk/miranda/plugins/help

Moved remotely
------------------------------------------------------------------------
r4493 | rainwater | 2007-01-12 00:11:28 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   A /branches/miranda-expired/plugins/dyna (from /trunk/miranda/plugins/dyna:4492)
   D /trunk/miranda/plugins/dyna

Moved remotely
------------------------------------------------------------------------
r4492 | the_leech | 2007-01-12 00:08:29 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   D /trunk/miranda/plugins/Scriver


------------------------------------------------------------------------
r4491 | rainwater | 2007-01-12 00:08:28 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   A /branches/miranda-expired/plugins/dbsqlite (from /trunk/miranda/plugins/dbsqlite:4490)
   D /trunk/miranda/plugins/dbsqlite

Moved remotely
------------------------------------------------------------------------
r4490 | rainwater | 2007-01-12 00:07:01 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   A /branches/miranda-expired/plugins/changeinfo (from /trunk/miranda/plugins/changeinfo:4489)
   D /trunk/miranda/plugins/changeinfo

Moved remotely
------------------------------------------------------------------------
r4487 | rainwater | 2007-01-12 00:02:42 +0300 (Пт, 12 янв 2007) | 1 line
Changed paths:
   D /trunk/miranda/docs/pluginguidelines.txt
   D /trunk/miranda/docs/pluginspec.txt
   D /trunk/miranda/docs/protoplugins.txt
   D /trunk/miranda/docs/readme.txt
   D /trunk/miranda/docs/todo.txt

Removed file/folder
------------------------------------------------------------------------
r4485 | the_leech | 2007-01-11 23:57:37 +0300 (Чт, 11 янв 2007) | 1 line
Changed paths:
   A /trunk/miranda/plugins/Sscriver
   A /trunk/miranda/plugins/Sscriver/Docs
   A /trunk/miranda/plugins/Sscriver/Docs/scriver-license.txt
   A /trunk/miranda/plugins/Sscriver/Docs/scriver-readme.txt
   A /trunk/miranda/plugins/Sscriver/Docs/scriver-translation.txt
   A /trunk/miranda/plugins/Sscriver/Docs/srmm-license.txt
   A /trunk/miranda/plugins/Sscriver/Docs/srmm-readme.txt
   A /trunk/miranda/plugins/Sscriver/Docs/srmm-translation.txt
   A /trunk/miranda/plugins/Sscriver/IcoLib.h
   A /trunk/miranda/plugins/Sscriver/Makefile
   A /trunk/miranda/plugins/Sscriver/MakefileA
   A /trunk/miranda/plugins/Sscriver/MakefileIcons
   A /trunk/miranda/plugins/Sscriver/chat
   A /trunk/miranda/plugins/Sscriver/chat/Icons
   A /trunk/miranda/plugins/Sscriver/chat/Icons/1.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/2.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/3.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/4.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/5.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/6.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/action.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/addmode.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/bkgcolor.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/blank.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/bold.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/color.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/filter.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/filter2.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/highlight.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/history.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/info.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/italics.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/join.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/kick.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/message.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/messageout.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/nick.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/nicklist.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/nicklist2.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/notice.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/overlay.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/part.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/quit.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/removestatus.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/smiley.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/tag1.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/tag2.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/topic.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/topicbut.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/underline.ico
   A /trunk/miranda/plugins/Sscriver/chat/Icons/window.ico
   A /trunk/miranda/plugins/Sscriver/chat/chat.h
   A /trunk/miranda/plugins/Sscriver/chat/chat.rc
   A /trunk/miranda/plugins/Sscriver/chat/clist.c
   A /trunk/miranda/plugins/Sscriver/chat/colorchooser.c
   A /trunk/miranda/plugins/Sscriver/chat/log.c
   A /trunk/miranda/plugins/Sscriver/chat/m_uninstaller.h
   A /trunk/miranda/plugins/Sscriver/chat/main.c
   A /trunk/miranda/plugins/Sscriver/chat/manager.c
   A /trunk/miranda/plugins/Sscriver/chat/message.c
   A /trunk/miranda/plugins/Sscriver/chat/options.c
   A /trunk/miranda/plugins/Sscriver/chat/services.c
   A /trunk/miranda/plugins/Sscriver/chat/tools.c
   A /trunk/miranda/plugins/Sscriver/chat/window.c
   A /trunk/miranda/plugins/Sscriver/cmdlist.c
   A /trunk/miranda/plugins/Sscriver/cmdlist.h
   A /trunk/miranda/plugins/Sscriver/commonheaders.h
   A /trunk/miranda/plugins/Sscriver/globals.c
   A /trunk/miranda/plugins/Sscriver/globals.h
   A /trunk/miranda/plugins/Sscriver/icons.rc
   A /trunk/miranda/plugins/Sscriver/m_avatars.h
   A /trunk/miranda/plugins/Sscriver/m_ieview.h
   A /trunk/miranda/plugins/Sscriver/m_metacontacts.h
   A /trunk/miranda/plugins/Sscriver/m_smileyadd.h
   A /trunk/miranda/plugins/Sscriver/m_spellchecker.h
   A /trunk/miranda/plugins/Sscriver/m_uninstaller.h
   A /trunk/miranda/plugins/Sscriver/m_updater.h
   A /trunk/miranda/plugins/Sscriver/main.c
   A /trunk/miranda/plugins/Sscriver/msgdialog.c
   A /trunk/miranda/plugins/Sscriver/msglog.c
   A /trunk/miranda/plugins/Sscriver/msgoptions.c
   A /trunk/miranda/plugins/Sscriver/msgs.c
   A /trunk/miranda/plugins/Sscriver/msgs.h
   A /trunk/miranda/plugins/Sscriver/msgtimedout.c
   A /trunk/miranda/plugins/Sscriver/msgwindow.c
   A /trunk/miranda/plugins/Sscriver/msgwindow.h
   A /trunk/miranda/plugins/Sscriver/mssccprj.scc
   A /trunk/miranda/plugins/Sscriver/multimon.h
   A /trunk/miranda/plugins/Sscriver/res
   A /trunk/miranda/plugins/Sscriver/res/addcontact.ico
   A /trunk/miranda/plugins/Sscriver/res/clock.ico
   A /trunk/miranda/plugins/Sscriver/res/close.ico
   A /trunk/miranda/plugins/Sscriver/res/closex.ico
   A /trunk/miranda/plugins/Sscriver/res/closex2.ico
   A /trunk/miranda/plugins/Sscriver/res/closex3.ico
   A /trunk/miranda/plugins/Sscriver/res/closex4.ico
   A /trunk/miranda/plugins/Sscriver/res/closex5.ico
   A /trunk/miranda/plugins/Sscriver/res/closex6.ico
   A /trunk/miranda/plugins/Sscriver/res/delete.ico
   A /trunk/miranda/plugins/Sscriver/res/details.ico
   A /trunk/miranda/plugins/Sscriver/res/downarrow.ico
   A /trunk/miranda/plugins/Sscriver/res/dragcopy.cur
   A /trunk/miranda/plugins/Sscriver/res/history.ico
   A /trunk/miranda/plugins/Sscriver/res/hyperlin.cur
   A /trunk/miranda/plugins/Sscriver/res/incoming.ico
   A /trunk/miranda/plugins/Sscriver/res/notice.ico
   A /trunk/miranda/plugins/Sscriver/res/outgoing.ico
   A /trunk/miranda/plugins/Sscriver/res/quote.ico
   A /trunk/miranda/plugins/Sscriver/res/send.ico
   A /trunk/miranda/plugins/Sscriver/res/smiley.ico
   A /trunk/miranda/plugins/Sscriver/res/typing.ico
   A /trunk/miranda/plugins/Sscriver/res/unicodeoff.ico
   A /trunk/miranda/plugins/Sscriver/res/unicodeon.ico
   A /trunk/miranda/plugins/Sscriver/resource.h
   A /trunk/miranda/plugins/Sscriver/resource.rc
   A /trunk/miranda/plugins/Sscriver/richutil.c
   A /trunk/miranda/plugins/Sscriver/richutil.h
   A /trunk/miranda/plugins/Sscriver/scriver.dsp
   A /trunk/miranda/plugins/Sscriver/scriver.dsw
   A /trunk/miranda/plugins/Sscriver/scriver.vcproj
   A /trunk/miranda/plugins/Sscriver/scriver_8.vcproj
   A /trunk/miranda/plugins/Sscriver/srmm.c
   A /trunk/miranda/plugins/Sscriver/statusicon.c
   A /trunk/miranda/plugins/Sscriver/statusicon.h
   A /trunk/miranda/plugins/Sscriver/utils.c
   A /trunk/miranda/plugins/Sscriver/utils.h

renaming folder part 1
------------------------------------------------------------------------
r4480 | rainwater | 2007-01-11 23:50:40 +0300 (Чт, 11 янв 2007) | 1 line
Changed paths:
   A /branches/miranda-expired/docs/modularity drafts.txt (from /trunk/miranda/docs/modularity drafts.txt:4479)
   D /trunk/miranda/docs/modularity drafts.txt

Moved remotely
------------------------------------------------------------------------
r4472 | rainwater | 2007-01-11 22:50:48 +0300 (Чт, 11 янв 2007) | 1 line
Changed paths:
   D /trunk/miranda/include/m_sessions.h
   A /trunk/miranda-expired/sdk/m_sessions.h

Move m_sessions.h out of include directory
------------------------------------------------------------------------
r4469 | the_leech | 2007-01-11 22:35:54 +0300 (Чт, 11 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/Makefile
   M /trunk/miranda/plugins/Scriver/MakefileA
   M /trunk/miranda/plugins/Scriver/MakefileIcons


------------------------------------------------------------------------
r4468 | the_leech | 2007-01-11 22:08:43 +0300 (Чт, 11 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/Docs/scriver-readme.txt
   M /trunk/miranda/plugins/Scriver/resource.rc

docs updated
------------------------------------------------------------------------
r4466 | rainwater | 2007-01-11 21:59:32 +0300 (Чт, 11 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/docs/credits.txt
   M /trunk/miranda/include/m_addcontact.h
   M /trunk/miranda/include/m_awaymsg.h
   M /trunk/miranda/include/m_clc.h
   M /trunk/miranda/include/m_clist.h
   M /trunk/miranda/include/m_clistint.h
   M /trunk/miranda/include/m_clui.h
   M /trunk/miranda/include/m_database.h
   M /trunk/miranda/include/m_email.h
   M /trunk/miranda/include/m_file.h
   M /trunk/miranda/include/m_findadd.h
   M /trunk/miranda/include/m_history.h
   M /trunk/miranda/include/m_icolib.h
   M /trunk/miranda/include/m_ignore.h
   M /trunk/miranda/include/m_langpack.h
   M /trunk/miranda/include/m_message.h
   M /trunk/miranda/include/m_netlib.h
   M /trunk/miranda/include/m_options.h
   M /trunk/miranda/include/m_plugins.h
   M /trunk/miranda/include/m_protocols.h
   M /trunk/miranda/include/m_protomod.h
   M /trunk/miranda/include/m_protosvc.h
   M /trunk/miranda/include/m_sessions.h
   M /trunk/miranda/include/m_skin.h
   M /trunk/miranda/include/m_system.h
   M /trunk/miranda/include/m_system_cpp.h
   M /trunk/miranda/include/m_url.h
   M /trunk/miranda/include/m_userinfo.h
   M /trunk/miranda/include/m_utils.h
   M /trunk/miranda/include/newpluginapi.h
   M /trunk/miranda/include/statusmodes.h
   M /trunk/miranda/include/win2k.h
   M /trunk/miranda/src/core/commonheaders.h
   M /trunk/miranda/src/core/forkthread.h
   M /trunk/miranda/src/core/memory.c
   M /trunk/miranda/src/core/miranda.c
   M /trunk/miranda/src/core/miranda.h
   M /trunk/miranda/src/core/modules.c
   M /trunk/miranda/src/core/modules.h
   M /trunk/miranda/src/modules/autoaway/autoaway.c
   M /trunk/miranda/src/modules/clist/Docking.c
   M /trunk/miranda/src/modules/clist/clc.c
   M /trunk/miranda/src/modules/clist/clc.h
   M /trunk/miranda/src/modules/clist/clcfiledrop.c
   M /trunk/miranda/src/modules/clist/clcidents.c
   M /trunk/miranda/src/modules/clist/clcitems.c
   M /trunk/miranda/src/modules/clist/clcmsgs.c
   M /trunk/miranda/src/modules/clist/clcutils.c
   M /trunk/miranda/src/modules/clist/clistcore.c
   M /trunk/miranda/src/modules/clist/clistevents.c
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/clistmod.c
   M /trunk/miranda/src/modules/clist/clistsettings.c
   M /trunk/miranda/src/modules/clist/clisttray.c
   M /trunk/miranda/src/modules/clist/clui.c
   M /trunk/miranda/src/modules/clist/cluiservices.c
   M /trunk/miranda/src/modules/clist/contact.c
   M /trunk/miranda/src/modules/clist/groups.c
   M /trunk/miranda/src/modules/clist/keyboard.c
   M /trunk/miranda/src/modules/database/database.c
   M /trunk/miranda/src/modules/database/dbini.c
   M /trunk/miranda/src/modules/database/dblists.c
   M /trunk/miranda/src/modules/database/dblists.h
   M /trunk/miranda/src/modules/database/dbtime.c
   M /trunk/miranda/src/modules/database/profilemanager.c
   M /trunk/miranda/src/modules/database/profilemanager.h
   M /trunk/miranda/src/modules/findadd/findadd.c
   M /trunk/miranda/src/modules/findadd/findadd.h
   M /trunk/miranda/src/modules/findadd/searchresults.c
   M /trunk/miranda/src/modules/fonts/FontOptions.c
   M /trunk/miranda/src/modules/fonts/FontService.c
   M /trunk/miranda/src/modules/fonts/FontService.h
   M /trunk/miranda/src/modules/fonts/module_fonts.c
   M /trunk/miranda/src/modules/fonts/module_fonts.h
   M /trunk/miranda/src/modules/fonts/services.c
   M /trunk/miranda/src/modules/help/about.c
   M /trunk/miranda/src/modules/help/help.c
   M /trunk/miranda/src/modules/history/history.c
   M /trunk/miranda/src/modules/icolib/IcoLib.c
   M /trunk/miranda/src/modules/icolib/IcoLib.h
   M /trunk/miranda/src/modules/icolib/extracticon.c
   M /trunk/miranda/src/modules/icolib/skin2icons.c
   M /trunk/miranda/src/modules/ignore/ignore.c
   M /trunk/miranda/src/modules/langpack/langpack.c
   M /trunk/miranda/src/modules/langpack/lpservices.c
   M /trunk/miranda/src/modules/netlib/netlib.c
   M /trunk/miranda/src/modules/netlib/netlib.h
   M /trunk/miranda/src/modules/netlib/netlibhttp.c
   M /trunk/miranda/src/modules/netlib/netlibhttpproxy.c
   M /trunk/miranda/src/modules/netlib/netliblog.c
   M /trunk/miranda/src/modules/netlib/netlibopenconn.c
   M /trunk/miranda/src/modules/netlib/netlibopts.c
   M /trunk/miranda/src/modules/netlib/netlibpktrecver.c
   M /trunk/miranda/src/modules/netlib/netlibsecurity.c
   M /trunk/miranda/src/modules/netlib/netlibsock.c
   M /trunk/miranda/src/modules/netlib/netlibupnp.c
   M /trunk/miranda/src/modules/options/options.c
   M /trunk/miranda/src/modules/protocols/protochains.c
   M /trunk/miranda/src/modules/protocols/protocols.c
   M /trunk/miranda/src/modules/skin/skin.c
   M /trunk/miranda/src/modules/skin/skinicons.c
   M /trunk/miranda/src/modules/skin/sounds.c
   M /trunk/miranda/src/modules/srauth/auth.c
   M /trunk/miranda/src/modules/srauth/authdialogs.c
   M /trunk/miranda/src/modules/srawaymsg/awaymsg.c
   M /trunk/miranda/src/modules/srawaymsg/sendmsg.c
   M /trunk/miranda/src/modules/sremail/email.c
   M /trunk/miranda/src/modules/srfile/file.c
   M /trunk/miranda/src/modules/srfile/file.h
   M /trunk/miranda/src/modules/srfile/fileexistsdlg.c
   M /trunk/miranda/src/modules/srfile/fileopts.c
   M /trunk/miranda/src/modules/srfile/filerecvdlg.c
   M /trunk/miranda/src/modules/srfile/filesenddlg.c
   M /trunk/miranda/src/modules/srfile/filexferdlg.c
   M /trunk/miranda/src/modules/srurl/url.c
   M /trunk/miranda/src/modules/srurl/url.h
   M /trunk/miranda/src/modules/srurl/urldialogs.c
   M /trunk/miranda/src/modules/userinfo/contactinfo.c
   M /trunk/miranda/src/modules/userinfo/stdinfo.c
   M /trunk/miranda/src/modules/userinfo/userinfo.c
   M /trunk/miranda/src/modules/useronline/useronline.c
   M /trunk/miranda/src/modules/utils/bmpfilter.c
   M /trunk/miranda/src/modules/utils/colourpicker.c
   M /trunk/miranda/src/modules/utils/hyperlink.c
   M /trunk/miranda/src/modules/utils/openurl.c
   M /trunk/miranda/src/modules/utils/path.c
   M /trunk/miranda/src/modules/utils/resizer.c
   M /trunk/miranda/src/modules/utils/utf.c
   M /trunk/miranda/src/modules/utils/utils.c
   M /trunk/miranda/src/modules/utils/windowlist.c
   M /trunk/miranda/src/modules/visibility/visibility.c
   M /trunk/miranda/src/version.rc

Mass copyright (2007) updates
------------------------------------------------------------------------
r4465 | rainwater | 2007-01-11 21:43:10 +0300 (Чт, 11 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_utils.h

Implement unicode aware path functions in 0.6.2 branch
------------------------------------------------------------------------
r4462 | ghazan | 2007-01-11 18:54:48 +0300 (Чт, 11 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp

fix for an occasional crash during f/t with WLM8
------------------------------------------------------------------------
r4461 | ghazan | 2007-01-11 18:42:04 +0300 (Чт, 11 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_mime.cpp


------------------------------------------------------------------------
r4460 | ghazan | 2007-01-11 18:33:36 +0300 (Чт, 11 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_mime.cpp

fix for the MIME headers processing in MSN
------------------------------------------------------------------------
r4459 | ghazan | 2007-01-11 17:35:11 +0300 (Чт, 11 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp

another solution for HTML status 100 processing 
------------------------------------------------------------------------
r4458 | ghazan | 2007-01-11 14:01:32 +0300 (Чт, 11 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp

fix foк processing HTML status 100 in MSN auth procedure
------------------------------------------------------------------------
r4457 | ghazan | 2007-01-11 13:02:44 +0300 (Чт, 11 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp

one another patch for offline message receiving
------------------------------------------------------------------------
r4456 | ghazan | 2007-01-11 11:26:26 +0300 (Чт, 11 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/version.rc

version bump for 0.7.0.8
------------------------------------------------------------------------
r4455 | the_leech | 2007-01-11 03:20:23 +0300 (Чт, 11 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.rc
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/commonheaders.h
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/resource.rc
   M /trunk/miranda/plugins/Scriver/srmm.c
   M /trunk/miranda/plugins/Scriver/statusicon.c

some visual glitches fixed
------------------------------------------------------------------------
r4454 | jokusoftware | 2007-01-11 02:17:59 +0300 (Чт, 11 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.h

OFT: fixed, filenames were badly encoded in FT dialog (sending files)
------------------------------------------------------------------------
r4453 | ghazan | 2007-01-11 01:27:34 +0300 (Чт, 11 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_srv.cpp
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp

patch for reading MSN offline messages sent by WLM8 (by borkra)
------------------------------------------------------------------------
r4452 | ghazan | 2007-01-11 01:15:24 +0300 (Чт, 11 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_chat.cpp

patch for centering the jabber chat invitation window (by Thief)
------------------------------------------------------------------------
r4451 | ghazan | 2007-01-10 19:32:43 +0300 (Ср, 10 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clcitems.c
   M /trunk/miranda/plugins/clist_nicer/cluiservices.c
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/clistsettings.c
   M /trunk/miranda/src/modules/clist/clui.c

final set of patches for genmenu before releasing 0.7.0.8
------------------------------------------------------------------------
r4450 | ghazan | 2007-01-10 16:16:51 +0300 (Ср, 10 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist/clist.vcproj
   A /trunk/miranda/plugins/clist/clistmenus.c
   M /trunk/miranda/plugins/clist/init.c

moved custom menus code to the separate module
------------------------------------------------------------------------
r4449 | ghazan | 2007-01-10 16:01:23 +0300 (Ср, 10 янв 2007) | 1 line
Changed paths:
   D /trunk/miranda/plugins/clist/clistmenus.c
   M /trunk/miranda/plugins/clist/init.c

fix for the Close menubar item in clist_classic
------------------------------------------------------------------------
r4448 | ashpynov | 2007-01-10 15:39:29 +0300 (Ср, 10 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clc.c
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/movetogroup.c

Fixed: 'Memory leak on MoveToGroup unloading'
------------------------------------------------------------------------
r4447 | ashpynov | 2007-01-10 15:16:51 +0300 (Ср, 10 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clistmenus.c
   M /trunk/miranda/src/modules/clist/movetogroup.c

Moved back Visibility and Ignore to clist_nicer
------------------------------------------------------------------------
r4446 | ashpynov | 2007-01-10 14:52:44 +0300 (Ср, 10 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/CLUIFrames/protocolorder.c
   M /trunk/miranda/plugins/clist_nicer/clui.c
   M /trunk/miranda/plugins/clist_nicer/cluiopts.c
   M /trunk/miranda/plugins/clist_nicer/extBackg.c

Fixed Double xStatus menu items
------------------------------------------------------------------------
r4445 | ghazan | 2007-01-10 14:09:25 +0300 (Ср, 10 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj

fix for the resulting dll path
------------------------------------------------------------------------
r4444 | ashpynov | 2007-01-10 11:56:21 +0300 (Ср, 10 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/genmenu.c

+ fix for 'clist_modern does not show per-protocol status menu on left click'
------------------------------------------------------------------------
r4443 | ashpynov | 2007-01-10 11:53:21 +0300 (Ср, 10 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c

+ fix for 'xStatus menu is in wrong protocol menu'
------------------------------------------------------------------------
r4440 | ghazan | 2007-01-10 00:50:06 +0300 (Ср, 10 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_clistint.h
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/src/core/miranda.h
   M /trunk/miranda/src/modules/clist/clistmenus.c

two bugfixes for new core status menus
------------------------------------------------------------------------
r4433 | ashpynov | 2007-01-09 16:13:15 +0300 (Вт, 09 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/clistmenus.c
   M /trunk/miranda/plugins/modernb/clistmod.c
   M /trunk/miranda/plugins/modernb/init.c

+ bring back Contact rate menu
------------------------------------------------------------------------
r4432 | ashpynov | 2007-01-09 14:10:41 +0300 (Вт, 09 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/modern_statusbar.c

+ bring back per-protocol pop up status menu
------------------------------------------------------------------------
r4431 | ashpynov | 2007-01-09 13:34:55 +0300 (Вт, 09 янв 2007) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/modern_statusbar.c

+ Escape to minimize contact list
+ Crash of clean profile start

------------------------------------------------------------------------
r4430 | nightwish2004 | 2007-01-09 08:48:06 +0300 (Вт, 09 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/window.c

+ fixed ctrl/shift/enter behaviour and made it compatible with SRMM
------------------------------------------------------------------------
r4425 | ghazan | 2007-01-08 19:26:23 +0300 (Пн, 08 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_clistint.h
   M /trunk/miranda/include/m_genmenu.h
   M /trunk/miranda/plugins/clist_nicer/CLUIFrames/protocolorder.c
   M /trunk/miranda/plugins/clist_nicer/clc.c
   M /trunk/miranda/plugins/clist_nicer/clc.h
   M /trunk/miranda/plugins/clist_nicer/clistmenus.c
   M /trunk/miranda/plugins/clist_nicer/clistmod.c
   M /trunk/miranda/plugins/clist_nicer/clisttray.c
   M /trunk/miranda/plugins/clist_nicer/clui.c
   M /trunk/miranda/plugins/clist_nicer/cluiopts.c
   M /trunk/miranda/plugins/clist_nicer/cluiservices.c
   M /trunk/miranda/plugins/clist_nicer/extBackg.c
   M /trunk/miranda/plugins/clist_nicer/init.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/protocolorder.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/clistmenus.c
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/plugins/modernb/modern_statusbar.c
   M /trunk/miranda/plugins/mwclist/CLUIFrames/protocolorder.c
   M /trunk/miranda/plugins/mwclist/clc.c
   M /trunk/miranda/plugins/mwclist/clist.h
   M /trunk/miranda/plugins/mwclist/clist_mw.vcproj
   M /trunk/miranda/plugins/mwclist/clistmenus.c
   M /trunk/miranda/plugins/mwclist/clistmod.c
   M /trunk/miranda/plugins/mwclist/init.c
   M /trunk/miranda/src/modules/clist/clistcore.c
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/genmenu.h

genmenu patch #2 - status bar processing moved to core
------------------------------------------------------------------------
r4424 | the_leech | 2007-01-08 15:27:56 +0300 (Пн, 08 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgwindow.c


------------------------------------------------------------------------
r4423 | nightwish2004 | 2007-01-08 15:25:27 +0300 (Пн, 08 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/statusbar.c

+ applied patch by sje to make statusbar tooltips fully working with the tipper plugin.
------------------------------------------------------------------------
r4422 | the_leech | 2007-01-08 11:38:40 +0300 (Пн, 08 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/Makefile
   M /trunk/miranda/plugins/Scriver/msgwindow.c

status bar fixed
------------------------------------------------------------------------
r4421 | the_leech | 2007-01-07 21:57:17 +0300 (Вс, 07 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_fontservice.h
   M /trunk/miranda/src/modules/fonts/services.c

cleanup
------------------------------------------------------------------------
r4420 | the_leech | 2007-01-07 21:56:36 +0300 (Вс, 07 янв 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/Docs/scriver-readme.txt
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/colorchooser.c
   M /trunk/miranda/plugins/Scriver/chat/manager.c
   M /trunk/miranda/plugins/Scriver/chat/options.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/commonheaders.h
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/srmm.c
   M /trunk/miranda/plugins/Scriver/statusicon.c
   M /trunk/miranda/plugins/Scriver/statusicon.h

scrollbar clean-up
bugfixes
------------------------------------------------------------------------
r4419 | ghazan | 2007-01-07 20:32:17 +0300 (Вс, 07 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clc.c
   M /trunk/miranda/src/modules/clist/genmenu.c
   M /trunk/miranda/src/modules/clist/genmenu.h
   M /trunk/miranda/src/modules/clist/genmenuopt.c

fix for registering genmenu options
------------------------------------------------------------------------
r4418 | ghazan | 2007-01-07 12:39:25 +0300 (Вс, 07 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clcpaint.c

warning fix
------------------------------------------------------------------------
r4417 | pescuma | 2007-01-07 06:57:23 +0300 (Вс, 07 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clistmenus.c

clist_modern: Fixed locking status bar protos when name of proto is != of its ps_getname
------------------------------------------------------------------------
r4416 | ghazan | 2007-01-07 02:47:56 +0300 (Вс, 07 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin8/miranda32.sln
   M /trunk/miranda/include/m_clist.h
   M /trunk/miranda/include/m_clistint.h
   A /trunk/miranda/include/m_genmenu.h
   M /trunk/miranda/plugins/clist/clist.dep
   M /trunk/miranda/plugins/clist/clist.mak
   M /trunk/miranda/plugins/clist/clist.vcproj
   M /trunk/miranda/plugins/clist/clistopts.c
   M /trunk/miranda/plugins/clist/init.c
   M /trunk/miranda/plugins/clist_nicer/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/clist_nicer/CLUIFrames/framesmenu.c
   D /trunk/miranda/plugins/clist_nicer/CLUIFrames/genmenu.c
   D /trunk/miranda/plugins/clist_nicer/CLUIFrames/genmenu.h
   D /trunk/miranda/plugins/clist_nicer/CLUIFrames/genmenuopt.c
   M /trunk/miranda/plugins/clist_nicer/CLUIFrames/groupmenu.c
   M /trunk/miranda/plugins/clist_nicer/CLUIFrames/movetogroup.c
   M /trunk/miranda/plugins/clist_nicer/clc.c
   M /trunk/miranda/plugins/clist_nicer/clist.dep
   M /trunk/miranda/plugins/clist_nicer/clist.dsp
   M /trunk/miranda/plugins/clist_nicer/clist.mak
   M /trunk/miranda/plugins/clist_nicer/clist_nicer.vcproj
   M /trunk/miranda/plugins/clist_nicer/clist_nicer_8.vcproj
   M /trunk/miranda/plugins/clist_nicer/clistmenus.c
   M /trunk/miranda/plugins/clist_nicer/clistmod.c
   M /trunk/miranda/plugins/clist_nicer/clistopts.c
   M /trunk/miranda/plugins/clist_nicer/clisttray.c
   M /trunk/miranda/plugins/clist_nicer/cluiopts.c
   M /trunk/miranda/plugins/clist_nicer/commonheaders.h
   M /trunk/miranda/plugins/clist_nicer/init.c
   D /trunk/miranda/plugins/clist_nicer/m_genmenu.h
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/framesmenu.c
   M /trunk/miranda/plugins/modernb/SkinEditor.c
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/SkinOpt.c
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/clist_modern_8.vcproj
   M /trunk/miranda/plugins/modernb/clistmenus.c
   M /trunk/miranda/plugins/modernb/clistmod.c
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   D /trunk/miranda/plugins/modernb/genmenu.c
   D /trunk/miranda/plugins/modernb/genmenu.h
   D /trunk/miranda/plugins/modernb/genmenuopt.c
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/plugins/modernb/keyboard.c
   D /trunk/miranda/plugins/modernb/m_genmenu.h
   M /trunk/miranda/plugins/modernb/modern_statusbar.c
   M /trunk/miranda/plugins/modernb/modernb.dep
   M /trunk/miranda/plugins/modernb/modernb.dsp
   M /trunk/miranda/plugins/modernb/modernb.mak
   M /trunk/miranda/plugins/mwclist/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/mwclist/CLUIFrames/framesmenu.c
   M /trunk/miranda/plugins/mwclist/CLUIFrames/statusbar.c
   M /trunk/miranda/plugins/mwclist/clc.h
   M /trunk/miranda/plugins/mwclist/clist_mw.vcproj
   M /trunk/miranda/plugins/mwclist/clist_mw_8.vcproj
   M /trunk/miranda/plugins/mwclist/clistmenus.c
   M /trunk/miranda/plugins/mwclist/clistmod.c
   M /trunk/miranda/plugins/mwclist/clistopts.c
   M /trunk/miranda/plugins/mwclist/commonheaders.h
   D /trunk/miranda/plugins/mwclist/genmenu.c
   D /trunk/miranda/plugins/mwclist/genmenu.h
   D /trunk/miranda/plugins/mwclist/genmenuopt.c
   M /trunk/miranda/plugins/mwclist/init.c
   M /trunk/miranda/plugins/mwclist/keyboard.c
   D /trunk/miranda/plugins/mwclist/m_genmenu.h
   D /trunk/miranda/plugins/mwclist/movetogroup.c
   M /trunk/miranda/plugins/mwclist/mwclist.dep
   M /trunk/miranda/plugins/mwclist/mwclist.dsp
   M /trunk/miranda/plugins/mwclist/mwclist.mak
   M /trunk/miranda/src/miranda32.dep
   M /trunk/miranda/src/miranda32.dsp
   M /trunk/miranda/src/miranda32.mak
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda/src/miranda32_8.vcproj
   M /trunk/miranda/src/modules/clist/clc.c
   M /trunk/miranda/src/modules/clist/clc.h
   M /trunk/miranda/src/modules/clist/clistcore.c
   A /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/clistmod.c
   M /trunk/miranda/src/modules/clist/clisttray.c
   M /trunk/miranda/src/modules/clist/clui.c
   A /trunk/miranda/src/modules/clist/genmenu.c
   A /trunk/miranda/src/modules/clist/genmenu.h
   A /trunk/miranda/src/modules/clist/genmenuopt.c
   M /trunk/miranda/src/modules/clist/groups.c
   A /trunk/miranda/src/modules/clist/movetogroup.c
   M /trunk/miranda/src/modules/fonts/FontOptions.c
   M /trunk/miranda/src/resource.h
   M /trunk/miranda/src/resource.rc
   M /trunk/miranda/src/version.rc

core support for genmenu - first portion of changes
------------------------------------------------------------------------
r4415 | ghazan | 2007-01-06 21:20:04 +0300 (Сб, 06 янв 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/src/modules/netlib/netlibbind.c
   M /trunk/miranda/src/modules/netlib/netlibbind.c

bugfix for NETLIBBIND processing: the extra parameter gets skipped for the NETLIBBIND structure v.2
------------------------------------------------------------------------
r4414 | jokusoftware | 2007-01-06 05:30:38 +0300 (Сб, 06 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c

OFT: fixed invalid encoding of filename in request packet (thx Mayhem for reporting)
------------------------------------------------------------------------
r4413 | nightwish2004 | 2007-01-05 17:23:06 +0300 (Пт, 05 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/colorchooser.c

+ fixed unicode issue with title text for color chooser
------------------------------------------------------------------------
r4412 | nightwish2004 | 2007-01-05 17:22:09 +0300 (Пт, 05 янв 2007) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/colorchooser.c
   M /trunk/miranda/plugins/tabsrmm/eventpopups.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/msgwindow.rc
   M /trunk/miranda/plugins/tabsrmm/srmm.c

+ fixed title text for color chooser (chat)
+ small correction to splitter syncing
+ version bump
------------------------------------------------------------------------
r4410 | nightwish2004 | 2007-01-04 20:38:06 +0300 (Чт, 04 янв 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/options.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c

+ added option to sync splitter position between group- and normal chat sessions
+ attempt to fix unknown contact problem in popups with meta contacts
------------------------------------------------------------------------
r4409 | nightwish2004 | 2007-01-04 17:36:30 +0300 (Чт, 04 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msglog.c
   M /trunk/miranda/plugins/tabsrmm/templates.c

+ added support for KOI8-R codepage
------------------------------------------------------------------------
r4408 | nightwish2004 | 2007-01-04 16:03:01 +0300 (Чт, 04 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/window.c

+ chat.dll: fixed history button
------------------------------------------------------------------------
r4407 | rainwater | 2007-01-03 22:28:59 +0300 (Ср, 03 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/miranda32.dsp

Fix for compile error during miranda32 debug build
------------------------------------------------------------------------
r4406 | gena01 | 2007-01-03 01:32:42 +0300 (Ср, 03 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/im.c

Landing a patch from Francois M_an
------------------------------------------------------------------------
r4403 | rainwater | 2007-01-02 23:03:15 +0300 (Вт, 02 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/resource.rc

Minor options layout change
------------------------------------------------------------------------
r4401 | rainwater | 2007-01-02 22:21:05 +0300 (Вт, 02 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlib.h
   M /trunk/miranda/src/modules/netlib/netlibbind.c

More upnp option fixes
------------------------------------------------------------------------
r4400 | rainwater | 2007-01-02 22:12:59 +0300 (Вт, 02 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlibupnp.c

Fix compile error in last upnp patch
------------------------------------------------------------------------
r4398 | rainwater | 2007-01-02 21:39:51 +0300 (Вт, 02 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlib.h
   M /trunk/miranda/src/modules/netlib/netlibbind.c
   M /trunk/miranda/src/modules/netlib/netlibupnp.c

Some UPnP option patches to really disable UPnP
------------------------------------------------------------------------
r4397 | rainwater | 2007-01-01 08:41:09 +0300 (Пн, 01 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/utils/path.c

Prevent path functions from lowercasing miranda path
------------------------------------------------------------------------
r4396 | rainwater | 2007-01-01 08:21:50 +0300 (Пн, 01 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/version.rc

Bump year in version resource on trunk
------------------------------------------------------------------------
r4394 | rainwater | 2007-01-01 04:45:42 +0300 (Пн, 01 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/srmm/statusicon.c

Remove compiler warning
------------------------------------------------------------------------
r4392 | rainwater | 2007-01-01 04:39:37 +0300 (Пн, 01 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_netlib.h

Added Netlib option to enable/disable uPnP.  As a result any plugin that uses MS_NETLIB_GETUSERSETTINGS will have to be recompiled to use the new NETLIBUSERSETTINGS struct or else that service call will fail.
------------------------------------------------------------------------
r4391 | rainwater | 2007-01-01 02:46:50 +0300 (Пн, 01 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlib.c
   M /trunk/miranda/src/modules/netlib/netlibbind.c
   M /trunk/miranda/src/modules/netlib/netlibopts.c
   M /trunk/miranda/src/modules/netlib/netlibupnp.c
   M /trunk/miranda/src/resource.h
   M /trunk/miranda/src/resource.rc

Added Netlib option to enable/disable uPnP.  As a result any plugin that uses MS_NETLIB_GETUSERSETTINGS will have to be recompiled to use the new NETLIBUSERSETTINGS struct or else that service call will fail.
------------------------------------------------------------------------
r4389 | the_leech | 2006-12-31 21:59:05 +0300 (Вс, 31 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/window.c

bugfixes
------------------------------------------------------------------------
r4388 | jokusoftware | 2006-12-30 01:48:23 +0300 (Сб, 30 дек 2006) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/docs/icq-readme.txt
   M /trunk/miranda/protocols/IcqOscarJ/fam_03buddy.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_04message.c
   M /trunk/miranda/protocols/IcqOscarJ/icqosc_svcs.c

fixed IP addresses disappeared on status changes
fixed message ask parsing from R&Q (another broken one)
fixed "grant auth" item will remain forever glitch
------------------------------------------------------------------------
r4381 | the_leech | 2006-12-28 10:47:13 +0300 (Чт, 28 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgs.c

gcc compatibility
------------------------------------------------------------------------
r4380 | the_leech | 2006-12-28 10:42:43 +0300 (Чт, 28 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgs.c

gcc compatibility
------------------------------------------------------------------------
r4379 | the_leech | 2006-12-28 09:56:06 +0300 (Чт, 28 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/Docs/scriver-readme.txt


------------------------------------------------------------------------
r4378 | the_leech | 2006-12-27 11:19:56 +0300 (Ср, 27 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/log.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/srmm.c

bugfixes
------------------------------------------------------------------------
r4377 | jokusoftware | 2006-12-26 16:42:53 +0300 (Вт, 26 дек 2006) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_packet.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c

fixed bug in DWORD64 utility function (thx theultramage for reporting)
OFT: hopefully fixed problem with badly reported progress on transfer finished
------------------------------------------------------------------------
r4376 | ashpynov | 2006-12-26 12:53:04 +0300 (Вт, 26 дек 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/clistsettings.c
   M /trunk/miranda/plugins/modernb/modern_statusbar.c

! memory leak on status bar drawing
+ fix for non 32 bit imagelist icon painting
------------------------------------------------------------------------
r4375 | ghazan | 2006-12-25 19:16:55 +0300 (Пн, 25 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlibupnp.c

patch for UPnP (by borkra)
------------------------------------------------------------------------
r4374 | nightwish2004 | 2006-12-23 00:42:02 +0300 (Сб, 23 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/options.c

+ save highlight words as unicode string
------------------------------------------------------------------------
r4373 | nightwish2004 | 2006-12-23 00:34:30 +0300 (Сб, 23 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/options.c

+ highlight-words are now saved as unicode to the database.
------------------------------------------------------------------------
r4372 | ashpynov | 2006-12-22 10:34:52 +0300 (Пт, 22 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/clcpaint.c

Reset text effect before painting frames caption text
------------------------------------------------------------------------
r4371 | ashpynov | 2006-12-21 15:42:23 +0300 (Чт, 21 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/movetogroup.c

+ some iconlib support for contact rate menu
------------------------------------------------------------------------
r4370 | ashpynov | 2006-12-21 15:16:48 +0300 (Чт, 21 дек 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/clc.h
   M /trunk/miranda/plugins/modernb/clcitems.c
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/clistsettings.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/contact.c
   M /trunk/miranda/plugins/modernb/movetogroup.c
   A /trunk/miranda/plugins/modernb/res/rate_high.ico
   A /trunk/miranda/plugins/modernb/res/rate_low.ico
   A /trunk/miranda/plugins/modernb/res/rate_med.ico
   A /trunk/miranda/plugins/modernb/res/rate_none.ico
   M /trunk/miranda/plugins/modernb/resource.h
   M /trunk/miranda/plugins/modernb/resource.rc

+ added contact rate menu and sorting according to rate (TODO: update icons)
+ added Contact Rate->Show even if Offline menu item 
------------------------------------------------------------------------
r4369 | ashpynov | 2006-12-21 12:01:07 +0300 (Чт, 21 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/cache_funcs.c

+ increased max length of second and third line up to 234 chars
------------------------------------------------------------------------
r4368 | ashpynov | 2006-12-21 11:03:17 +0300 (Чт, 21 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/resource.rc
   M /trunk/miranda/plugins/modernb/version.h

+ English fixing. (tnx 2 Hastiin)
------------------------------------------------------------------------
r4367 | ono | 2006-12-21 01:51:37 +0300 (Чт, 21 дек 2006) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/Gadu-Gadu/core.c
   M /trunk/miranda/protocols/Gadu-Gadu/dialogs.c

512 chars for settings instead of 128, should allow specifying more hosts.
Put 6.1 / 7.6 version detection together. 
------------------------------------------------------------------------
r4366 | ono | 2006-12-21 01:40:37 +0300 (Чт, 21 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Gadu-Gadu/Makefile
   M /trunk/miranda/protocols/Gadu-Gadu/core.c
   M /trunk/miranda/protocols/Gadu-Gadu/dialogs.c
   M /trunk/miranda/protocols/Gadu-Gadu/dynstuff.c
   M /trunk/miranda/protocols/Gadu-Gadu/dynstuff.h
   M /trunk/miranda/protocols/Gadu-Gadu/filetransfer.c
   M /trunk/miranda/protocols/Gadu-Gadu/gg.c
   M /trunk/miranda/protocols/Gadu-Gadu/gg.h
   M /trunk/miranda/protocols/Gadu-Gadu/groupchat.c
   M /trunk/miranda/protocols/Gadu-Gadu/image.cpp
   M /trunk/miranda/protocols/Gadu-Gadu/import.c
   M /trunk/miranda/protocols/Gadu-Gadu/keepalive.c
   M /trunk/miranda/protocols/Gadu-Gadu/ownerinfo.c
   M /trunk/miranda/protocols/Gadu-Gadu/pthread.c
   M /trunk/miranda/protocols/Gadu-Gadu/pthread.h
   M /trunk/miranda/protocols/Gadu-Gadu/resource.h
   M /trunk/miranda/protocols/Gadu-Gadu/resource.rc
   M /trunk/miranda/protocols/Gadu-Gadu/services.c
   M /trunk/miranda/protocols/Gadu-Gadu/ssl.c
   M /trunk/miranda/protocols/Gadu-Gadu/ssl.h
   M /trunk/miranda/protocols/Gadu-Gadu/token.cpp
   M /trunk/miranda/protocols/Gadu-Gadu/userutils.c

Change all spaces formatting into tabs. More clean code.
------------------------------------------------------------------------
r4365 | ono | 2006-12-21 01:35:45 +0300 (Чт, 21 дек 2006) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/Gadu-Gadu/core.c
   M /trunk/miranda/protocols/Gadu-Gadu/dialogs.c
   M /trunk/miranda/protocols/Gadu-Gadu/gg.c
   M /trunk/miranda/protocols/Gadu-Gadu/gg.h

* Bump to 0.0.4.1
* Detect GG versions up to 7.6
* Write MirVer for fingerprint
------------------------------------------------------------------------
r4364 | ghazan | 2006-12-20 00:24:43 +0300 (Ср, 20 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msglog.c

minor code cleaning to avoid problems under debugger
------------------------------------------------------------------------
r4363 | ghazan | 2006-12-20 00:12:50 +0300 (Ср, 20 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/skineditor/skinedit.vcproj

added VS2003 project
------------------------------------------------------------------------
r4362 | ghazan | 2006-12-20 00:12:17 +0300 (Ср, 20 дек 2006) | 1 line
Changed paths:
   A /trunk/miranda/plugins/clist_nicer/skineditor/skinedit_8.vcproj


------------------------------------------------------------------------
r4361 | jokusoftware | 2006-12-19 21:10:43 +0300 (Вт, 19 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c

OFT: fixed proxy packets, were malformed for UINs shorter than 9 digits (thx Shogun for reporting)
------------------------------------------------------------------------
r4360 | ghazan | 2006-12-19 12:49:37 +0300 (Вт, 19 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_srv.cpp
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

fix for random disconnections for MSN protocol.
------------------------------------------------------------------------
r4359 | the_leech | 2006-12-18 22:52:17 +0300 (Пн, 18 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/tools.c

fix for truncated log file name
------------------------------------------------------------------------
r4358 | nightwish2004 | 2006-12-18 20:49:33 +0300 (Пн, 18 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/options.c

+ groupchat: default clist group wasn't fully unicode safe in the options dialog.
------------------------------------------------------------------------
r4357 | ghazan | 2006-12-18 13:19:53 +0300 (Пн, 18 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/rowheight_funcs.c

fix for a crash on start on slow machines
------------------------------------------------------------------------
r4356 | ashpynov | 2006-12-18 11:17:03 +0300 (Пн, 18 дек 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/movetogroup.c

+ minor unicode fix in movetogroup.c
+ painting of icon in not 32bit mode
------------------------------------------------------------------------
r4355 | ghazan | 2006-12-18 00:52:50 +0300 (Пн, 18 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/version.rc

version bump for build 7
------------------------------------------------------------------------
r4354 | ghazan | 2006-12-18 00:40:52 +0300 (Пн, 18 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_srv.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

MSN groups management patch (by borkra)
------------------------------------------------------------------------
r4353 | jokusoftware | 2006-12-16 03:13:35 +0300 (Сб, 16 дек 2006) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/UI/userinfotab.c
   M /trunk/miranda/protocols/IcqOscarJ/capabilities.c
   M /trunk/miranda/protocols/IcqOscarJ/chan_04close.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_01service.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_constants.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_direct.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_packet.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_packet.h
   M /trunk/miranda/protocols/IcqOscarJ/icqosc_svcs.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.h
   M /trunk/miranda/protocols/IcqOscarJ/resources.rc
   M /trunk/miranda/protocols/IcqOscarJ/stdpackets.c

some code cleaning
more clever ICQ DC initialization (do not try contacts which do not support that)
OFT: another bunch of improvements (Stage 4 Proxy, more precise error handling) - some pieces still missing
------------------------------------------------------------------------
r4352 | the_leech | 2006-12-14 22:56:35 +0300 (Чт, 14 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/Docs/scriver-readme.txt

docs updated
------------------------------------------------------------------------
r4351 | the_leech | 2006-12-14 22:51:41 +0300 (Чт, 14 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/log.c
   M /trunk/miranda/plugins/Scriver/chat/manager.c
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msglog.c
   M /trunk/miranda/plugins/Scriver/srmm.c

code page selection in ANSI version
------------------------------------------------------------------------
r4350 | ghazan | 2006-12-14 16:26:28 +0300 (Чт, 14 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp
   M /trunk/miranda/protocols/JabberG/jabber_secur.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

fix for two minor memory leaks
------------------------------------------------------------------------
r4349 | ashpynov | 2006-12-14 14:20:50 +0300 (Чт, 14 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/genmenuopt.c

+ unicode in genmenuopt.c
------------------------------------------------------------------------
r4348 | ashpynov | 2006-12-14 13:49:23 +0300 (Чт, 14 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c


------------------------------------------------------------------------
r4347 | ashpynov | 2006-12-14 12:38:40 +0300 (Чт, 14 дек 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/genmenu.c
   M /trunk/miranda/plugins/modernb/m_genmenu.h
   M /trunk/miranda/plugins/modernb/movetogroup.c

+ unicode in movetogroup.c module
+ added flag to m_genmenu.h CMIF_KEEPUNTRANSLATED to avoid translation internally
------------------------------------------------------------------------
r4346 | ashpynov | 2006-12-14 11:15:56 +0300 (Чт, 14 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/button.c
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/skinpp.cpp

+ reworked icon drawing from image list - hope now it will be times faster than was
------------------------------------------------------------------------
r4345 | ghazan | 2006-12-13 20:16:49 +0300 (Ср, 13 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp

patch for some login problems (by borkra)
------------------------------------------------------------------------
r4344 | ghazan | 2006-12-12 16:22:08 +0300 (Вт, 12 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/SDK/m_proto_listeningto.h
   M /trunk/miranda/protocols/MSN/msn_commands.cpp

patch for LISTENING_TO service (by pescuma)
------------------------------------------------------------------------
r4343 | ghazan | 2006-12-12 16:12:30 +0300 (Вт, 12 дек 2006) | 7 lines
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_srv.cpp
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp
   M /trunk/miranda/protocols/MSN/msn_threads.cpp
   M /trunk/miranda/protocols/MSN/msn_ws.cpp

patch for MSN by borkra:
- Hotmail Inbox does not show for password with special characters
- Hotmail Inbox problem for @msn.com accounts
- Added auto fix for contacts which belong to multiple groups (deleted from all groups except the first one)
- Fix for multiple SB session creation for the same contact
- Fix to use always last created SB session for message transmission for the contact
- Better diagnostics in network log
------------------------------------------------------------------------
r4342 | the_leech | 2006-12-12 00:24:50 +0300 (Вт, 12 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/Docs/scriver-readme.txt


------------------------------------------------------------------------
r4341 | nightwish2004 | 2006-12-11 20:59:51 +0300 (Пн, 11 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/chat.h
   M /trunk/miranda/plugins/tabsrmm/chat/log.c
   M /trunk/miranda/plugins/tabsrmm/chat/options.c
   M /trunk/miranda/plugins/tabsrmm/chat/services.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c

+ updated mathmod support for group chats and fixed plugin detection (no more restart needed)
------------------------------------------------------------------------
r4340 | ghazan | 2006-12-10 15:39:19 +0300 (Вс, 10 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/utils.c
   M /trunk/miranda/plugins/Scriver/utils.h

minor code cleaning
------------------------------------------------------------------------
r4339 | the_leech | 2006-12-09 22:43:25 +0300 (Сб, 09 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/Docs/scriver-readme.txt

docs updated
------------------------------------------------------------------------
r4338 | the_leech | 2006-12-09 22:42:52 +0300 (Сб, 09 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/Docs/scriver-readme.txt
   M /trunk/miranda/plugins/Scriver/srmm.c

docs updated
------------------------------------------------------------------------
r4337 | the_leech | 2006-12-09 20:01:20 +0300 (Сб, 09 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/log.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/statusicon.c
   M /trunk/miranda/plugins/Scriver/utils.c
   M /trunk/miranda/plugins/Scriver/utils.h

code page selection for group chats (Unicode version only)
------------------------------------------------------------------------
r4336 | ghazan | 2006-12-09 02:02:34 +0300 (Сб, 09 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_netlib.h
   M /trunk/miranda/src/core/miranda.h
   M /trunk/miranda/src/modules/button/button.c
   M /trunk/miranda/src/modules/clist/clcmsgs.c
   M /trunk/miranda/src/modules/findadd/findadd.c
   M /trunk/miranda/src/modules/findadd/searchresults.c
   M /trunk/miranda/src/modules/langpack/langpack.c

another minor Unicode bug - tooltips in file transfer dialogs
------------------------------------------------------------------------
r4335 | ghazan | 2006-12-09 01:41:37 +0300 (Сб, 09 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/core/miranda.h
   M /trunk/miranda/src/modules/clist/clc.h
   M /trunk/miranda/src/modules/clist/clistmod.c
   M /trunk/miranda/src/modules/clist/clistsettings.c
   M /trunk/miranda/src/modules/icolib/skin2icons.c
   M /trunk/miranda/src/modules/langpack/langpack.c
   M /trunk/miranda/src/modules/netlib/netlib.c
   M /trunk/miranda/src/modules/netlib/netlibopts.c
   M /trunk/miranda/src/modules/options/options.c

fix for minor Unicode issue; code cleaning
------------------------------------------------------------------------
r4334 | ghazan | 2006-12-08 18:09:44 +0300 (Пт, 08 дек 2006) | 5 lines
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn_commands.cpp
   M /branches/stable/miranda/protocols/MSN/msn_opts.cpp
   M /branches/stable/miranda/protocols/MSN/version.h
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_ws.cpp

MSN patch by borkra:
- Login problems
- Multiple XFR due to Typing Notify
- Reconnect required dialog in options appears all the time. Bug# 2300
- Typing Notify cleared on message reception. Bug# 1534
------------------------------------------------------------------------
r4333 | ghazan | 2006-12-07 20:00:36 +0300 (Чт, 07 дек 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp

fix for the stupid Kopete's base64 encoder
------------------------------------------------------------------------
r4332 | ghazan | 2006-12-07 01:50:19 +0300 (Чт, 07 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/icolib/IcoLib.c
   M /trunk/miranda/src/modules/icolib/IcoLib.h
   M /trunk/miranda/src/modules/icolib/extracticon.c
   M /trunk/miranda/src/modules/icolib/skin2icons.c

code cleaning for icolib in core
------------------------------------------------------------------------
r4331 | jokusoftware | 2006-12-07 00:04:11 +0300 (Чт, 07 дек 2006) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/chan_04close.c
   M /trunk/miranda/protocols/IcqOscarJ/docs/icq-readme.txt
   M /trunk/miranda/protocols/IcqOscarJ/fam_04message.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_constants.h
   M /trunk/miranda/protocols/IcqOscarJ/init.c

fixed handling of msg acks & status msg replies from icq6
added icq6 client detection
------------------------------------------------------------------------
r4330 | ghazan | 2006-12-06 23:08:20 +0300 (Ср, 06 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/version.rc

version bump for 0.7 bld 5
------------------------------------------------------------------------
r4329 | ghazan | 2006-12-06 23:07:31 +0300 (Ср, 06 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber_icolib.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp

code cleaning
------------------------------------------------------------------------
r4328 | ghazan | 2006-12-06 20:56:22 +0300 (Ср, 06 дек 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_util.cpp
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp

fix for the incorrect country detection in Unicode Jabber version.
------------------------------------------------------------------------
r4327 | ghazan | 2006-12-06 13:20:04 +0300 (Ср, 06 дек 2006) | 4 lines
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp

patch for MSN by borkra:
- Direct connection with NAT
- File transfer cancellation during broken direct connection negotiation
- Static avatar transfer when WLM user selected flash avatar.
------------------------------------------------------------------------
r4326 | ashpynov | 2006-12-06 10:43:29 +0300 (Ср, 06 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/modern_statusbar.c

+ show human readable name of protocol in status bar: e.g 'Jabber' instead of 'JABBER'
------------------------------------------------------------------------
r4325 | ashpynov | 2006-12-06 10:05:17 +0300 (Ср, 06 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/modern_statusbar.c

+ divide with rounding to up in statusbar line count
------------------------------------------------------------------------
r4324 | nightwish2004 | 2006-12-06 07:07:48 +0300 (Ср, 06 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/chat.h
   M /trunk/miranda/plugins/tabsrmm/chat/log.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.h

+ added mathmod support to group chats (parsing only, toolbox support not fully finished)
------------------------------------------------------------------------
r4323 | nightwish2004 | 2006-12-06 06:11:18 +0300 (Ср, 06 дек 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/docs/changelog.txt
   M /trunk/miranda/plugins/tabsrmm/generic_msghandlers.c
   M /trunk/miranda/plugins/tabsrmm/msgoptions.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/msgwindow.rc
   M /trunk/miranda/plugins/tabsrmm/srmm.c

+ minor fixes to support new math module++
+ version bump
------------------------------------------------------------------------
r4322 | ghazan | 2006-12-06 01:10:31 +0300 (Ср, 06 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

fix for the protocols icons disappearing
------------------------------------------------------------------------
r4321 | the_leech | 2006-12-06 00:03:23 +0300 (Ср, 06 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c

manual encoding selection
------------------------------------------------------------------------
r4320 | gena01 | 2006-12-05 21:32:19 +0300 (Вт, 05 дек 2006) | 5 lines
Changed paths:
   M /trunk/miranda/protocols/Yahoo/libyahoo2/libyahoo2.c

Fixing IMs and Typing...

So Yahoo is doing chrismas cleaning... and they decide to no longer like packets who sent out some flags that they used to sent.. and people can't IM anymore....

So we doing some cleaning tooo... and we can now talk to others again.. yay.... Thanks Yahoo... ;-)
------------------------------------------------------------------------
r4319 | ghazan | 2006-12-05 20:23:47 +0300 (Вт, 05 дек 2006) | 6 lines
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.mak
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/resource.h

patch for MSN by borkra:
1. Nicks not going into the right group
2. Avatar not updated in some cases
3. Direct connection not established in some cases
4. File abort not handled properly.
5. Cleanup in SSL code.
------------------------------------------------------------------------
r4318 | the_leech | 2006-12-05 18:01:30 +0300 (Вт, 05 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgwindow.c

separate window size for chats
------------------------------------------------------------------------
r4317 | ashpynov | 2006-12-05 16:05:52 +0300 (Вт, 05 дек 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/modern_statusbar.c
   M /trunk/miranda/plugins/modernb/modern_statusbar.h
   M /trunk/miranda/plugins/modernb/resource.h
   M /trunk/miranda/plugins/modernb/resource.rc
   M /trunk/miranda/plugins/modernb/skinpp.txt
   M /trunk/miranda/plugins/modernb/skinpp_object_glyph.cpp
   M /trunk/miranda/plugins/modernb/skinpp_object_glyph.h

+ multiline status bar
+ skinpp engine continue: object.glyph - get glyph data from xml node implementation
------------------------------------------------------------------------
r4316 | ashpynov | 2006-12-05 10:21:36 +0300 (Вт, 05 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/viewmodes.c


------------------------------------------------------------------------
r4315 | ashpynov | 2006-12-04 17:41:54 +0300 (Пн, 04 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/viewmodes.c

+ last applied view mode will be reapplied after restart (if non-auto clear view mode was selected)
------------------------------------------------------------------------
r4314 | nightwish2004 | 2006-12-04 16:30:38 +0300 (Пн, 04 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/hotkeyhandler.c

+ fixed crash with session list
------------------------------------------------------------------------
r4313 | ghazan | 2006-12-04 15:48:17 +0300 (Пн, 04 дек 2006) | 7 lines
Changed paths:
   M /trunk/miranda/protocols/MSN/Docs/history-msn.txt
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_threads.cpp
   M /trunk/miranda/protocols/MSN/version.h

patch by borkra:
1. Implements MS Passport 3.0 authentication scheme
2. Fixes reset button, Bug 2164
3. Fixes not on contact list error when trying to start session with yourself
4. Minor improvements to x-clientcaps message
5. Changed default Miranda Id string to common format

------------------------------------------------------------------------
r4312 | nightwish2004 | 2006-12-04 15:10:53 +0300 (Пн, 04 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/generic_msghandlers.c

+ draw inactive status bar icons in dimmed. previously, they were just skipped.
------------------------------------------------------------------------
r4311 | ashpynov | 2006-12-04 10:15:36 +0300 (Пн, 04 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/movetogroup.c
   M /trunk/miranda/plugins/modernb/version.h

+ sync with movetogroup.c in clist_nicer+ to prevent contact group randomly changes (thnx to Joe)
------------------------------------------------------------------------
r4310 | ghazan | 2006-12-04 02:11:36 +0300 (Пн, 04 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/core/modules.c
   M /trunk/miranda/src/modules/netlib/netlibhttp.c

two core patches by borkra
------------------------------------------------------------------------
r4309 | ghazan | 2006-12-04 01:44:33 +0300 (Пн, 04 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_plugins.h

IcoLib is a non-replaceable module now, to allow all plugins icons to be initialized during Load()
------------------------------------------------------------------------
r4308 | nightwish2004 | 2006-12-03 20:13:42 +0300 (Вс, 03 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/log.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c

+ more improvements on clickable nicks - added userinfo context menu to clickable nicknames in the chat log.
------------------------------------------------------------------------
r4307 | nightwish2004 | 2006-12-03 20:01:18 +0300 (Вс, 03 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/CLUIFrames/movetogroup.c

+ patch by Joe to fix move to group feature and uncommanded moving of contacts to other groups
------------------------------------------------------------------------
r4306 | the_leech | 2006-12-03 14:12:06 +0300 (Вс, 03 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/options.c
   M /trunk/miranda/plugins/chat/window.c

bugfixes
------------------------------------------------------------------------
r4305 | ghazan | 2006-12-02 00:12:57 +0300 (Сб, 02 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/MSN/msn.cpp

services creation moved to Load()
------------------------------------------------------------------------
r4304 | ghazan | 2006-12-02 00:09:42 +0300 (Сб, 02 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/core/modules.c

IcoLib is a non-replaceable module now, to allow all plugins icons to be initialized during Load()
------------------------------------------------------------------------
r4303 | jokusoftware | 2006-12-01 22:51:30 +0300 (Пт, 01 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c

OFT: fixed two brutal mistakes (causing crash), thx PG for reporting
------------------------------------------------------------------------
r4302 | ghazan | 2006-12-01 19:52:56 +0300 (Пт, 01 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/png2dib/png2dib.c

fix for MSN avatars problems
------------------------------------------------------------------------
r4301 | nightwish2004 | 2006-12-01 18:23:56 +0300 (Пт, 01 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.h

+ restored old behaviour for subcontact icon display
------------------------------------------------------------------------
r4300 | the_leech | 2006-12-01 13:25:20 +0300 (Пт, 01 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgwindow.c

fix for memory leak by Boris
------------------------------------------------------------------------
r4299 | jokusoftware | 2006-12-01 02:32:34 +0300 (Пт, 01 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c

OFT: some code cleaning & consolidation
------------------------------------------------------------------------
r4298 | jokusoftware | 2006-12-01 02:17:17 +0300 (Пт, 01 дек 2006) | 4 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_constants.h
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.h

OFT: landing even more fixes (should be almost complete now)
OFT: finished Stage 1 sending (all methods now implemented)
OFT: some improvements to Error handling (still not complete though)
fixed QIP PDA detection (thx std for hint)
------------------------------------------------------------------------
r4297 | ghazan | 2006-12-01 00:21:52 +0300 (Пт, 01 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp

fix for the wrong hook
------------------------------------------------------------------------
r4296 | ghazan | 2006-11-30 23:53:26 +0300 (Чт, 30 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn.dep
   M /trunk/miranda/protocols/MSN/msn.dsp
   M /trunk/miranda/protocols/MSN/msn.mak
   M /trunk/miranda/protocols/MSN/msn.vcproj
   M /trunk/miranda/protocols/MSN/msn_8.vcproj
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_lists.cpp
   A /trunk/miranda/protocols/MSN/msn_menu.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

fix for MSN menu icons & icolib
------------------------------------------------------------------------
r4295 | ghazan | 2006-11-30 20:23:47 +0300 (Чт, 30 ноя 2006) | 2 lines
Changed paths:
   D /trunk/miranda/protocols/JabberG/icos/block.ico
   A /trunk/miranda/protocols/JabberG/icos/roster.ico
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_icolib.cpp
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_lists.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/resource.h

MSN icons are moved to IcoLib
code cleaning
------------------------------------------------------------------------
r4294 | ghazan | 2006-11-30 00:35:09 +0300 (Чт, 30 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/version.rc

version bump for 0.7.0.4
------------------------------------------------------------------------
r4293 | ghazan | 2006-11-30 00:34:24 +0300 (Чт, 30 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.dep

fix for ICQ makefile
------------------------------------------------------------------------
r4292 | ghazan | 2006-11-30 00:30:57 +0300 (Чт, 30 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/chat.rc

fix for a broken resource file
------------------------------------------------------------------------
r4291 | ghazan | 2006-11-30 00:29:41 +0300 (Чт, 30 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/src/resource.rc
   M /trunk/miranda/src/resource.rc

minor fix for a field title.
------------------------------------------------------------------------
r4290 | ghazan | 2006-11-29 23:55:32 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp

fix for thorough client version transmission in MSN
------------------------------------------------------------------------
r4289 | ghazan | 2006-11-29 23:35:57 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no

version bump for 0.7.0.4
------------------------------------------------------------------------
r4288 | ghazan | 2006-11-29 23:35:06 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/manager.c

minor memory leak fixed
------------------------------------------------------------------------
r4287 | ghazan | 2006-11-29 23:34:11 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/modernb.dep
   M /trunk/miranda/plugins/modernb/modernb.mak

fix for clist_modern makefile
------------------------------------------------------------------------
r4286 | ghazan | 2006-11-29 23:32:47 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/srfile/filesenddlg.c

fix for file transfer dialog not to lock the current directory
------------------------------------------------------------------------
r4283 | ghazan | 2006-11-29 23:30:16 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/src/modules/idle/idle.c
   M /branches/stable/miranda/src/resource.h
   M /branches/stable/miranda/src/resource.rc
   M /trunk/miranda/src/modules/idle/idle.c
   M /trunk/miranda/src/resource.h
   M /trunk/miranda/src/resource.rc

fix for the idle options dialog, and memory leak in the idle detection
------------------------------------------------------------------------
r4281 | the_leech | 2006-11-29 22:41:56 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/Docs/scriver-readme.txt


------------------------------------------------------------------------
r4280 | the_leech | 2006-11-29 22:40:12 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/srmm.c


------------------------------------------------------------------------
r4279 | nightwish2004 | 2006-11-29 21:55:42 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/tools.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c

+ codepage menu is not shown when the session is registered as unicode chat
------------------------------------------------------------------------
r4278 | the_leech | 2006-11-29 21:29:31 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/options.c
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c

FontService support
------------------------------------------------------------------------
r4277 | ashpynov | 2006-11-29 14:01:18 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   D /trunk/miranda/plugins/modernb/tabbedoptions.c

removed unnecessary file
------------------------------------------------------------------------
r4276 | ghazan | 2006-11-29 13:54:03 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clist_modern_8.vcproj

fix for modernb project for vs2005
------------------------------------------------------------------------
r4274 | nightwish2004 | 2006-11-29 13:20:25 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/chat.h
   M /trunk/miranda/plugins/tabsrmm/chat/services.c
   M /trunk/miranda/plugins/tabsrmm/chat/tools.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c

+ added UTF-8 codepage support to group chat sessions (experimental)
------------------------------------------------------------------------
r4273 | ashpynov | 2006-11-29 12:16:35 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clc.c

! clc.c icon gdi usage fix (minus about 40 icons)
------------------------------------------------------------------------
r4272 | ashpynov | 2006-11-29 12:12:45 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clistopts.c
   M /trunk/miranda/plugins/modernb/genmenu.c
   D /trunk/miranda/plugins/modernb/m_icolib.h

+ genmenu patch to reduce icon GDI resource usage with new iconlib in v.0.7 core
------------------------------------------------------------------------
r4271 | ashpynov | 2006-11-29 11:18:10 +0300 (Ср, 29 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/clcitems.c
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/skinpp.cpp
   A /trunk/miranda/plugins/modernb/skinpp.txt
   A /trunk/miranda/plugins/modernb/skinpp_object.cpp
   A /trunk/miranda/plugins/modernb/skinpp_object.h
   A /trunk/miranda/plugins/modernb/skinpp_object_glyph.cpp
   A /trunk/miranda/plugins/modernb/skinpp_object_glyph.h
   M /trunk/miranda/plugins/modernb/skinpp_private.h
   M /trunk/miranda/plugins/modernb/version.h

! do not show  'unknown contact' in main list
! continue to implement new skinpp engine (VC6 and VC8 projects are not valid)
------------------------------------------------------------------------
r4270 | jokusoftware | 2006-11-29 03:06:49 +0300 (Ср, 29 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/src/modules/icolib/IcoLib.h
   M /trunk/miranda/src/modules/icolib/skin2icons.c

fixed relative paths handling in icolib module
added extra optimization for default HICONs
------------------------------------------------------------------------
r4269 | jokusoftware | 2006-11-29 03:03:18 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_utils.h
   M /trunk/miranda/src/modules/utils/path.c

added unicode equivalents for MS_UTILS_PATH* services
------------------------------------------------------------------------
r4268 | jokusoftware | 2006-11-29 02:18:58 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/docs/icq-readme.txt
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c

added detection of Anastasia client (thx Angeli-Ka for hint)
------------------------------------------------------------------------
r4267 | ghazan | 2006-11-29 02:03:46 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/Yahoo.dep
   M /trunk/miranda/protocols/Yahoo/Yahoo.dsp
   M /trunk/miranda/protocols/Yahoo/Yahoo.mak
   M /trunk/miranda/protocols/Yahoo/Yahoo.vcproj
   M /trunk/miranda/protocols/Yahoo/Yahoo_8.vcproj

update for YAHOO project & make files
------------------------------------------------------------------------
r4266 | gena01 | 2006-11-29 01:03:39 +0300 (Ср, 29 ноя 2006) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/Yahoo/Makefile.win

And the Makefile...

George: Please update the project files. these changes are only in the trunk.. 
------------------------------------------------------------------------
r4265 | gena01 | 2006-11-29 01:02:36 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/yahoo.msp

Updated project file.
------------------------------------------------------------------------
r4264 | gena01 | 2006-11-29 01:01:41 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/libyahoo2/libyahoo2.c
   M /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo2_types.h
   A /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo_auth.c
   A /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo_auth.h
   D /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo_fn.c
   D /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo_fn.h

Copied the authentication code from Gaim... who apparently got it from Cerulian Studios... so thanks to all those people, now we using the latest and greatest code..
------------------------------------------------------------------------
r4263 | ghazan | 2006-11-28 22:22:54 +0300 (Вт, 28 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/plugins/png2dib/png2dib.c
   M /trunk/miranda/plugins/png2dib/png2dib.c

patch for png2dib not to kill an alpha channel (by y_b)
------------------------------------------------------------------------
r4262 | ghazan | 2006-11-28 22:19:00 +0300 (Вт, 28 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_agent.cpp
   M /trunk/miranda/protocols/JabberG/jabber_icolib.cpp
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/jabber_password.cpp

fix for JGMail plugin icon name compatibility
------------------------------------------------------------------------
r4261 | gena01 | 2006-11-28 21:32:52 +0300 (Вт, 28 ноя 2006) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/Yahoo/Makefile.win

Forgot to update the makefile. 

George: Can you update the M$ project files?
------------------------------------------------------------------------
r4260 | gena01 | 2006-11-28 21:32:05 +0300 (Вт, 28 ноя 2006) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/Yahoo/Yahoo.rc
   A /trunk/miranda/protocols/Yahoo/icolib.c
   M /trunk/miranda/protocols/Yahoo/main.c
   M /trunk/miranda/protocols/Yahoo/resource.h
   M /trunk/miranda/protocols/Yahoo/services.c
   M /trunk/miranda/protocols/Yahoo/util.c
   M /trunk/miranda/protocols/Yahoo/version.h
   M /trunk/miranda/protocols/Yahoo/yahoo.h
   M /trunk/miranda/protocols/Yahoo/yahoo.msp

Landing icolib support and updating version to 0.7.0.1 and raising the minimal core requirements...

Yahoo now joins the ranks of ICQ and others with IcoLib support... now all we need are new Yahoo icon packs ;-)
------------------------------------------------------------------------
r4259 | ghazan | 2006-11-28 19:51:12 +0300 (Вт, 28 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/src/modules/netlib/netliblog.c
   M /trunk/miranda/src/modules/netlib/netliblog.c

one minor interface bug in netlib log options: the "Save to file" checkbox isn't set when a log file name is being typed
------------------------------------------------------------------------
r4258 | ghazan | 2006-11-28 19:49:18 +0300 (Вт, 28 ноя 2006) | 2 lines
Changed paths:
   M /branches/stable/miranda/src/modules/clist/clcmsgs.c
   M /branches/stable/miranda/src/modules/clist/clui.c
   M /branches/stable/miranda/src/modules/clist/cluiservices.c
   M /branches/stable/miranda/src/modules/idle/idle.c
   M /branches/stable/miranda/src/modules/netlib/netlibhttp.c
   M /branches/stable/miranda/src/modules/skin/skinicons.c
   M /branches/stable/miranda/src/modules/srawaymsg/sendmsg.c
   M /trunk/miranda/src/modules/clist/clui.c
   M /trunk/miranda/src/modules/clist/cluiservices.c
   M /trunk/miranda/src/modules/idle/idle.c
   M /trunk/miranda/src/modules/skin/skinicons.c
   M /trunk/miranda/src/modules/srawaymsg/sendmsg.c

minor Unicode fixes & improvements
code cleaning
------------------------------------------------------------------------
r4257 | ghazan | 2006-11-28 16:36:28 +0300 (Вт, 28 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.cpp

IcoLib support for Jabber plugin
------------------------------------------------------------------------
r4256 | ghazan | 2006-11-28 16:34:13 +0300 (Вт, 28 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber_agent.cpp
   M /trunk/miranda/protocols/JabberG/jabber_chat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_groupchat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_icolib.cpp
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/jabber_password.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_vcard.cpp
   M /trunk/miranda/protocols/JabberG/version.h

IcoLib support for Jabber plugin
------------------------------------------------------------------------
r4255 | ghazan | 2006-11-28 16:11:46 +0300 (Вт, 28 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/viewmodes.c

fix for crash on exit in nicer+
------------------------------------------------------------------------
r4254 | ghazan | 2006-11-28 16:03:34 +0300 (Вт, 28 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/chat.h
   M /trunk/miranda/plugins/chat/main.c
   M /trunk/miranda/plugins/chat/manager.c
   M /trunk/miranda/plugins/chat/options.c
   M /trunk/miranda/plugins/chat/tools.c
   M /trunk/miranda/plugins/chat/window.c

some code cleaning
------------------------------------------------------------------------
r4253 | jokusoftware | 2006-11-28 02:05:43 +0300 (Вт, 28 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/UI/askauthentication.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_13servclist.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_constants.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_servlist.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_servlist.h
   M /trunk/miranda/protocols/IcqOscarJ/init.c

applied fix for re-requesting auth (thx Bio), I hope it will help at least a bit
------------------------------------------------------------------------
r4252 | gena01 | 2006-11-28 01:36:59 +0300 (Вт, 28 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/libyahoo2/libyahoo2.c
   M /trunk/miranda/protocols/Yahoo/yahoo.c
   M /trunk/miranda/protocols/Yahoo/yahoo.h

Some code cleanup. Removing some debug messages. Added a couple of yahoo ids for Yahoo 8.x list for those who like to "finger" their buddies... even though personally I find that activity discouraging..
------------------------------------------------------------------------
r4251 | gena01 | 2006-11-28 01:30:26 +0300 (Вт, 28 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_netlib.h

These should be static, otherwise I keep getting a ton of linking errors.
------------------------------------------------------------------------
r4250 | jokusoftware | 2006-11-28 00:37:34 +0300 (Вт, 28 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c

fixed handing of receive path (failed for non-ascii paths)
------------------------------------------------------------------------
r4249 | the_leech | 2006-11-27 21:42:51 +0300 (Пн, 27 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msglog.c

bugfixes
------------------------------------------------------------------------
r4248 | jokusoftware | 2006-11-27 21:07:04 +0300 (Пн, 27 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/chan_04close.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_server.c
   D /trunk/miranda/protocols/IcqOscarJ/m_icolib.h

fixed two minor error msg glitches
removed obsolete icolib header
------------------------------------------------------------------------
r4247 | nightwish2004 | 2006-11-27 04:56:15 +0300 (Пн, 27 ноя 2006) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/chat.h
   M /trunk/miranda/plugins/tabsrmm/chat/services.c
   M /trunk/miranda/plugins/tabsrmm/chat/tools.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/docs/changelog.txt
   M /trunk/miranda/plugins/tabsrmm/generic_msghandlers.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/msgwindow.rc
   M /trunk/miranda/plugins/tabsrmm/srmm.c

+ version bump, changelog update
+ added "per session" codepage support to groupchats
+ small correction for statusbar tooltips
------------------------------------------------------------------------
r4246 | ghazan | 2006-11-27 00:53:53 +0300 (Пн, 27 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn.cpp
   M /branches/stable/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

fix for VC6 compatibility
------------------------------------------------------------------------
r4245 | ghazan | 2006-11-27 00:47:20 +0300 (Пн, 27 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/version.rc

version bump for 0.7.0.3
------------------------------------------------------------------------
r4244 | ghazan | 2006-11-27 00:45:41 +0300 (Пн, 27 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/chat.h
   M /trunk/miranda/plugins/chat/chat.rc
   M /trunk/miranda/plugins/chat/main.c
   M /trunk/miranda/plugins/chat/manager.c
   M /trunk/miranda/plugins/chat/options.c
   M /trunk/miranda/plugins/chat/tools.c
   M /trunk/miranda/plugins/chat/window.c

various fixes for CHAT plugin due to embedding IcoLib
------------------------------------------------------------------------
r4242 | ghazan | 2006-11-27 00:42:15 +0300 (Пн, 27 ноя 2006) | 7 lines
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn.cpp
   M /branches/stable/miranda/protocols/MSN/msn_bitmap.cpp
   M /branches/stable/miranda/protocols/MSN/msn_commands.cpp
   M /branches/stable/miranda/protocols/MSN/msn_global.h
   M /branches/stable/miranda/protocols/MSN/msn_misc.cpp
   M /branches/stable/miranda/protocols/MSN/msn_opts.cpp
   M /branches/stable/miranda/protocols/MSN/msn_p2p.cpp
   M /branches/stable/miranda/protocols/MSN/msn_ssl.cpp
   M /branches/stable/miranda/protocols/MSN/msn_svcs.cpp
   M /branches/stable/miranda/protocols/MSN/msn_threads.cpp
   M /branches/stable/miranda/protocols/MSN/msn_ws.cpp
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn_bitmap.cpp
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_threads.cpp
   M /trunk/miranda/protocols/MSN/msn_ws.cpp

patch by borkra:
- using Message API (if available) to reduce the number of session creations/closures.
- timeout for unauthorized sessions was shrinked to 15 sec.
- fixed a problem with thread timeout stop working in some cases.
- fixed a problem when aborted File Transfer never close a file (in HTTP gateway mode)
- added Miranda 0.6 identification 
- improved/fixed contact deletion 
------------------------------------------------------------------------
r4241 | ghazan | 2006-11-26 17:56:18 +0300 (Вс, 26 ноя 2006) | 2 lines
Changed paths:
   A /branches/stable/miranda/protocols/JabberG/icos/refresh.ico
   A /trunk/miranda/protocols/JabberG/icos/refresh.ico

[+] wish #0002532 fixed: Add command "Resolve Nicknames" in context menu for transports

------------------------------------------------------------------------
r4240 | ghazan | 2006-11-26 17:54:07 +0300 (Вс, 26 ноя 2006) | 2 lines
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/docs/changelog_jabber.txt
   M /branches/stable/miranda/protocols/JabberG/jabber.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber.h
   M /branches/stable/miranda/protocols/JabberG/jabber.rc
   M /branches/stable/miranda/protocols/JabberG/jabber_groupchat.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_iqid.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_iqid_muc.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_menu.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_misc.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_opt.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_svc.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_thread.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_vcard.cpp
   M /branches/stable/miranda/protocols/JabberG/resource.h
   M /trunk/miranda/protocols/JabberG/docs/changelog_jabber.txt
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_groupchat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid_muc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/jabber_misc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_vcard.cpp
   M /trunk/miranda/protocols/JabberG/jabber_xml.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

[+] wish #0002532 fixed: Add command "Resolve Nicknames" in context menu for transports

------------------------------------------------------------------------
r4239 | ghazan | 2006-11-26 12:32:44 +0300 (Вс, 26 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/IRC/services.cpp
   M /trunk/miranda/protocols/IRC/services.cpp

fix for occational crash in IRC options
------------------------------------------------------------------------
r4238 | nightwish2004 | 2006-11-26 07:06:00 +0300 (Вс, 26 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c
   M /trunk/miranda/plugins/tabsrmm/tabsrmm.dsp

+ slightly improved clickable nicknames in group chats (patch by andrey(dot]balaguta [at] gmail {dot] com
+ fixed VC6 debug-unicode targets (missing UNICODE symbol in resource compiler setup).
------------------------------------------------------------------------
r4237 | ghazan | 2006-11-26 00:31:03 +0300 (Вс, 26 ноя 2006) | 1 line
Changed paths:
   A /trunk/miranda/include/m_icolib.h

icolib header file added 
------------------------------------------------------------------------
r4236 | ghazan | 2006-11-25 23:44:46 +0300 (Сб, 25 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_plugins.h
   M /trunk/miranda/src/core/modules.c
   M /trunk/miranda/src/miranda32.dep
   M /trunk/miranda/src/miranda32.dsp
   M /trunk/miranda/src/miranda32.mak
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda/src/miranda32_8.vcproj
   A /trunk/miranda/src/modules/icolib
   A /trunk/miranda/src/modules/icolib/IcoLib.c
   A /trunk/miranda/src/modules/icolib/IcoLib.h
   A /trunk/miranda/src/modules/icolib/extracticon.c
   A /trunk/miranda/src/modules/icolib/skin2icons.c
   M /trunk/miranda/src/modules/plugins/newplugins.c
   M /trunk/miranda/src/resource.h
   M /trunk/miranda/src/resource.rc

icolib embedded into the core (patch by Jozef Ku_era)
------------------------------------------------------------------------
r4235 | the_leech | 2006-11-25 03:33:19 +0300 (Сб, 25 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/commonheaders.h

FontService include changed
------------------------------------------------------------------------
r4234 | the_leech | 2006-11-25 03:32:03 +0300 (Сб, 25 ноя 2006) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/options.c
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msglog.c
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgs.h

fixed 2 memory leaks
Unicode-friendly font settings
full support for FontService
------------------------------------------------------------------------
r4233 | the_leech | 2006-11-25 03:21:24 +0300 (Сб, 25 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/include/m_fontservice.h
   M /trunk/miranda/src/modules/fonts/FontOptions.c
   M /trunk/miranda/src/modules/fonts/FontService.c
   M /trunk/miranda/src/modules/fonts/FontService.h
   M /trunk/miranda/src/modules/fonts/services.c

added per-font background settings
fixed fonts/backgrounds sorting
------------------------------------------------------------------------
r4232 | the_leech | 2006-11-25 01:33:50 +0300 (Сб, 25 ноя 2006) | 1 line
Changed paths:
   D /trunk/miranda/plugins/Scriver/m_fontservice.h


------------------------------------------------------------------------
r4231 | ghazan | 2006-11-25 00:16:26 +0300 (Сб, 25 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/chat.h
   M /trunk/miranda/plugins/chat/chat.rc
   M /trunk/miranda/plugins/chat/chat.vcproj
   M /trunk/miranda/plugins/chat/options.c
   M /trunk/miranda/plugins/chat/resource.h
   M /trunk/miranda/plugins/chat/services.c
   M /trunk/miranda/plugins/srmm/msgs.c
   M /trunk/miranda/src/modules/clist/clcmsgs.c

changes to catch ME_FONT_RELOAD event from FontService
------------------------------------------------------------------------
r4230 | ghazan | 2006-11-24 22:31:27 +0300 (Пт, 24 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/srmm/resource.h
   M /trunk/miranda/plugins/srmm/resource.rc

changes for SRMM options dialog
------------------------------------------------------------------------
r4229 | ghazan | 2006-11-24 19:48:34 +0300 (Пт, 24 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/skineditor/commonheaders.h

useless code removed
------------------------------------------------------------------------
r4228 | ghazan | 2006-11-24 19:39:17 +0300 (Пт, 24 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/main.c
   M /trunk/miranda/plugins/chat/options.c
   M /trunk/miranda/plugins/chat/services.c
   M /trunk/miranda/plugins/srmm/msgoptions.c
   M /trunk/miranda/plugins/srmm/msgs.c
   M /trunk/miranda/plugins/srmm/resource.h
   M /trunk/miranda/plugins/srmm/resource.rc
   M /trunk/miranda/plugins/srmm/srmm.c
   M /trunk/miranda/plugins/srmm/srmm.vcproj
   M /trunk/miranda/src/modules/fonts/FontService.c
   M /trunk/miranda/src/modules/fonts/module_fonts.c

moved default FontService settings to the appropriate plugins
------------------------------------------------------------------------
r4227 | the_leech | 2006-11-24 12:01:43 +0300 (Пт, 24 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msglog.c

SmileyAdd support fixes
------------------------------------------------------------------------
r4226 | ashpynov | 2006-11-24 11:17:28 +0300 (Пт, 24 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clcitems.c

- sticky contact in view mode
------------------------------------------------------------------------
r4225 | ashpynov | 2006-11-24 10:30:20 +0300 (Пт, 24 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/extraimage.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clcitems.c
   M /trunk/miranda/plugins/modernb/clist.h
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/clistopts.c
   M /trunk/miranda/plugins/modernb/version.h

- Translation of Row items tab sheets
- Do not show subcontacts hidden contact even if CLS_SHOWHIDDEN flag is set.
------------------------------------------------------------------------
r4224 | jokusoftware | 2006-11-24 03:11:23 +0300 (Пт, 24 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_icq.h

updated custom status API definition
------------------------------------------------------------------------
r4223 | the_leech | 2006-11-23 23:55:04 +0300 (Чт, 23 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/fonts/FontService.h

added per-font background settings
------------------------------------------------------------------------
r4222 | the_leech | 2006-11-23 23:54:19 +0300 (Чт, 23 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_fontservice.h

added per-font background settings
------------------------------------------------------------------------
r4221 | the_leech | 2006-11-23 23:37:52 +0300 (Чт, 23 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/Docs/scriver-readme.txt
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/statusicon.c
   M /trunk/miranda/plugins/Scriver/statusicon.h

status bar icons improvements
new keyboard shortcuts in chats 
------------------------------------------------------------------------
r4220 | the_leech | 2006-11-23 23:23:04 +0300 (Чт, 23 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/srmm/msgdialog.c
   M /trunk/miranda/plugins/srmm/statusicon.c
   M /trunk/miranda/plugins/srmm/statusicon.h

better handling of hidden status bar icons
------------------------------------------------------------------------
r4219 | the_leech | 2006-11-23 18:48:41 +0300 (Чт, 23 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c

minor Unicode fixsome fixes for keyboard shortcuts

------------------------------------------------------------------------
r4218 | the_leech | 2006-11-23 18:44:27 +0300 (Чт, 23 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c

some fixes for keyboard shortcuts
------------------------------------------------------------------------
r4217 | ghazan | 2006-11-23 01:15:51 +0300 (Чт, 23 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/modernb.dep
   M /trunk/miranda/plugins/modernb/modernb.dsp
   M /trunk/miranda/plugins/modernb/modernb.mak

fixes for clist_modern project and makefiles
------------------------------------------------------------------------
r4216 | ghazan | 2006-11-23 01:04:45 +0300 (Чт, 23 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/miranda32.dep
   M /trunk/miranda/src/miranda32.dsp
   M /trunk/miranda/src/miranda32.mak
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda/src/miranda32_8.vcproj
   A /trunk/miranda/src/modules/fonts/FontOptions.c (from /trunk/miranda/src/modules/fonts/options.c:4215)
   D /trunk/miranda/src/modules/fonts/options.c
   M /trunk/miranda/src/version.rc

fixes for Miranda project & makefiles
version bump
------------------------------------------------------------------------
r4215 | ghazan | 2006-11-22 19:43:03 +0300 (Ср, 22 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/src/modules/srfile/filexferdlg.c
   M /trunk/miranda/src/modules/srfile/filexferdlg.c

fix for a memory leak in f/t dialog
------------------------------------------------------------------------
r4214 | ghazan | 2006-11-22 17:31:34 +0300 (Ср, 22 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn_commands.cpp
   M /branches/stable/miranda/protocols/MSN/msn_global.h
   M /branches/stable/miranda/protocols/MSN/msn_misc.cpp
   M /branches/stable/miranda/protocols/MSN/msn_opts.cpp
   M /branches/stable/miranda/protocols/MSN/msn_p2p.cpp
   M /branches/stable/miranda/protocols/MSN/msn_p2ps.cpp
   M /branches/stable/miranda/protocols/MSN/msn_svcs.cpp
   M /branches/stable/miranda/protocols/MSN/msn_threads.cpp
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_p2ps.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_threads.cpp

fix for direct MSN file transfers (by borkra)
------------------------------------------------------------------------
r4213 | ghazan | 2006-11-22 17:12:33 +0300 (Ср, 22 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/src/modules/options/options.c
   M /trunk/miranda/src/modules/options/options.c

one another minor memory leak in tabbed options interface
------------------------------------------------------------------------
r4212 | nightwish2004 | 2006-11-22 04:11:36 +0300 (Ср, 22 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/generic_msghandlers.c

+ respect MBF_HIDDEN flag for status bar icons (message window api)
------------------------------------------------------------------------
r4211 | the_leech | 2006-11-21 22:29:23 +0300 (Вт, 21 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/Docs/scriver-translation.txt
   M /trunk/miranda/plugins/Scriver/srmm.c

translations updated
------------------------------------------------------------------------
r4210 | ghazan | 2006-11-21 19:18:27 +0300 (Вт, 21 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

minor code cleaning
------------------------------------------------------------------------
r4209 | ghazan | 2006-11-21 19:12:29 +0300 (Вт, 21 ноя 2006) | 2 lines
Changed paths:
   M /branches/stable/miranda/src/modules/options/options.c
   M /trunk/miranda/src/modules/options/options.c

- minor memory leak in options;
- patch for moving cursor from the Apply button.
------------------------------------------------------------------------
r4208 | ghazan | 2006-11-21 17:54:48 +0300 (Вт, 21 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda/src/miranda32_8.vcproj
   M /trunk/miranda/src/modules/fonts/options.c

some fixes for VS2003 & VS2005 projects
------------------------------------------------------------------------
r4207 | ghazan | 2006-11-21 17:16:00 +0300 (Вт, 21 ноя 2006) | 1 line
Changed paths:
   A /trunk/miranda/include/m_fontservice.h

fontservice header file
------------------------------------------------------------------------
r4206 | ghazan | 2006-11-21 16:58:11 +0300 (Вт, 21 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_plugins.h
   M /trunk/miranda/src/core/modules.c
   M /trunk/miranda/src/miranda32.mak
   M /trunk/miranda/src/miranda32.vcproj
   A /trunk/miranda/src/modules/fonts
   A /trunk/miranda/src/modules/fonts/FontService.c
   A /trunk/miranda/src/modules/fonts/FontService.h
   A /trunk/miranda/src/modules/fonts/module_fonts.c
   A /trunk/miranda/src/modules/fonts/module_fonts.h
   A /trunk/miranda/src/modules/fonts/options.c
   A /trunk/miranda/src/modules/fonts/services.c
   M /trunk/miranda/src/modules/plugins/newplugins.c
   M /trunk/miranda/src/resource.h
   M /trunk/miranda/src/resource.rc

FontService added to a core
------------------------------------------------------------------------
r4205 | jokusoftware | 2006-11-21 00:06:52 +0300 (Вт, 21 ноя 2006) | 5 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.h
   M /trunk/miranda/protocols/IcqOscarJ/stdpackets.c
   M /trunk/miranda/protocols/IcqOscarJ/stdpackets.h

Fixed Custom Profile Folders plug-in support
OFT: landing more fixes
OFT: preliminary support for smart-resume feature
OFT: preliminary support for skip file feature
OFT: first steps in proper error handling
------------------------------------------------------------------------
r4204 | the_leech | 2006-11-20 00:25:21 +0300 (Пн, 20 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/statusicon.c

bugfixes
------------------------------------------------------------------------
r4203 | the_leech | 2006-11-20 00:20:40 +0300 (Пн, 20 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/statusicon.c

bugfixes
------------------------------------------------------------------------
r4202 | nightwish2004 | 2006-11-19 19:07:45 +0300 (Вс, 19 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/generic_msghandlers.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c

+ fixed non-updating status bar icons
+ minor fixes in spellchecking support
------------------------------------------------------------------------
r4201 | the_leech | 2006-11-19 15:12:07 +0300 (Вс, 19 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/srmm.c

bugfixes
------------------------------------------------------------------------
r4200 | ghazan | 2006-11-19 01:31:40 +0300 (Вс, 19 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/plugins/chat/manager.c
   M /trunk/miranda/plugins/Scriver/chat/manager.c
   M /trunk/miranda/plugins/chat/manager.c
   M /trunk/miranda/plugins/tabsrmm/chat/manager.c

fix for one very rare crash in chats
------------------------------------------------------------------------
r4199 | the_leech | 2006-11-18 23:55:42 +0300 (Сб, 18 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/globals.h
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgs.h
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/msgwindow.h
   M /trunk/miranda/plugins/Scriver/resource.h
   M /trunk/miranda/plugins/Scriver/resource.rc
   M /trunk/miranda/plugins/Scriver/statusicon.c

+ options to limit number of tabs per container
* cascade/save per contact work in tabbed mode
------------------------------------------------------------------------
r4198 | the_leech | 2006-11-18 23:39:14 +0300 (Сб, 18 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/srmm/statusicon.c

fixed click position
------------------------------------------------------------------------
r4197 | nightwish2004 | 2006-11-18 12:13:30 +0300 (Сб, 18 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/generic_msghandlers.c
   D /trunk/miranda/plugins/tabsrmm/m_tabsrmm.h
   M /trunk/miranda/plugins/tabsrmm/msgs.h
   M /trunk/miranda/plugins/tabsrmm/tabsrmm.dsp
   M /trunk/miranda/plugins/tabsrmm/tabsrmm_8.vcproj

+ some cleanup, removed deprecated includes
+ set StatusIconClickData.flags to MBCF_RIGHTBUTTON for status bar icon RMB click events
------------------------------------------------------------------------
r4196 | ghazan | 2006-11-17 14:12:11 +0300 (Пт, 17 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlibhttp.c

patch for processing chunked HTTP packets (by borkra)
------------------------------------------------------------------------
r4195 | ghazan | 2006-11-17 14:06:33 +0300 (Пт, 17 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_commands.cpp

fix for more careful status message processing for MSN (by borkra)
------------------------------------------------------------------------
r4194 | nightwish2004 | 2006-11-17 04:37:48 +0300 (Пт, 17 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/window.c

+ fixed history button in groupchat window
------------------------------------------------------------------------
r4193 | nightwish2004 | 2006-11-15 05:27:35 +0300 (Ср, 15 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/window.c

+ fixed context menu in groupchat edit box
------------------------------------------------------------------------
r4192 | ashpynov | 2006-11-14 19:09:16 +0300 (Вт, 14 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj

compilation of ansi version fix
------------------------------------------------------------------------
r4191 | ghazan | 2006-11-14 18:53:19 +0300 (Вт, 14 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/version.h
   M /trunk/miranda/protocols/JabberG/version.h

version bump for 0.6 RC1
------------------------------------------------------------------------
r4190 | ghazan | 2006-11-14 18:00:56 +0300 (Вт, 14 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_opt.cpp
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp

fix for entering non-English login names in Jabber options
------------------------------------------------------------------------
r4189 | ashpynov | 2006-11-14 13:18:58 +0300 (Вт, 14 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/commonprototypes.h

Error 191 error C4430: missing type specifier - int assumed. Note: C++ does not support default-int d:\temp\56975860975897695867895690756\proto\modernb\commonprototypes.h 21
------------------------------------------------------------------------
r4188 | ashpynov | 2006-11-14 10:20:51 +0300 (Вт, 14 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.h
   M /trunk/miranda/plugins/modernb/CLUIFrames/extraimage.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/framesmenu.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/protocolorder.c
   M /trunk/miranda/plugins/modernb/Docking.c
   M /trunk/miranda/plugins/modernb/SkinEditor.c
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/SkinEngine.h
   M /trunk/miranda/plugins/modernb/SkinOpt.c
   A /trunk/miranda/plugins/modernb/XMLParser
   A /trunk/miranda/plugins/modernb/XMLParser/XMLDocument.cpp
   A /trunk/miranda/plugins/modernb/XMLParser/XMLDocument.h
   A /trunk/miranda/plugins/modernb/XMLParser/XMLNode.cpp
   A /trunk/miranda/plugins/modernb/XMLParser/XMLNode.h
   A /trunk/miranda/plugins/modernb/XMLParser/XMLParser.h
   A /trunk/miranda/plugins/modernb/XMLParser/readme.txt
   A /trunk/miranda/plugins/modernb/button.c
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/cache_funcs.h
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clc.h
   M /trunk/miranda/plugins/modernb/clcitems.c
   M /trunk/miranda/plugins/modernb/clcmsgs.c
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clcutils.c
   M /trunk/miranda/plugins/modernb/clist.h
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/clistevents.c
   M /trunk/miranda/plugins/modernb/clistmenus.c
   M /trunk/miranda/plugins/modernb/clistmod.c
   M /trunk/miranda/plugins/modernb/clistopts.c
   M /trunk/miranda/plugins/modernb/clistsettings.c
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/clui.h
   D /trunk/miranda/plugins/modernb/cluiopts.c
   D /trunk/miranda/plugins/modernb/cluioptsm.c
   M /trunk/miranda/plugins/modernb/cluiservices.c
   M /trunk/miranda/plugins/modernb/commonheaders.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/contact.c
   M /trunk/miranda/plugins/modernb/gdiplus.cpp
   M /trunk/miranda/plugins/modernb/genmenu.c
   M /trunk/miranda/plugins/modernb/genmenuopt.c
   M /trunk/miranda/plugins/modernb/groupmenu.c
   M /trunk/miranda/plugins/modernb/image_array.c
   D /trunk/miranda/plugins/modernb/imgdecoder.h
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/plugins/modernb/m_skin_eng.h
   A /trunk/miranda/plugins/modernb/m_skinbutton.h
   A /trunk/miranda/plugins/modernb/menuSubsystem.h
   M /trunk/miranda/plugins/modernb/mod_skin_selector.c
   M /trunk/miranda/plugins/modernb/modern_button.c
   A /trunk/miranda/plugins/modernb/modern_global_structure.h
   A /trunk/miranda/plugins/modernb/modern_layout.c
   M /trunk/miranda/plugins/modernb/modern_row.cpp
   M /trunk/miranda/plugins/modernb/modern_row.h
   M /trunk/miranda/plugins/modernb/modern_statusbar.c
   M /trunk/miranda/plugins/modernb/modern_statusbar.h
   M /trunk/miranda/plugins/modernb/movetogroup.c
   M /trunk/miranda/plugins/modernb/res/skin.msf
   M /trunk/miranda/plugins/modernb/resource.h
   M /trunk/miranda/plugins/modernb/resource.rc
   M /trunk/miranda/plugins/modernb/rowheight_funcs.c
   M /trunk/miranda/plugins/modernb/rowtemplateopt.c
   A /trunk/miranda/plugins/modernb/skinpp.cpp
   A /trunk/miranda/plugins/modernb/skinpp.h
   A /trunk/miranda/plugins/modernb/skinpp_private.h
   M /trunk/miranda/plugins/modernb/version.h
   A /trunk/miranda/plugins/modernb/viewmodes.c

Bulk of updates:
+View mode ported from clist_nicer - please look at /res/skin.msf to see skin modifications required
------------------------------------------------------------------------
r4187 | ghazan | 2006-11-13 20:06:06 +0300 (Пн, 13 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/version.rc

fix for the version resource files to comply with the file names at http://www.miranda-im.org/development
------------------------------------------------------------------------
r4186 | rainwater | 2006-11-13 07:24:46 +0300 (Пн, 13 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/docs/releasenotes.txt
   M /trunk/miranda-tools/installer/miranda.nsi

Updates for 0.6 PR 1
------------------------------------------------------------------------
r4185 | jokusoftware | 2006-11-13 00:16:24 +0300 (Пн, 13 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c

OFT: fixed possible crash in SafeReleaseFileTransfer (thx PG for reporting)
OFT: fixed reverse sending - FT was not initialized properly
------------------------------------------------------------------------
r4183 | jokusoftware | 2006-11-12 23:32:57 +0300 (Вс, 12 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/srfile/filexferdlg.c

oops, fixing a typo
------------------------------------------------------------------------
r4182 | jokusoftware | 2006-11-12 23:07:52 +0300 (Вс, 12 ноя 2006) | 4 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/UI/userinfotab.c
   M /trunk/miranda/protocols/IcqOscarJ/docs/icq-readme.txt
   M /trunk/miranda/protocols/IcqOscarJ/iconlib.c
   M /trunk/miranda/protocols/IcqOscarJ/iconlib.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_constants.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_direct.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_direct.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_xstatus.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_xtraz.c
   M /trunk/miranda/protocols/IcqOscarJ/icqosc_svcs.c
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   A /trunk/miranda/protocols/IcqOscarJ/m_folders.h
   M /trunk/miranda/protocols/IcqOscarJ/m_icolib.h
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.h
   M /trunk/miranda/protocols/IcqOscarJ/resources.rc

fixed DC connection was created on UserDetails display (with active mode)
added experimental support for Custom Profile Folders plug-in
improved Icons Library Manager plug-in support (uses less GDI)
OFT: landing many fixes (almost complete)
------------------------------------------------------------------------
r4178 | jokusoftware | 2006-11-12 22:42:46 +0300 (Вс, 12 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_protocols.h
   M /trunk/miranda/src/modules/srfile/filexferdlg.c

added two more FT statuses (to comfort ICQ-OFT)
------------------------------------------------------------------------
r4176 | jokusoftware | 2006-11-11 20:29:43 +0300 (Сб, 11 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/fam_04message.c

fixed message response handling (away messages were badly identified)
------------------------------------------------------------------------
r4175 | nightwish2004 | 2006-11-11 07:51:50 +0300 (Сб, 11 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c

+ updated spellchecker support for latest api
------------------------------------------------------------------------
r4174 | ghazan | 2006-11-10 02:29:21 +0300 (Пт, 10 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_file.cpp
   M /trunk/miranda/protocols/JabberG/jabber_file.cpp

fix for sending files to Pandion IM.
------------------------------------------------------------------------
r4173 | the_leech | 2006-11-10 01:22:27 +0300 (Пт, 10 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/srmm.c

tool tips in chats fixed
tiny fix for tab close button
------------------------------------------------------------------------
r4172 | the_leech | 2006-11-10 01:12:48 +0300 (Пт, 10 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/window.c

fix for tool tips
------------------------------------------------------------------------
r4171 | ghazan | 2006-11-09 18:12:07 +0300 (Чт, 09 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_file.cpp
   M /trunk/miranda/protocols/JabberG/jabber_file.cpp

fix for file transfer hangup with Pandion
------------------------------------------------------------------------
r4170 | ghazan | 2006-11-09 12:36:38 +0300 (Чт, 09 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp

fix for received message's read flag (thanks sje)
------------------------------------------------------------------------
r4168 | gena01 | 2006-11-09 06:28:24 +0300 (Чт, 09 ноя 2006) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/Yahoo/im.c

Well.... I wasn't checking and setting the flag properly... not sure what I was thinking when I wrote that... actually scratch that... when I copied that code from somewhere.....

Thanks sje for finding this. This should resolve some incoming IM issues/problems.
------------------------------------------------------------------------
r4167 | the_leech | 2006-11-09 01:54:05 +0300 (Чт, 09 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/window.c


------------------------------------------------------------------------
r4166 | the_leech | 2006-11-09 01:41:23 +0300 (Чт, 09 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/scriver.dsp


------------------------------------------------------------------------
r4165 | the_leech | 2006-11-09 01:37:11 +0300 (Чт, 09 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_chat.h

fix for VC++ 2005 64-bit timestamp
------------------------------------------------------------------------
r4164 | the_leech | 2006-11-07 23:59:12 +0300 (Вт, 07 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/scriver_8.vcproj

Unicode fixes
------------------------------------------------------------------------
r4163 | the_leech | 2006-11-07 23:54:53 +0300 (Вт, 07 ноя 2006) | 4 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/Makefile
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/resource.h
   M /trunk/miranda/plugins/Scriver/resource.rc
   M /trunk/miranda/plugins/Scriver/scriver.dsp
   M /trunk/miranda/plugins/Scriver/utils.c
   M /trunk/miranda/plugins/Scriver/utils.h

new SpellChecker API
some clean-up
Unicode fixes

------------------------------------------------------------------------
r4162 | the_leech | 2006-11-07 23:53:07 +0300 (Вт, 07 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_message.h

changes related to spell checker proposed by pescuma
------------------------------------------------------------------------
r4161 | the_leech | 2006-11-07 23:50:28 +0300 (Вт, 07 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/res/closex.ico

icon fixed
------------------------------------------------------------------------
r4160 | the_leech | 2006-11-07 23:49:33 +0300 (Вт, 07 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/chat.rc
   M /trunk/miranda/plugins/Scriver/chat/tools.c
   M /trunk/miranda/plugins/Scriver/chat/window.c

Unicode changes, bugfixes and propagation merge from chat.dll

------------------------------------------------------------------------
r4159 | jokusoftware | 2006-11-07 23:44:13 +0300 (Вт, 07 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/stdpackets.c

OFT: fixed request deny for icq contacts
OFT: fixed description parsing
------------------------------------------------------------------------
r4158 | ghazan | 2006-11-07 17:46:23 +0300 (Вт, 07 ноя 2006) | 1 line
Changed paths:
   A /branches/stable/miranda/protocols/JabberG/icos/auth_revoke.ico
   M /branches/stable/miranda/protocols/JabberG/jabber.rc
   M /branches/stable/miranda/protocols/JabberG/jabber_menu.cpp
   M /branches/stable/miranda/protocols/JabberG/resource.h
   A /trunk/miranda/protocols/JabberG/icos/auth_revoke.ico
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

[+] added ability to revoke authorization from a contact for Jabber users
------------------------------------------------------------------------
r4157 | ghazan | 2006-11-07 14:30:33 +0300 (Вт, 07 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_xml.cpp
   M /trunk/miranda/protocols/JabberG/jabber_xml.cpp

bug fix for Jabber XML parser
------------------------------------------------------------------------
r4156 | ghazan | 2006-11-07 14:24:26 +0300 (Вт, 07 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp

Jabber: allows to block message delivery confirmations per contact (by burning shadow)
------------------------------------------------------------------------
r4155 | the_leech | 2006-11-07 12:06:17 +0300 (Вт, 07 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/window.c

minor Unicode fix
------------------------------------------------------------------------
r4154 | jokusoftware | 2006-11-06 22:31:23 +0300 (Пн, 06 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c

fixed Meebo detection (new signature) old signature kept as PyICQ-t
------------------------------------------------------------------------
r4153 | the_leech | 2006-11-06 18:36:13 +0300 (Пн, 06 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/res/closex.ico


------------------------------------------------------------------------
r4152 | the_leech | 2006-11-06 16:11:06 +0300 (Пн, 06 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/srmm.c

version bump
------------------------------------------------------------------------
r4151 | the_leech | 2006-11-06 16:00:39 +0300 (Пн, 06 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/window.c

bugfix
------------------------------------------------------------------------
r4150 | ghazan | 2006-11-06 11:57:58 +0300 (Пн, 06 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_errors.cpp

slightly modified the MSN error 217 handler
------------------------------------------------------------------------
r4148 | ghazan | 2006-11-06 04:07:55 +0300 (Пн, 06 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/include/m_netlib.h
   M /branches/stable/miranda/include/m_system.h
   M /branches/stable/miranda/plugins/chat/tools.c
   M /branches/stable/miranda/plugins/chat/window.c
   M /branches/stable/miranda/protocols/JabberG/jabber.dep
   M /branches/stable/miranda/protocols/JabberG/jabber.dsp
   M /branches/stable/miranda/protocols/JabberG/jabber.h
   M /branches/stable/miranda/protocols/JabberG/jabber.mak
   M /branches/stable/miranda/protocols/JabberG/jabber.vcproj
   M /branches/stable/miranda/protocols/JabberG/jabber_8.vcproj
   A /branches/stable/miranda/protocols/JabberG/jabber_secur.cpp
   A /branches/stable/miranda/protocols/JabberG/jabber_secur.h
   M /branches/stable/miranda/protocols/JabberG/jabber_thread.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_util.cpp
   A /branches/stable/miranda/protocols/JabberG/md5.h
   A /branches/stable/miranda/protocols/JabberG/md5c.cpp
   M /branches/stable/miranda/src/miranda32.dep
   M /branches/stable/miranda/src/miranda32.dsp
   M /branches/stable/miranda/src/miranda32.mak
   M /branches/stable/miranda/src/miranda32.vcproj
   M /branches/stable/miranda/src/miranda32_8.vcproj
   M /branches/stable/miranda/src/modules/netlib/netlib.c
   M /branches/stable/miranda/src/modules/netlib/netlib.h
   M /branches/stable/miranda/src/modules/netlib/netlibhttp.c
   M /branches/stable/miranda/src/modules/netlib/netlibhttpproxy.c
   M /branches/stable/miranda/src/modules/netlib/netlibopenconn.c
   M /trunk/miranda/bin/make.bat
   M /trunk/miranda/include/m_netlib.h
   M /trunk/miranda/plugins/chat/window.c
   M /trunk/miranda/protocols/JabberG/jabber.dep
   M /trunk/miranda/protocols/JabberG/jabber.dsp
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.mak
   M /trunk/miranda/protocols/JabberG/jabber.vcproj
   M /trunk/miranda/protocols/JabberG/jabber_8.vcproj
   A /trunk/miranda/protocols/JabberG/jabber_secur.cpp
   A /trunk/miranda/protocols/JabberG/jabber_secur.h
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp
   A /trunk/miranda/protocols/JabberG/md5.h
   A /trunk/miranda/protocols/JabberG/md5c.cpp
   M /trunk/miranda/src/miranda32.dep
   M /trunk/miranda/src/miranda32.dsp
   M /trunk/miranda/src/miranda32.mak
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda/src/miranda32_8.vcproj
   M /trunk/miranda/src/modules/netlib/netlib.c
   M /trunk/miranda/src/modules/netlib/netlib.h
   M /trunk/miranda/src/modules/netlib/netlibhttp.c
   M /trunk/miranda/src/modules/netlib/netlibhttpproxy.c
   M /trunk/miranda/src/modules/netlib/netlibopenconn.c
   A /trunk/miranda/src/modules/netlib/netlibsecurity.c

NTLM & MD5 auth for Jabber
------------------------------------------------------------------------
r4147 | the_leech | 2006-11-05 23:55:48 +0300 (Вс, 05 ноя 2006) | 1 line
Changed paths:
   A /trunk/miranda/plugins/Scriver/m_spellchecker.h
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c

added support for Spell Checker plugin
------------------------------------------------------------------------
r4146 | ghazan | 2006-11-05 21:16:21 +0300 (Вс, 05 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn_errors.cpp
   M /branches/stable/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_errors.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h

a patch for displaying error 217 in MSN protocol
------------------------------------------------------------------------
r4145 | nightwish2004 | 2006-11-05 20:01:29 +0300 (Вс, 05 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c

+ spellchecker plugin should now work for group chat windows.
------------------------------------------------------------------------
r4144 | nightwish2004 | 2006-11-05 19:57:36 +0300 (Вс, 05 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c

+ spellchecker plugin should now work for group chat windows.
------------------------------------------------------------------------
r4143 | nightwish2004 | 2006-11-05 18:10:30 +0300 (Вс, 05 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/m_tabsrmm.h
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c

+ merged latest spellchecker support 
------------------------------------------------------------------------
r4142 | ghazan | 2006-11-05 15:33:25 +0300 (Вс, 05 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/IRC/main.cpp
   M /trunk/miranda/plugins/Scriver/chat/tools.c
   M /trunk/miranda/plugins/chat/tools.c
   M /trunk/miranda/plugins/tabsrmm/chat/tools.c
   M /trunk/miranda/protocols/IRC/main.cpp

version check added to IRC
------------------------------------------------------------------------
r4141 | ghazan | 2006-11-05 14:38:27 +0300 (Вс, 05 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/plugins/chat/chat.h
   M /branches/stable/miranda/plugins/chat/chat.vcproj
   M /branches/stable/miranda/plugins/chat/tools.c
   M /branches/stable/miranda/plugins/chat/window.c
   M /branches/stable/miranda/protocols/IRC/IRC.rc
   M /branches/stable/miranda/protocols/IRC/IRC.vcproj
